import { aws_ec2 as ec2 } from 'aws-cdk-lib';
import * as constructs from 'constructs';
import { R53Resolverendpoints } from '../dns/dnsResolvers';
import { CrowdStrikeCloud } from './crowdstrikeRegionInfo';
export interface VpcRegionId {
    readonly peeringVpcId: string;
    readonly peerVpcRegion: string;
}
export interface CrowdStrikeExtendedEndpointProps {
    /**aws
     * The EC2 Instance that will be udpated.
     */
    readonly crowdstrikeCloud: CrowdStrikeCloud;
    readonly vpccidr?: string | undefined;
    readonly peeringVpc?: VpcRegionId;
    readonly useELBInPeeredVpc?: boolean;
}
/**
 * This will
 */
export declare class CrowdStrikeExtendedEndpoint extends constructs.Construct {
    readonly proxy: string;
    readonly download: string;
    readonly proxyZone: string;
    readonly proxyZoneName: string;
    readonly downloadZone: string;
    readonly downloadZoneName: string;
    constructor(scope: constructs.Construct, id: string, props: CrowdStrikeExtendedEndpointProps);
}
export interface CrowdStrikeNLBProps {
    readonly vpc: ec2.Vpc;
    readonly subnetGroupName: string;
    readonly proxy: string;
    readonly download: string;
    readonly proxyhostedZone: string;
    readonly proxyhostedZoneName: string;
    readonly downloadhostedZone: string;
    readonly downloadhostedZoneName: string;
    readonly region: string;
    readonly crowdstrikeRegion: CrowdStrikeCloud;
    readonly routeresolverEndpoints: R53Resolverendpoints;
}
export declare class CrowdStrikeNLB extends constructs.Construct {
    constructor(scope: constructs.Construct, id: string, props: CrowdStrikeNLBProps);
}
