import { aws_ec2 as ec2 } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface ForwardingRulesProps {
    readonly resolverIP: string[];
    readonly domains: string[];
    readonly vpc: ec2.Vpc;
    readonly resolverId: string;
}
/**
 * create forwarding rules and associate them with a vpc.
 */
export declare class ForwardingRules extends constructs.Construct {
    constructor(scope: constructs.Construct, id: string, props: ForwardingRulesProps);
}
export interface AssociateSharedResolverRuleProps {
    /**
     * domainNames which are to be associated
     */
    readonly domainNames: string[];
    /**
     * The VPC which will be assocaited with the ResolverRules
     */
    readonly vpc: ec2.Vpc;
}
/**
 * Associate a resolver rule that has been shared to this account
 */
export declare class AssociateSharedResolverRule extends constructs.Construct {
    constructor(scope: constructs.Construct, id: string, props: AssociateSharedResolverRuleProps);
}
