import { aws_ec2 as ec2, aws_secretsmanager as secretmanager, aws_route53 as r53 } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface PowerBiGatewayProps {
    readonly vpc: ec2.Vpc | ec2.IVpc;
    readonly subnet: ec2.SubnetSelection;
    readonly hostname: string;
    readonly zone: r53.PrivateHostedZone | r53.IPrivateHostedZone;
    readonly instanceType: ec2.InstanceType;
    readonly machineImage: ec2.WindowsImage;
    readonly powerBIgatewaySetupScript: ec2.S3DownloadOptions;
    readonly cfgSecret: secretmanager.Secret | secretmanager.ISecret;
    readonly initscript: string;
}
/**
** Creates an Instance of a Power BI Gateway
*/
export declare class PowerBiGateway extends constructs.Construct {
    private readonly instanceSecurityGroup;
    readonly instance: ec2.Instance;
    constructor(scope: constructs.Construct, id: string, props: PowerBiGatewayProps);
    addEgressRule(peer: ec2.IPeer, connection: ec2.Port, description?: string): void;
}
