import * as redshift from '@aws-cdk/aws-redshift-alpha';
import * as constructs from 'constructs';
export interface RedShiftDatabaseProps {
    /**
       * A name for the database
       */
    readonly databaseName: string;
    /**
       * which cluster will the database be created in.
       */
    readonly cluster: redshift.Cluster;
}
/**
 * Create a Database in a Redshift Cluster
 */
export declare class RedShiftDatabase extends constructs.Construct {
    readonly databaseName: string;
    readonly cluster: redshift.Cluster;
    constructor(scope: constructs.Construct, id: string, props: RedShiftDatabaseProps);
    executeSQLStatement(statementName: string, sql: string): void;
}
