# API Reference <a name="API Reference" id="api-reference"></a>

## Constructs <a name="Constructs" id="Constructs"></a>

### Assignment <a name="Assignment" id="raindancers-network.Assignment"></a>

- *Implements:* <a href="#raindancers-network.IAssignment">IAssignment</a>

The assignment construct.

Has no import method because there is no attributes to import.

#### Initializers <a name="Initializers" id="raindancers-network.Assignment.Initializer"></a>

```typescript
import { Assignment } from 'raindancers-network'

new Assignment(scope: Construct, id: string, props: AssignmentProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.Assignment.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.Assignment.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.Assignment.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.AssignmentProps">AssignmentProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.Assignment.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.Assignment.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.Assignment.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AssignmentProps">AssignmentProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Assignment.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.Assignment.applyRemovalPolicy">applyRemovalPolicy</a></code> | Apply the given removal policy to this resource. |

---

##### `toString` <a name="toString" id="raindancers-network.Assignment.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `applyRemovalPolicy` <a name="applyRemovalPolicy" id="raindancers-network.Assignment.applyRemovalPolicy"></a>

```typescript
public applyRemovalPolicy(policy: RemovalPolicy): void
```

Apply the given removal policy to this resource.

The Removal Policy controls what happens to this resource when it stops
being managed by CloudFormation, either because you've removed it from the
CDK application or because you've made a change that requires the resource
to be replaced.

The resource can be deleted (`RemovalPolicy.DESTROY`), or left in your AWS
account for data recovery and cleanup later (`RemovalPolicy.RETAIN`).

###### `policy`<sup>Required</sup> <a name="policy" id="raindancers-network.Assignment.applyRemovalPolicy.parameter.policy"></a>

- *Type:* aws-cdk-lib.RemovalPolicy

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Assignment.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |
| <code><a href="#raindancers-network.Assignment.isOwnedResource">isOwnedResource</a></code> | Returns true if the construct was created by CDK, and false otherwise. |
| <code><a href="#raindancers-network.Assignment.isResource">isResource</a></code> | Check whether the given construct is a Resource. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.Assignment.isConstruct"></a>

```typescript
import { Assignment } from 'raindancers-network'

Assignment.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.Assignment.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

##### `isOwnedResource` <a name="isOwnedResource" id="raindancers-network.Assignment.isOwnedResource"></a>

```typescript
import { Assignment } from 'raindancers-network'

Assignment.isOwnedResource(construct: IConstruct)
```

Returns true if the construct was created by CDK, and false otherwise.

###### `construct`<sup>Required</sup> <a name="construct" id="raindancers-network.Assignment.isOwnedResource.parameter.construct"></a>

- *Type:* constructs.IConstruct

---

##### `isResource` <a name="isResource" id="raindancers-network.Assignment.isResource"></a>

```typescript
import { Assignment } from 'raindancers-network'

Assignment.isResource(construct: IConstruct)
```

Check whether the given construct is a Resource.

###### `construct`<sup>Required</sup> <a name="construct" id="raindancers-network.Assignment.isResource.parameter.construct"></a>

- *Type:* constructs.IConstruct

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.Assignment.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.Assignment.property.env">env</a></code> | <code>aws-cdk-lib.ResourceEnvironment</code> | The environment this resource belongs to. |
| <code><a href="#raindancers-network.Assignment.property.stack">stack</a></code> | <code>aws-cdk-lib.Stack</code> | The stack in which this resource is defined. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.Assignment.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `env`<sup>Required</sup> <a name="env" id="raindancers-network.Assignment.property.env"></a>

```typescript
public readonly env: ResourceEnvironment;
```

- *Type:* aws-cdk-lib.ResourceEnvironment

The environment this resource belongs to.

For resources that are created and managed by the CDK
(generally, those created by creating new class instances like Role, Bucket, etc.),
this is always the same as the environment of the stack they belong to;
however, for imported resources
(those obtained from static methods like fromRoleArn, fromBucketName, etc.),
that might be different than the stack they were imported into.

---

##### `stack`<sup>Required</sup> <a name="stack" id="raindancers-network.Assignment.property.stack"></a>

```typescript
public readonly stack: Stack;
```

- *Type:* aws-cdk-lib.Stack

The stack in which this resource is defined.

---


### AssociateSharedResolverRule <a name="AssociateSharedResolverRule" id="raindancers-network.AssociateSharedResolverRule"></a>

Associate a resolver rule that has been shared to this account.

#### Initializers <a name="Initializers" id="raindancers-network.AssociateSharedResolverRule.Initializer"></a>

```typescript
import { AssociateSharedResolverRule } from 'raindancers-network'

new AssociateSharedResolverRule(scope: Construct, id: string, props: AssociateSharedResolverRuleProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AssociateSharedResolverRule.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.AssociateSharedResolverRule.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AssociateSharedResolverRule.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.AssociateSharedResolverRuleProps">AssociateSharedResolverRuleProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.AssociateSharedResolverRule.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.AssociateSharedResolverRule.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.AssociateSharedResolverRule.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AssociateSharedResolverRuleProps">AssociateSharedResolverRuleProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.AssociateSharedResolverRule.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.AssociateSharedResolverRule.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.AssociateSharedResolverRule.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.AssociateSharedResolverRule.isConstruct"></a>

```typescript
import { AssociateSharedResolverRule } from 'raindancers-network'

AssociateSharedResolverRule.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.AssociateSharedResolverRule.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AssociateSharedResolverRule.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.AssociateSharedResolverRule.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### AwsManagedDNSFirewallRuleGroup <a name="AwsManagedDNSFirewallRuleGroup" id="raindancers-network.AwsManagedDNSFirewallRuleGroup"></a>

#### Initializers <a name="Initializers" id="raindancers-network.AwsManagedDNSFirewallRuleGroup.Initializer"></a>

```typescript
import { AwsManagedDNSFirewallRuleGroup } from 'raindancers-network'

new AwsManagedDNSFirewallRuleGroup(scope: Construct, id: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AwsManagedDNSFirewallRuleGroup.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.AwsManagedDNSFirewallRuleGroup.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.AwsManagedDNSFirewallRuleGroup.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.AwsManagedDNSFirewallRuleGroup.Initializer.parameter.id"></a>

- *Type:* string

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.AwsManagedDNSFirewallRuleGroup.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.AwsManagedDNSFirewallRuleGroup.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.AwsManagedDNSFirewallRuleGroup.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.AwsManagedDNSFirewallRuleGroup.isConstruct"></a>

```typescript
import { AwsManagedDNSFirewallRuleGroup } from 'raindancers-network'

AwsManagedDNSFirewallRuleGroup.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.AwsManagedDNSFirewallRuleGroup.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AwsManagedDNSFirewallRuleGroup.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.AwsManagedDNSFirewallRuleGroup.property.resolverRuleId">resolverRuleId</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.AwsManagedDNSFirewallRuleGroup.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `resolverRuleId`<sup>Required</sup> <a name="resolverRuleId" id="raindancers-network.AwsManagedDNSFirewallRuleGroup.property.resolverRuleId"></a>

```typescript
public readonly resolverRuleId: string;
```

- *Type:* string

---


### AwsServiceEndPoints <a name="AwsServiceEndPoints" id="raindancers-network.AwsServiceEndPoints"></a>

Provisions a set of AWS Service Endpoints in a VPC.

#### Initializers <a name="Initializers" id="raindancers-network.AwsServiceEndPoints.Initializer"></a>

```typescript
import { AwsServiceEndPoints } from 'raindancers-network'

new AwsServiceEndPoints(scope: Construct, id: string, props: AwsServiceEndPointsProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AwsServiceEndPoints.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | The scope that this construct is created in. |
| <code><a href="#raindancers-network.AwsServiceEndPoints.Initializer.parameter.id">id</a></code> | <code>string</code> | Id for the construct. |
| <code><a href="#raindancers-network.AwsServiceEndPoints.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.AwsServiceEndPointsProps">AwsServiceEndPointsProps</a></code> | AWSServiceEndpoints. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.AwsServiceEndPoints.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

The scope that this construct is created in.

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.AwsServiceEndPoints.Initializer.parameter.id"></a>

- *Type:* string

Id for the construct.

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.AwsServiceEndPoints.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AwsServiceEndPointsProps">AwsServiceEndPointsProps</a>

AWSServiceEndpoints.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.AwsServiceEndPoints.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.AwsServiceEndPoints.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.AwsServiceEndPoints.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.AwsServiceEndPoints.isConstruct"></a>

```typescript
import { AwsServiceEndPoints } from 'raindancers-network'

AwsServiceEndPoints.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.AwsServiceEndPoints.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AwsServiceEndPoints.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.AwsServiceEndPoints.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### CentralAccountAssnRole <a name="CentralAccountAssnRole" id="raindancers-network.CentralAccountAssnRole"></a>

#### Initializers <a name="Initializers" id="raindancers-network.CentralAccountAssnRole.Initializer"></a>

```typescript
import { CentralAccountAssnRole } from 'raindancers-network'

new CentralAccountAssnRole(scope: Construct, id: string, props: CentralAccountAssnRoleProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CentralAccountAssnRole.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CentralAccountAssnRole.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CentralAccountAssnRole.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.CentralAccountAssnRoleProps">CentralAccountAssnRoleProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CentralAccountAssnRole.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CentralAccountAssnRole.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CentralAccountAssnRole.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CentralAccountAssnRoleProps">CentralAccountAssnRoleProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CentralAccountAssnRole.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.CentralAccountAssnRole.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CentralAccountAssnRole.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CentralAccountAssnRole.isConstruct"></a>

```typescript
import { CentralAccountAssnRole } from 'raindancers-network'

CentralAccountAssnRole.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CentralAccountAssnRole.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CentralAccountAssnRole.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.CentralAccountAssnRole.property.assnRole">assnRole</a></code> | <code>aws-cdk-lib.aws_iam.Role</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CentralAccountAssnRole.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `assnRole`<sup>Required</sup> <a name="assnRole" id="raindancers-network.CentralAccountAssnRole.property.assnRole"></a>

```typescript
public readonly assnRole: Role;
```

- *Type:* aws-cdk-lib.aws_iam.Role

---


### CentralResolverRules <a name="CentralResolverRules" id="raindancers-network.CentralResolverRules"></a>

#### Initializers <a name="Initializers" id="raindancers-network.CentralResolverRules.Initializer"></a>

```typescript
import { CentralResolverRules } from 'raindancers-network'

new CentralResolverRules(scope: Construct, id: string, props: CentralResolverRulesProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CentralResolverRules.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CentralResolverRules.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CentralResolverRules.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.CentralResolverRulesProps">CentralResolverRulesProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CentralResolverRules.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CentralResolverRules.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CentralResolverRules.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CentralResolverRulesProps">CentralResolverRulesProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CentralResolverRules.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.CentralResolverRules.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CentralResolverRules.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CentralResolverRules.isConstruct"></a>

```typescript
import { CentralResolverRules } from 'raindancers-network'

CentralResolverRules.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CentralResolverRules.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CentralResolverRules.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CentralResolverRules.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### CloudWanTGW <a name="CloudWanTGW" id="raindancers-network.CloudWanTGW"></a>

Create a TransitGateway That is attached to Cloudwan.

#### Initializers <a name="Initializers" id="raindancers-network.CloudWanTGW.Initializer"></a>

```typescript
import { CloudWanTGW } from 'raindancers-network'

new CloudWanTGW(scope: Construct, id: string, props: TGWOnCloudWanProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CloudWanTGW.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | scope in which the resource is c. |
| <code><a href="#raindancers-network.CloudWanTGW.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CloudWanTGW.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.TGWOnCloudWanProps">TGWOnCloudWanProps</a></code> | TGWOnCloudWanProps. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CloudWanTGW.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

scope in which the resource is c.

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CloudWanTGW.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CloudWanTGW.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.TGWOnCloudWanProps">TGWOnCloudWanProps</a>

TGWOnCloudWanProps.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CloudWanTGW.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.CloudWanTGW.addDXGateway">addDXGateway</a></code> | provision a DX Gateway and attach it to the transit gateway. |
| <code><a href="#raindancers-network.CloudWanTGW.adds2sVPN">adds2sVPN</a></code> | Creates a Site To Site IPSec VPN between the Transit Gateway and Customer Gateway, using a defined set of VPn Properties. |
| <code><a href="#raindancers-network.CloudWanTGW.createDirectConnectGatewayAssociation">createDirectConnectGatewayAssociation</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.CloudWanTGW.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addDXGateway` <a name="addDXGateway" id="raindancers-network.CloudWanTGW.addDXGateway"></a>

```typescript
public addDXGateway(dxgatewayname: string, dxgatewayASN: number): string
```

provision a DX Gateway and attach it to the transit gateway.

###### `dxgatewayname`<sup>Required</sup> <a name="dxgatewayname" id="raindancers-network.CloudWanTGW.addDXGateway.parameter.dxgatewayname"></a>

- *Type:* string

The name of the dxgateway.

---

###### `dxgatewayASN`<sup>Required</sup> <a name="dxgatewayASN" id="raindancers-network.CloudWanTGW.addDXGateway.parameter.dxgatewayASN"></a>

- *Type:* number

An ASN for the Dxgateway.

---

##### `adds2sVPN` <a name="adds2sVPN" id="raindancers-network.CloudWanTGW.adds2sVPN"></a>

```typescript
public adds2sVPN(name: string, vpnprops: VpnProps): void
```

Creates a Site To Site IPSec VPN between the Transit Gateway and Customer Gateway, using a defined set of VPn Properties.

###### `name`<sup>Required</sup> <a name="name" id="raindancers-network.CloudWanTGW.adds2sVPN.parameter.name"></a>

- *Type:* string

A name to identify the vpn.

---

###### `vpnprops`<sup>Required</sup> <a name="vpnprops" id="raindancers-network.CloudWanTGW.adds2sVPN.parameter.vpnprops"></a>

- *Type:* <a href="#raindancers-network.VpnProps">VpnProps</a>

the vpn properties.

---

##### `createDirectConnectGatewayAssociation` <a name="createDirectConnectGatewayAssociation" id="raindancers-network.CloudWanTGW.createDirectConnectGatewayAssociation"></a>

```typescript
public createDirectConnectGatewayAssociation(dxgatewayId: string): string
```

###### `dxgatewayId`<sup>Required</sup> <a name="dxgatewayId" id="raindancers-network.CloudWanTGW.createDirectConnectGatewayAssociation.parameter.dxgatewayId"></a>

- *Type:* string

Id of a DX gateway that.

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CloudWanTGW.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CloudWanTGW.isConstruct"></a>

```typescript
import { CloudWanTGW } from 'raindancers-network'

CloudWanTGW.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CloudWanTGW.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CloudWanTGW.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.CloudWanTGW.property.cloudwanTgAttachmentId">cloudwanTgAttachmentId</a></code> | <code>string</code> | the AttachmentId between the Transit Gateway and the cloudwan. |
| <code><a href="#raindancers-network.CloudWanTGW.property.transitGateway">transitGateway</a></code> | <code>aws-cdk-lib.aws_ec2.CfnTransitGateway</code> | The created Transit Gateway. |
| <code><a href="#raindancers-network.CloudWanTGW.property.tgcidr">tgcidr</a></code> | <code>string[]</code> | The Cidr Ranges assigned to the transit Gateway. |
| <code><a href="#raindancers-network.CloudWanTGW.property.tgDXattachmentId">tgDXattachmentId</a></code> | <code>string</code> | the AttachmentId between the Transit Gateway and DX ( if any ). |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CloudWanTGW.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `cloudwanTgAttachmentId`<sup>Required</sup> <a name="cloudwanTgAttachmentId" id="raindancers-network.CloudWanTGW.property.cloudwanTgAttachmentId"></a>

```typescript
public readonly cloudwanTgAttachmentId: string;
```

- *Type:* string

the AttachmentId between the Transit Gateway and the cloudwan.

---

##### `transitGateway`<sup>Required</sup> <a name="transitGateway" id="raindancers-network.CloudWanTGW.property.transitGateway"></a>

```typescript
public readonly transitGateway: CfnTransitGateway;
```

- *Type:* aws-cdk-lib.aws_ec2.CfnTransitGateway

The created Transit Gateway.

---

##### `tgcidr`<sup>Optional</sup> <a name="tgcidr" id="raindancers-network.CloudWanTGW.property.tgcidr"></a>

```typescript
public readonly tgcidr: string[];
```

- *Type:* string[]

The Cidr Ranges assigned to the transit Gateway.

---

##### `tgDXattachmentId`<sup>Optional</sup> <a name="tgDXattachmentId" id="raindancers-network.CloudWanTGW.property.tgDXattachmentId"></a>

```typescript
public readonly tgDXattachmentId: string;
```

- *Type:* string

the AttachmentId between the Transit Gateway and DX ( if any ).

---


### ConditionalForwarder <a name="ConditionalForwarder" id="raindancers-network.ConditionalForwarder"></a>

#### Initializers <a name="Initializers" id="raindancers-network.ConditionalForwarder.Initializer"></a>

```typescript
import { ConditionalForwarder } from 'raindancers-network'

new ConditionalForwarder(scope: Construct, id: string, props: ConditionalForwarderProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ConditionalForwarder.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.ConditionalForwarder.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ConditionalForwarder.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.ConditionalForwarderProps">ConditionalForwarderProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.ConditionalForwarder.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.ConditionalForwarder.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.ConditionalForwarder.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.ConditionalForwarderProps">ConditionalForwarderProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ConditionalForwarder.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.ConditionalForwarder.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ConditionalForwarder.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.ConditionalForwarder.isConstruct"></a>

```typescript
import { ConditionalForwarder } from 'raindancers-network'

ConditionalForwarder.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.ConditionalForwarder.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ConditionalForwarder.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.ConditionalForwarder.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### CoreNetwork <a name="CoreNetwork" id="raindancers-network.CoreNetwork"></a>

Create a CoreNework for a Cloudwan.

#### Initializers <a name="Initializers" id="raindancers-network.CoreNetwork.Initializer"></a>

```typescript
import { CoreNetwork } from 'raindancers-network'

new CoreNetwork(scope: Construct, id: string, props: CoreNetworkProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CoreNetwork.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CoreNetwork.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CoreNetwork.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.CoreNetworkProps">CoreNetworkProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CoreNetwork.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CoreNetwork.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CoreNetwork.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CoreNetworkProps">CoreNetworkProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CoreNetwork.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.CoreNetwork.addSegment">addSegment</a></code> | Add a segment to the core network. |
| <code><a href="#raindancers-network.CoreNetwork.share">share</a></code> | Create a CoreNetwork Sharing. |
| <code><a href="#raindancers-network.CoreNetwork.updatePolicy">updatePolicy</a></code> | Update the corewan policy after actions, segments are added. |

---

##### `toString` <a name="toString" id="raindancers-network.CoreNetwork.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addSegment` <a name="addSegment" id="raindancers-network.CoreNetwork.addSegment"></a>

```typescript
public addSegment(props: Segment): CoreNetworkSegment
```

Add a segment to the core network.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CoreNetwork.addSegment.parameter.props"></a>

- *Type:* <a href="#raindancers-network.Segment">Segment</a>

properties of the segment.

---

##### `share` <a name="share" id="raindancers-network.CoreNetwork.share"></a>

```typescript
public share(props: CoreNetworkShare): void
```

Create a CoreNetwork Sharing.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CoreNetwork.share.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CoreNetworkShare">CoreNetworkShare</a>

Share properties.

---

##### `updatePolicy` <a name="updatePolicy" id="raindancers-network.CoreNetwork.updatePolicy"></a>

```typescript
public updatePolicy(): void
```

Update the corewan policy after actions, segments are added.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CoreNetwork.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CoreNetwork.isConstruct"></a>

```typescript
import { CoreNetwork } from 'raindancers-network'

CoreNetwork.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CoreNetwork.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CoreNetwork.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.CoreNetwork.property.cfnCoreNetwork">cfnCoreNetwork</a></code> | <code>aws-cdk-lib.aws_networkmanager.CfnCoreNetwork</code> | The corenetwork object. |
| <code><a href="#raindancers-network.CoreNetwork.property.coreName">coreName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CoreNetwork.property.policyTable">policyTable</a></code> | <code>aws-cdk-lib.aws_dynamodb.Table</code> | THe dynamo table holding the policy. |
| <code><a href="#raindancers-network.CoreNetwork.property.policyTableName">policyTableName</a></code> | <code>string</code> | Name of the Dynamo Table holding the policy. |
| <code><a href="#raindancers-network.CoreNetwork.property.policyTableServiceToken">policyTableServiceToken</a></code> | <code>string</code> | The policyTable Lamba's Service Token. |
| <code><a href="#raindancers-network.CoreNetwork.property.updateProviderToken">updateProviderToken</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CoreNetwork.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `cfnCoreNetwork`<sup>Required</sup> <a name="cfnCoreNetwork" id="raindancers-network.CoreNetwork.property.cfnCoreNetwork"></a>

```typescript
public readonly cfnCoreNetwork: CfnCoreNetwork;
```

- *Type:* aws-cdk-lib.aws_networkmanager.CfnCoreNetwork

The corenetwork object.

---

##### `coreName`<sup>Required</sup> <a name="coreName" id="raindancers-network.CoreNetwork.property.coreName"></a>

```typescript
public readonly coreName: string;
```

- *Type:* string

---

##### `policyTable`<sup>Required</sup> <a name="policyTable" id="raindancers-network.CoreNetwork.property.policyTable"></a>

```typescript
public readonly policyTable: Table;
```

- *Type:* aws-cdk-lib.aws_dynamodb.Table

THe dynamo table holding the policy.

---

##### `policyTableName`<sup>Required</sup> <a name="policyTableName" id="raindancers-network.CoreNetwork.property.policyTableName"></a>

```typescript
public readonly policyTableName: string;
```

- *Type:* string

Name of the Dynamo Table holding the policy.

---

##### `policyTableServiceToken`<sup>Required</sup> <a name="policyTableServiceToken" id="raindancers-network.CoreNetwork.property.policyTableServiceToken"></a>

```typescript
public readonly policyTableServiceToken: string;
```

- *Type:* string

The policyTable Lamba's Service Token.

---

##### `updateProviderToken`<sup>Required</sup> <a name="updateProviderToken" id="raindancers-network.CoreNetwork.property.updateProviderToken"></a>

```typescript
public readonly updateProviderToken: string;
```

- *Type:* string

---


### CoreNetworkSegment <a name="CoreNetworkSegment" id="raindancers-network.CoreNetworkSegment"></a>

Create a Network Segment in a core network.

#### Initializers <a name="Initializers" id="raindancers-network.CoreNetworkSegment.Initializer"></a>

```typescript
import { CoreNetworkSegment } from 'raindancers-network'

new CoreNetworkSegment(scope: Construct, id: string, props: ICoreNetworkSegmentProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CoreNetworkSegment.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CoreNetworkSegment.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CoreNetworkSegment.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.ICoreNetworkSegmentProps">ICoreNetworkSegmentProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CoreNetworkSegment.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CoreNetworkSegment.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CoreNetworkSegment.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.ICoreNetworkSegmentProps">ICoreNetworkSegmentProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CoreNetworkSegment.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.CoreNetworkSegment.addAttachmentPolicy">addAttachmentPolicy</a></code> | Add an AttachmentPolicy to a segment. |
| <code><a href="#raindancers-network.CoreNetworkSegment.addSegmentAction">addSegmentAction</a></code> | Add an Action to the Segment, ( Share or Route ). |
| <code><a href="#raindancers-network.CoreNetworkSegment.addSimpleAttachmentPolicy">addSimpleAttachmentPolicy</a></code> | *No description.* |
| <code><a href="#raindancers-network.CoreNetworkSegment.addSimpleShareAction">addSimpleShareAction</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.CoreNetworkSegment.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addAttachmentPolicy` <a name="addAttachmentPolicy" id="raindancers-network.CoreNetworkSegment.addAttachmentPolicy"></a>

```typescript
public addAttachmentPolicy(props: AttachmentPolicy): void
```

Add an AttachmentPolicy to a segment.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CoreNetworkSegment.addAttachmentPolicy.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AttachmentPolicy">AttachmentPolicy</a>

An attachment policy.

---

##### `addSegmentAction` <a name="addSegmentAction" id="raindancers-network.CoreNetworkSegment.addSegmentAction"></a>

```typescript
public addSegmentAction(props: SegmentAction): void
```

Add an Action to the Segment, ( Share or Route ).

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CoreNetworkSegment.addSegmentAction.parameter.props"></a>

- *Type:* <a href="#raindancers-network.SegmentAction">SegmentAction</a>

segment action.

---

##### `addSimpleAttachmentPolicy` <a name="addSimpleAttachmentPolicy" id="raindancers-network.CoreNetworkSegment.addSimpleAttachmentPolicy"></a>

```typescript
public addSimpleAttachmentPolicy(props: SimpleAttachmentPolicyProps): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CoreNetworkSegment.addSimpleAttachmentPolicy.parameter.props"></a>

- *Type:* <a href="#raindancers-network.SimpleAttachmentPolicyProps">SimpleAttachmentPolicyProps</a>

---

##### `addSimpleShareAction` <a name="addSimpleShareAction" id="raindancers-network.CoreNetworkSegment.addSimpleShareAction"></a>

```typescript
public addSimpleShareAction(props: SimpleShareActionProps): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CoreNetworkSegment.addSimpleShareAction.parameter.props"></a>

- *Type:* <a href="#raindancers-network.SimpleShareActionProps">SimpleShareActionProps</a>

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CoreNetworkSegment.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CoreNetworkSegment.isConstruct"></a>

```typescript
import { CoreNetworkSegment } from 'raindancers-network'

CoreNetworkSegment.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CoreNetworkSegment.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CoreNetworkSegment.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.CoreNetworkSegment.property.policyTableServiceToken">policyTableServiceToken</a></code> | <code>string</code> | Service token for. |
| <code><a href="#raindancers-network.CoreNetworkSegment.property.segmentName">segmentName</a></code> | <code>string</code> | the name for the segment. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CoreNetworkSegment.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `policyTableServiceToken`<sup>Required</sup> <a name="policyTableServiceToken" id="raindancers-network.CoreNetworkSegment.property.policyTableServiceToken"></a>

```typescript
public readonly policyTableServiceToken: string;
```

- *Type:* string

Service token for.

---

##### `segmentName`<sup>Required</sup> <a name="segmentName" id="raindancers-network.CoreNetworkSegment.property.segmentName"></a>

```typescript
public readonly segmentName: string;
```

- *Type:* string

the name for the segment.

---


### CrossRegionParameterReader <a name="CrossRegionParameterReader" id="raindancers-network.CrossRegionParameterReader"></a>

#### Initializers <a name="Initializers" id="raindancers-network.CrossRegionParameterReader.Initializer"></a>

```typescript
import { CrossRegionParameterReader } from 'raindancers-network'

new CrossRegionParameterReader(scope: Construct, name: string, props: CrossRegionParameterReaderProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterReader.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CrossRegionParameterReader.Initializer.parameter.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrossRegionParameterReader.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.CrossRegionParameterReaderProps">CrossRegionParameterReaderProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CrossRegionParameterReader.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.CrossRegionParameterReader.Initializer.parameter.name"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CrossRegionParameterReader.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CrossRegionParameterReaderProps">CrossRegionParameterReaderProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterReader.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.CrossRegionParameterReader.getResponseField">getResponseField</a></code> | Returns response data for the AWS SDK call as string. |
| <code><a href="#raindancers-network.CrossRegionParameterReader.getResponseFieldReference">getResponseFieldReference</a></code> | Returns response data for the AWS SDK call. |
| <code><a href="#raindancers-network.CrossRegionParameterReader.parameterValue">parameterValue</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.CrossRegionParameterReader.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `getResponseField` <a name="getResponseField" id="raindancers-network.CrossRegionParameterReader.getResponseField"></a>

```typescript
public getResponseField(dataPath: string): string
```

Returns response data for the AWS SDK call as string.

Example for S3 / listBucket : 'Buckets.0.Name'

Note that you cannot use this method if `ignoreErrorCodesMatching`
is configured for any of the SDK calls. This is because in such a case,
the response data might not exist, and will cause a CloudFormation deploy time error.

###### `dataPath`<sup>Required</sup> <a name="dataPath" id="raindancers-network.CrossRegionParameterReader.getResponseField.parameter.dataPath"></a>

- *Type:* string

the path to the data.

---

##### `getResponseFieldReference` <a name="getResponseFieldReference" id="raindancers-network.CrossRegionParameterReader.getResponseFieldReference"></a>

```typescript
public getResponseFieldReference(dataPath: string): Reference
```

Returns response data for the AWS SDK call.

Example for S3 / listBucket : 'Buckets.0.Name'

Use `Token.asXxx` to encode the returned `Reference` as a specific type or
use the convenience `getDataString` for string attributes.

Note that you cannot use this method if `ignoreErrorCodesMatching`
is configured for any of the SDK calls. This is because in such a case,
the response data might not exist, and will cause a CloudFormation deploy time error.

###### `dataPath`<sup>Required</sup> <a name="dataPath" id="raindancers-network.CrossRegionParameterReader.getResponseFieldReference.parameter.dataPath"></a>

- *Type:* string

the path to the data.

---

##### `parameterValue` <a name="parameterValue" id="raindancers-network.CrossRegionParameterReader.parameterValue"></a>

```typescript
public parameterValue(): string
```

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterReader.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CrossRegionParameterReader.isConstruct"></a>

```typescript
import { CrossRegionParameterReader } from 'raindancers-network'

CrossRegionParameterReader.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CrossRegionParameterReader.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterReader.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.CrossRegionParameterReader.property.grantPrincipal">grantPrincipal</a></code> | <code>aws-cdk-lib.aws_iam.IPrincipal</code> | The principal to grant permissions to. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CrossRegionParameterReader.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `grantPrincipal`<sup>Required</sup> <a name="grantPrincipal" id="raindancers-network.CrossRegionParameterReader.property.grantPrincipal"></a>

```typescript
public readonly grantPrincipal: IPrincipal;
```

- *Type:* aws-cdk-lib.aws_iam.IPrincipal

The principal to grant permissions to.

---

#### Constants <a name="Constants" id="Constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterReader.property.PROVIDER_FUNCTION_UUID">PROVIDER_FUNCTION_UUID</a></code> | <code>string</code> | The uuid of the custom resource provider singleton lambda function. |

---

##### `PROVIDER_FUNCTION_UUID`<sup>Required</sup> <a name="PROVIDER_FUNCTION_UUID" id="raindancers-network.CrossRegionParameterReader.property.PROVIDER_FUNCTION_UUID"></a>

```typescript
public readonly PROVIDER_FUNCTION_UUID: string;
```

- *Type:* string

The uuid of the custom resource provider singleton lambda function.

---

### CrossRegionParameterWriter <a name="CrossRegionParameterWriter" id="raindancers-network.CrossRegionParameterWriter"></a>

#### Initializers <a name="Initializers" id="raindancers-network.CrossRegionParameterWriter.Initializer"></a>

```typescript
import { CrossRegionParameterWriter } from 'raindancers-network'

new CrossRegionParameterWriter(scope: Construct, id: string, props: CrossRegionParameterWriterProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterWriter.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CrossRegionParameterWriter.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrossRegionParameterWriter.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.CrossRegionParameterWriterProps">CrossRegionParameterWriterProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CrossRegionParameterWriter.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CrossRegionParameterWriter.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CrossRegionParameterWriter.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CrossRegionParameterWriterProps">CrossRegionParameterWriterProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterWriter.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.CrossRegionParameterWriter.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterWriter.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CrossRegionParameterWriter.isConstruct"></a>

```typescript
import { CrossRegionParameterWriter } from 'raindancers-network'

CrossRegionParameterWriter.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CrossRegionParameterWriter.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterWriter.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CrossRegionParameterWriter.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### CrowdStrikeExtendedEndpoint <a name="CrowdStrikeExtendedEndpoint" id="raindancers-network.CrowdStrikeExtendedEndpoint"></a>

This will.

#### Initializers <a name="Initializers" id="raindancers-network.CrowdStrikeExtendedEndpoint.Initializer"></a>

```typescript
import { CrowdStrikeExtendedEndpoint } from 'raindancers-network'

new CrowdStrikeExtendedEndpoint(scope: Construct, id: string, props: CrowdStrikeExtendedEndpointProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.CrowdStrikeExtendedEndpointProps">CrowdStrikeExtendedEndpointProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CrowdStrikeExtendedEndpoint.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CrowdStrikeExtendedEndpoint.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CrowdStrikeExtendedEndpoint.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CrowdStrikeExtendedEndpointProps">CrowdStrikeExtendedEndpointProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.CrowdStrikeExtendedEndpoint.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CrowdStrikeExtendedEndpoint.isConstruct"></a>

```typescript
import { CrowdStrikeExtendedEndpoint } from 'raindancers-network'

CrowdStrikeExtendedEndpoint.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CrowdStrikeExtendedEndpoint.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.property.download">download</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.property.downloadZone">downloadZone</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.property.downloadZoneName">downloadZoneName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.property.proxy">proxy</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.property.proxyZone">proxyZone</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpoint.property.proxyZoneName">proxyZoneName</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CrowdStrikeExtendedEndpoint.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `download`<sup>Required</sup> <a name="download" id="raindancers-network.CrowdStrikeExtendedEndpoint.property.download"></a>

```typescript
public readonly download: string;
```

- *Type:* string

---

##### `downloadZone`<sup>Required</sup> <a name="downloadZone" id="raindancers-network.CrowdStrikeExtendedEndpoint.property.downloadZone"></a>

```typescript
public readonly downloadZone: string;
```

- *Type:* string

---

##### `downloadZoneName`<sup>Required</sup> <a name="downloadZoneName" id="raindancers-network.CrowdStrikeExtendedEndpoint.property.downloadZoneName"></a>

```typescript
public readonly downloadZoneName: string;
```

- *Type:* string

---

##### `proxy`<sup>Required</sup> <a name="proxy" id="raindancers-network.CrowdStrikeExtendedEndpoint.property.proxy"></a>

```typescript
public readonly proxy: string;
```

- *Type:* string

---

##### `proxyZone`<sup>Required</sup> <a name="proxyZone" id="raindancers-network.CrowdStrikeExtendedEndpoint.property.proxyZone"></a>

```typescript
public readonly proxyZone: string;
```

- *Type:* string

---

##### `proxyZoneName`<sup>Required</sup> <a name="proxyZoneName" id="raindancers-network.CrowdStrikeExtendedEndpoint.property.proxyZoneName"></a>

```typescript
public readonly proxyZoneName: string;
```

- *Type:* string

---


### CrowdStrikeNLB <a name="CrowdStrikeNLB" id="raindancers-network.CrowdStrikeNLB"></a>

#### Initializers <a name="Initializers" id="raindancers-network.CrowdStrikeNLB.Initializer"></a>

```typescript
import { CrowdStrikeNLB } from 'raindancers-network'

new CrowdStrikeNLB(scope: Construct, id: string, props: CrowdStrikeNLBProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeNLB.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLB.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLB.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.CrowdStrikeNLBProps">CrowdStrikeNLBProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CrowdStrikeNLB.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CrowdStrikeNLB.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CrowdStrikeNLB.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CrowdStrikeNLBProps">CrowdStrikeNLBProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeNLB.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.CrowdStrikeNLB.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeNLB.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CrowdStrikeNLB.isConstruct"></a>

```typescript
import { CrowdStrikeNLB } from 'raindancers-network'

CrowdStrikeNLB.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CrowdStrikeNLB.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeNLB.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CrowdStrikeNLB.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### CrowdStrikePrivateLinkEndpoint <a name="CrowdStrikePrivateLinkEndpoint" id="raindancers-network.CrowdStrikePrivateLinkEndpoint"></a>

#### Initializers <a name="Initializers" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.Initializer"></a>

```typescript
import { CrowdStrikePrivateLinkEndpoint } from 'raindancers-network'

new CrowdStrikePrivateLinkEndpoint(scope: Construct, id: string, props: CrowdStrikePrivateLinkEndpointProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpointProps">CrowdStrikePrivateLinkEndpointProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CrowdStrikePrivateLinkEndpointProps">CrowdStrikePrivateLinkEndpointProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.isConstruct"></a>

```typescript
import { CrowdStrikePrivateLinkEndpoint } from 'raindancers-network'

CrowdStrikePrivateLinkEndpoint.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.property.download">download</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.property.downloadhostedZone">downloadhostedZone</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.property.downloadhostedZoneName">downloadhostedZoneName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.property.proxy">proxy</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.property.proxyhostedZone">proxyhostedZone</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpoint.property.proxyhostedZoneName">proxyhostedZoneName</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `download`<sup>Required</sup> <a name="download" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.property.download"></a>

```typescript
public readonly download: string;
```

- *Type:* string

---

##### `downloadhostedZone`<sup>Required</sup> <a name="downloadhostedZone" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.property.downloadhostedZone"></a>

```typescript
public readonly downloadhostedZone: string;
```

- *Type:* string

---

##### `downloadhostedZoneName`<sup>Required</sup> <a name="downloadhostedZoneName" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.property.downloadhostedZoneName"></a>

```typescript
public readonly downloadhostedZoneName: string;
```

- *Type:* string

---

##### `proxy`<sup>Required</sup> <a name="proxy" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.property.proxy"></a>

```typescript
public readonly proxy: string;
```

- *Type:* string

---

##### `proxyhostedZone`<sup>Required</sup> <a name="proxyhostedZone" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.property.proxyhostedZone"></a>

```typescript
public readonly proxyhostedZone: string;
```

- *Type:* string

---

##### `proxyhostedZoneName`<sup>Required</sup> <a name="proxyhostedZoneName" id="raindancers-network.CrowdStrikePrivateLinkEndpoint.property.proxyhostedZoneName"></a>

```typescript
public readonly proxyhostedZoneName: string;
```

- *Type:* string

---


### DynamicTagResourceGroup <a name="DynamicTagResourceGroup" id="raindancers-network.DynamicTagResourceGroup"></a>

#### Initializers <a name="Initializers" id="raindancers-network.DynamicTagResourceGroup.Initializer"></a>

```typescript
import { DynamicTagResourceGroup } from 'raindancers-network'

new DynamicTagResourceGroup(scope: Construct, id: string, props: DynamicTagResourceGroupProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.DynamicTagResourceGroupProps">DynamicTagResourceGroupProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.DynamicTagResourceGroup.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.DynamicTagResourceGroup.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.DynamicTagResourceGroup.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.DynamicTagResourceGroupProps">DynamicTagResourceGroupProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.addTagFilter">addTagFilter</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.DynamicTagResourceGroup.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addTagFilter` <a name="addTagFilter" id="raindancers-network.DynamicTagResourceGroup.addTagFilter"></a>

```typescript
public addTagFilter(props: TagFilter): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.DynamicTagResourceGroup.addTagFilter.parameter.props"></a>

- *Type:* <a href="#raindancers-network.TagFilter">TagFilter</a>

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.DynamicTagResourceGroup.isConstruct"></a>

```typescript
import { DynamicTagResourceGroup } from 'raindancers-network'

DynamicTagResourceGroup.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.DynamicTagResourceGroup.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.property.groupArn">groupArn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.DynamicTagResourceGroup.property.name">name</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.DynamicTagResourceGroup.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `groupArn`<sup>Required</sup> <a name="groupArn" id="raindancers-network.DynamicTagResourceGroup.property.groupArn"></a>

```typescript
public readonly groupArn: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.DynamicTagResourceGroup.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---


### EnforceImdsv2 <a name="EnforceImdsv2" id="raindancers-network.EnforceImdsv2"></a>

Enforces the use of IMDSv2, without causing replacement of the Instance.

#### Initializers <a name="Initializers" id="raindancers-network.EnforceImdsv2.Initializer"></a>

```typescript
import { EnforceImdsv2 } from 'raindancers-network'

new EnforceImdsv2(scope: Construct, id: string, props: EnforceImdsv2Props)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnforceImdsv2.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.EnforceImdsv2.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.EnforceImdsv2.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.EnforceImdsv2Props">EnforceImdsv2Props</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.EnforceImdsv2.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.EnforceImdsv2.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnforceImdsv2.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.EnforceImdsv2Props">EnforceImdsv2Props</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.EnforceImdsv2.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.EnforceImdsv2.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.EnforceImdsv2.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.EnforceImdsv2.isConstruct"></a>

```typescript
import { EnforceImdsv2 } from 'raindancers-network'

EnforceImdsv2.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.EnforceImdsv2.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnforceImdsv2.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.EnforceImdsv2.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### EnterpriseVpc <a name="EnterpriseVpc" id="raindancers-network.EnterpriseVpc"></a>

Enteprise VPC's take the stock ec2.Vpc and provide numerous convience methods primarly related to connecting to internal networks.

#### Initializers <a name="Initializers" id="raindancers-network.EnterpriseVpc.Initializer"></a>

```typescript
import { EnterpriseVpc } from 'raindancers-network'

new EnterpriseVpc(scope: Construct, id: string, props: EnterpriseVpcProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpc.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.EnterpriseVpcProps">EnterpriseVpcProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.EnterpriseVpc.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.EnterpriseVpc.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.EnterpriseVpcProps">EnterpriseVpcProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpc.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.EnterpriseVpc.addCentralResolverRules">addCentralResolverRules</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.addConditionalFowardingRules">addConditionalFowardingRules</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.addCoreRoutes">addCoreRoutes</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.addCrossAccountR53AssociationRole">addCrossAccountR53AssociationRole</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.addNetworkFirewall">addNetworkFirewall</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.addPrivateHostedZone">addPrivateHostedZone</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.addR53Resolvers">addR53Resolvers</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.addR53Zone">addR53Zone</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.addRoutes">addRoutes</a></code> | Add routes to SubnetGroups ( by implication their routing tables ). |
| <code><a href="#raindancers-network.EnterpriseVpc.addServiceEndpoints">addServiceEndpoints</a></code> | Add a collection of service endpopints to the VPC. |
| <code><a href="#raindancers-network.EnterpriseVpc.attachAWSManagedDNSFirewallRules">attachAWSManagedDNSFirewallRules</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.attachToCloudWan">attachToCloudWan</a></code> | attachToCloudWan will attach a VPC to CloudWan, in a particular Segment. |
| <code><a href="#raindancers-network.EnterpriseVpc.attachToTransitGateway">attachToTransitGateway</a></code> | Attach a vpc to a transit gateway, possibly in appliance mode Its intended purpose is provide a. |
| <code><a href="#raindancers-network.EnterpriseVpc.cloudWanRoutingProtocol">cloudWanRoutingProtocol</a></code> | Enable CloudWanRoutingProtocol. |
| <code><a href="#raindancers-network.EnterpriseVpc.createAndShareSubnetPrefixList">createAndShareSubnetPrefixList</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.createFlowLog">createFlowLog</a></code> | Create Enterprise VPC Flow Logs (to central log account) and advanced diagnostics with Athena Querys. |
| <code><a href="#raindancers-network.EnterpriseVpc.router">router</a></code> | This is a convience method to present the routing for the Vpc in a simpler format, than the addRoutes Method, which it calls. |
| <code><a href="#raindancers-network.EnterpriseVpc.shareSubnetGroup">shareSubnetGroup</a></code> | Share a subnetGroup with another AWS Account. |

---

##### `toString` <a name="toString" id="raindancers-network.EnterpriseVpc.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addCentralResolverRules` <a name="addCentralResolverRules" id="raindancers-network.EnterpriseVpc.addCentralResolverRules"></a>

```typescript
public addCentralResolverRules(domains: string[]): void
```

###### `domains`<sup>Required</sup> <a name="domains" id="raindancers-network.EnterpriseVpc.addCentralResolverRules.parameter.domains"></a>

- *Type:* string[]

---

##### `addConditionalFowardingRules` <a name="addConditionalFowardingRules" id="raindancers-network.EnterpriseVpc.addConditionalFowardingRules"></a>

```typescript
public addConditionalFowardingRules(forwardingRules: OutboundForwardingRule[]): void
```

###### `forwardingRules`<sup>Required</sup> <a name="forwardingRules" id="raindancers-network.EnterpriseVpc.addConditionalFowardingRules.parameter.forwardingRules"></a>

- *Type:* <a href="#raindancers-network.OutboundForwardingRule">OutboundForwardingRule</a>[]

---

##### `addCoreRoutes` <a name="addCoreRoutes" id="raindancers-network.EnterpriseVpc.addCoreRoutes"></a>

```typescript
public addCoreRoutes(props: AddCoreRoutesProps): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.addCoreRoutes.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AddCoreRoutesProps">AddCoreRoutesProps</a>

---

##### `addCrossAccountR53AssociationRole` <a name="addCrossAccountR53AssociationRole" id="raindancers-network.EnterpriseVpc.addCrossAccountR53AssociationRole"></a>

```typescript
public addCrossAccountR53AssociationRole(rolename?: string): void
```

###### `rolename`<sup>Optional</sup> <a name="rolename" id="raindancers-network.EnterpriseVpc.addCrossAccountR53AssociationRole.parameter.rolename"></a>

- *Type:* string

---

##### `addNetworkFirewall` <a name="addNetworkFirewall" id="raindancers-network.EnterpriseVpc.addNetworkFirewall"></a>

```typescript
public addNetworkFirewall(firewallName: string, firewallPolicy: CfnFirewallPolicy, subnet: SubnetGroup): void
```

###### `firewallName`<sup>Required</sup> <a name="firewallName" id="raindancers-network.EnterpriseVpc.addNetworkFirewall.parameter.firewallName"></a>

- *Type:* string

---

###### `firewallPolicy`<sup>Required</sup> <a name="firewallPolicy" id="raindancers-network.EnterpriseVpc.addNetworkFirewall.parameter.firewallPolicy"></a>

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy

---

###### `subnet`<sup>Required</sup> <a name="subnet" id="raindancers-network.EnterpriseVpc.addNetworkFirewall.parameter.subnet"></a>

- *Type:* <a href="#raindancers-network.SubnetGroup">SubnetGroup</a>

---

##### `addPrivateHostedZone` <a name="addPrivateHostedZone" id="raindancers-network.EnterpriseVpc.addPrivateHostedZone"></a>

```typescript
public addPrivateHostedZone(zonename: string): HostedZone
```

###### `zonename`<sup>Required</sup> <a name="zonename" id="raindancers-network.EnterpriseVpc.addPrivateHostedZone.parameter.zonename"></a>

- *Type:* string

---

##### `addR53Resolvers` <a name="addR53Resolvers" id="raindancers-network.EnterpriseVpc.addR53Resolvers"></a>

```typescript
public addR53Resolvers(subnet: SubnetGroup): R53Resolverendpoints
```

###### `subnet`<sup>Required</sup> <a name="subnet" id="raindancers-network.EnterpriseVpc.addR53Resolvers.parameter.subnet"></a>

- *Type:* <a href="#raindancers-network.SubnetGroup">SubnetGroup</a>

---

##### `addR53Zone` <a name="addR53Zone" id="raindancers-network.EnterpriseVpc.addR53Zone"></a>

```typescript
public addR53Zone(props: AddR53ZoneProps): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.addR53Zone.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AddR53ZoneProps">AddR53ZoneProps</a>

---

##### `addRoutes` <a name="addRoutes" id="raindancers-network.EnterpriseVpc.addRoutes"></a>

```typescript
public addRoutes(props: AddRoutesProps): void
```

Add routes to SubnetGroups ( by implication their routing tables ).

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.addRoutes.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AddRoutesProps">AddRoutesProps</a>

---

##### `addServiceEndpoints` <a name="addServiceEndpoints" id="raindancers-network.EnterpriseVpc.addServiceEndpoints"></a>

```typescript
public addServiceEndpoints(props: AddAwsServiceEndPointsProps): void
```

Add a collection of service endpopints to the VPC.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.addServiceEndpoints.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AddAwsServiceEndPointsProps">AddAwsServiceEndPointsProps</a>

---

##### `attachAWSManagedDNSFirewallRules` <a name="attachAWSManagedDNSFirewallRules" id="raindancers-network.EnterpriseVpc.attachAWSManagedDNSFirewallRules"></a>

```typescript
public attachAWSManagedDNSFirewallRules(): void
```

##### `attachToCloudWan` <a name="attachToCloudWan" id="raindancers-network.EnterpriseVpc.attachToCloudWan"></a>

```typescript
public attachToCloudWan(props: AttachToCloudWanProps): string
```

attachToCloudWan will attach a VPC to CloudWan, in a particular Segment.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.attachToCloudWan.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AttachToCloudWanProps">AttachToCloudWanProps</a>

---

##### `attachToTransitGateway` <a name="attachToTransitGateway" id="raindancers-network.EnterpriseVpc.attachToTransitGateway"></a>

```typescript
public attachToTransitGateway(props: AttachToTransitGatewayProps): string
```

Attach a vpc to a transit gateway, possibly in appliance mode Its intended purpose is provide a.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.attachToTransitGateway.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AttachToTransitGatewayProps">AttachToTransitGatewayProps</a>

---

##### `cloudWanRoutingProtocol` <a name="cloudWanRoutingProtocol" id="raindancers-network.EnterpriseVpc.cloudWanRoutingProtocol"></a>

```typescript
public cloudWanRoutingProtocol(props: CloudWanRoutingProtocolProps): void
```

Enable CloudWanRoutingProtocol.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.cloudWanRoutingProtocol.parameter.props"></a>

- *Type:* <a href="#raindancers-network.CloudWanRoutingProtocolProps">CloudWanRoutingProtocolProps</a>

---

##### `createAndShareSubnetPrefixList` <a name="createAndShareSubnetPrefixList" id="raindancers-network.EnterpriseVpc.createAndShareSubnetPrefixList"></a>

```typescript
public createAndShareSubnetPrefixList(name: string, subnets: SubnetSelection, orgArn: string): CfnPrefixList
```

###### `name`<sup>Required</sup> <a name="name" id="raindancers-network.EnterpriseVpc.createAndShareSubnetPrefixList.parameter.name"></a>

- *Type:* string

---

###### `subnets`<sup>Required</sup> <a name="subnets" id="raindancers-network.EnterpriseVpc.createAndShareSubnetPrefixList.parameter.subnets"></a>

- *Type:* aws-cdk-lib.aws_ec2.SubnetSelection

---

###### `orgArn`<sup>Required</sup> <a name="orgArn" id="raindancers-network.EnterpriseVpc.createAndShareSubnetPrefixList.parameter.orgArn"></a>

- *Type:* string

---

##### `createFlowLog` <a name="createFlowLog" id="raindancers-network.EnterpriseVpc.createFlowLog"></a>

```typescript
public createFlowLog(props: FlowLogProps): void
```

Create Enterprise VPC Flow Logs (to central log account) and advanced diagnostics with Athena Querys.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.createFlowLog.parameter.props"></a>

- *Type:* <a href="#raindancers-network.FlowLogProps">FlowLogProps</a>

---

##### `router` <a name="router" id="raindancers-network.EnterpriseVpc.router"></a>

```typescript
public router(routerGroups: RouterGroup[]): void
```

This is a convience method to present the routing for the Vpc in a simpler format, than the addRoutes Method, which it calls.

###### `routerGroups`<sup>Required</sup> <a name="routerGroups" id="raindancers-network.EnterpriseVpc.router.parameter.routerGroups"></a>

- *Type:* <a href="#raindancers-network.RouterGroup">RouterGroup</a>[]

---

##### `shareSubnetGroup` <a name="shareSubnetGroup" id="raindancers-network.EnterpriseVpc.shareSubnetGroup"></a>

```typescript
public shareSubnetGroup(props: ShareSubnetGroupProps): void
```

Share a subnetGroup with another AWS Account.

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseVpc.shareSubnetGroup.parameter.props"></a>

- *Type:* <a href="#raindancers-network.ShareSubnetGroupProps">ShareSubnetGroupProps</a>

ShareSubnetGroup.

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpc.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.EnterpriseVpc.isConstruct"></a>

```typescript
import { EnterpriseVpc } from 'raindancers-network'

EnterpriseVpc.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.EnterpriseVpc.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpc.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.EnterpriseVpc.property.addRoutesProvider">addRoutesProvider</a></code> | <code>aws-cdk-lib.custom_resources.Provider</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.attachToCloudwanProvider">attachToCloudwanProvider</a></code> | <code>aws-cdk-lib.custom_resources.Provider</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.tgWaiterProvider">tgWaiterProvider</a></code> | <code>aws-cdk-lib.custom_resources.Provider</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | the ec2.Vpc that is passed in as property. |
| <code><a href="#raindancers-network.EnterpriseVpc.property.subnetConfiguration">subnetConfiguration</a></code> | <code><a href="#raindancers-network.SubnetGroup">SubnetGroup</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.cloudWanCoreId">cloudWanCoreId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.cloudWanName">cloudWanName</a></code> | <code>string</code> | the Name of the cloudwan that the VPC is attached to. |
| <code><a href="#raindancers-network.EnterpriseVpc.property.cloudWanSegment">cloudWanSegment</a></code> | <code>string</code> | the Name of the Cloudwan segment that the vpc is attached to. |
| <code><a href="#raindancers-network.EnterpriseVpc.property.cloudWanVpcAttachmentId">cloudWanVpcAttachmentId</a></code> | <code>string</code> | AttachmentId when the vpc is attached to a Cloudwan. |
| <code><a href="#raindancers-network.EnterpriseVpc.property.firewallArn">firewallArn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.r53endpointResolvers">r53endpointResolvers</a></code> | <code><a href="#raindancers-network.R53Resolverendpoints">R53Resolverendpoints</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.transitGWAttachmentID">transitGWAttachmentID</a></code> | <code>string</code> | AttachmentId when the vpc is attached to a transitGateway. |
| <code><a href="#raindancers-network.EnterpriseVpc.property.transitGWID">transitGWID</a></code> | <code>string</code> | The Id of the transitgateway that the VPC is attached to. |
| <code><a href="#raindancers-network.EnterpriseVpc.property.vpcAttachmentCR">vpcAttachmentCR</a></code> | <code>aws-cdk-lib.CustomResource</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.vpcAttachmentId">vpcAttachmentId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpc.property.vpcAttachmentSegmentName">vpcAttachmentSegmentName</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.EnterpriseVpc.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `addRoutesProvider`<sup>Required</sup> <a name="addRoutesProvider" id="raindancers-network.EnterpriseVpc.property.addRoutesProvider"></a>

```typescript
public readonly addRoutesProvider: Provider;
```

- *Type:* aws-cdk-lib.custom_resources.Provider

---

##### `attachToCloudwanProvider`<sup>Required</sup> <a name="attachToCloudwanProvider" id="raindancers-network.EnterpriseVpc.property.attachToCloudwanProvider"></a>

```typescript
public readonly attachToCloudwanProvider: Provider;
```

- *Type:* aws-cdk-lib.custom_resources.Provider

---

##### `tgWaiterProvider`<sup>Required</sup> <a name="tgWaiterProvider" id="raindancers-network.EnterpriseVpc.property.tgWaiterProvider"></a>

```typescript
public readonly tgWaiterProvider: Provider;
```

- *Type:* aws-cdk-lib.custom_resources.Provider

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.EnterpriseVpc.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

the ec2.Vpc that is passed in as property.

---

##### `subnetConfiguration`<sup>Required</sup> <a name="subnetConfiguration" id="raindancers-network.EnterpriseVpc.property.subnetConfiguration"></a>

```typescript
public readonly subnetConfiguration: SubnetGroup[];
```

- *Type:* <a href="#raindancers-network.SubnetGroup">SubnetGroup</a>[]

---

##### `cloudWanCoreId`<sup>Optional</sup> <a name="cloudWanCoreId" id="raindancers-network.EnterpriseVpc.property.cloudWanCoreId"></a>

```typescript
public readonly cloudWanCoreId: string;
```

- *Type:* string

---

##### `cloudWanName`<sup>Optional</sup> <a name="cloudWanName" id="raindancers-network.EnterpriseVpc.property.cloudWanName"></a>

```typescript
public readonly cloudWanName: string;
```

- *Type:* string

the Name of the cloudwan that the VPC is attached to.

---

##### `cloudWanSegment`<sup>Optional</sup> <a name="cloudWanSegment" id="raindancers-network.EnterpriseVpc.property.cloudWanSegment"></a>

```typescript
public readonly cloudWanSegment: string;
```

- *Type:* string

the Name of the Cloudwan segment that the vpc is attached to.

---

##### `cloudWanVpcAttachmentId`<sup>Optional</sup> <a name="cloudWanVpcAttachmentId" id="raindancers-network.EnterpriseVpc.property.cloudWanVpcAttachmentId"></a>

```typescript
public readonly cloudWanVpcAttachmentId: string;
```

- *Type:* string

AttachmentId when the vpc is attached to a Cloudwan.

---

##### `firewallArn`<sup>Optional</sup> <a name="firewallArn" id="raindancers-network.EnterpriseVpc.property.firewallArn"></a>

```typescript
public readonly firewallArn: string;
```

- *Type:* string

---

##### `r53endpointResolvers`<sup>Optional</sup> <a name="r53endpointResolvers" id="raindancers-network.EnterpriseVpc.property.r53endpointResolvers"></a>

```typescript
public readonly r53endpointResolvers: R53Resolverendpoints;
```

- *Type:* <a href="#raindancers-network.R53Resolverendpoints">R53Resolverendpoints</a>

---

##### `transitGWAttachmentID`<sup>Optional</sup> <a name="transitGWAttachmentID" id="raindancers-network.EnterpriseVpc.property.transitGWAttachmentID"></a>

```typescript
public readonly transitGWAttachmentID: string;
```

- *Type:* string

AttachmentId when the vpc is attached to a transitGateway.

---

##### `transitGWID`<sup>Optional</sup> <a name="transitGWID" id="raindancers-network.EnterpriseVpc.property.transitGWID"></a>

```typescript
public readonly transitGWID: string;
```

- *Type:* string

The Id of the transitgateway that the VPC is attached to.

---

##### `vpcAttachmentCR`<sup>Optional</sup> <a name="vpcAttachmentCR" id="raindancers-network.EnterpriseVpc.property.vpcAttachmentCR"></a>

```typescript
public readonly vpcAttachmentCR: CustomResource;
```

- *Type:* aws-cdk-lib.CustomResource

---

##### `vpcAttachmentId`<sup>Optional</sup> <a name="vpcAttachmentId" id="raindancers-network.EnterpriseVpc.property.vpcAttachmentId"></a>

```typescript
public readonly vpcAttachmentId: string;
```

- *Type:* string

---

##### `vpcAttachmentSegmentName`<sup>Optional</sup> <a name="vpcAttachmentSegmentName" id="raindancers-network.EnterpriseVpc.property.vpcAttachmentSegmentName"></a>

```typescript
public readonly vpcAttachmentSegmentName: string;
```

- *Type:* string

---


### EnterpriseVpcLambda <a name="EnterpriseVpcLambda" id="raindancers-network.EnterpriseVpcLambda"></a>

#### Initializers <a name="Initializers" id="raindancers-network.EnterpriseVpcLambda.Initializer"></a>

```typescript
import { EnterpriseVpcLambda } from 'raindancers-network'

new EnterpriseVpcLambda(scope: Construct, id: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpcLambda.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpcLambda.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.EnterpriseVpcLambda.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.EnterpriseVpcLambda.Initializer.parameter.id"></a>

- *Type:* string

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpcLambda.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.EnterpriseVpcLambda.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpcLambda.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.EnterpriseVpcLambda.isConstruct"></a>

```typescript
import { EnterpriseVpcLambda } from 'raindancers-network'

EnterpriseVpcLambda.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.EnterpriseVpcLambda.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpcLambda.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.EnterpriseVpcLambda.property.addRoutesProvider">addRoutesProvider</a></code> | <code>aws-cdk-lib.custom_resources.Provider</code> | A custom resource to use for adding routes. |
| <code><a href="#raindancers-network.EnterpriseVpcLambda.property.attachToCloudwanProvider">attachToCloudwanProvider</a></code> | <code>aws-cdk-lib.custom_resources.Provider</code> | attach to cloudwan with a water. |
| <code><a href="#raindancers-network.EnterpriseVpcLambda.property.tgWaiterProvider">tgWaiterProvider</a></code> | <code>aws-cdk-lib.custom_resources.Provider</code> | A check to see if transitgateway is ready to route to. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.EnterpriseVpcLambda.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `addRoutesProvider`<sup>Required</sup> <a name="addRoutesProvider" id="raindancers-network.EnterpriseVpcLambda.property.addRoutesProvider"></a>

```typescript
public readonly addRoutesProvider: Provider;
```

- *Type:* aws-cdk-lib.custom_resources.Provider

A custom resource to use for adding routes.

---

##### `attachToCloudwanProvider`<sup>Required</sup> <a name="attachToCloudwanProvider" id="raindancers-network.EnterpriseVpcLambda.property.attachToCloudwanProvider"></a>

```typescript
public readonly attachToCloudwanProvider: Provider;
```

- *Type:* aws-cdk-lib.custom_resources.Provider

attach to cloudwan with a water.

---

##### `tgWaiterProvider`<sup>Required</sup> <a name="tgWaiterProvider" id="raindancers-network.EnterpriseVpcLambda.property.tgWaiterProvider"></a>

```typescript
public readonly tgWaiterProvider: Provider;
```

- *Type:* aws-cdk-lib.custom_resources.Provider

A check to see if transitgateway is ready to route to.

---


### EnterpriseZone <a name="EnterpriseZone" id="raindancers-network.EnterpriseZone"></a>

create forwarding rules and associate them with a vpc.

#### Initializers <a name="Initializers" id="raindancers-network.EnterpriseZone.Initializer"></a>

```typescript
import { EnterpriseZone } from 'raindancers-network'

new EnterpriseZone(scope: Construct, id: string, props: EnterpriseZoneProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnterpriseZone.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseZone.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseZone.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.EnterpriseZoneProps">EnterpriseZoneProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.EnterpriseZone.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.EnterpriseZone.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.EnterpriseZone.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.EnterpriseZoneProps">EnterpriseZoneProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.EnterpriseZone.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.EnterpriseZone.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.EnterpriseZone.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.EnterpriseZone.isConstruct"></a>

```typescript
import { EnterpriseZone } from 'raindancers-network'

EnterpriseZone.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.EnterpriseZone.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnterpriseZone.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.EnterpriseZone.property.privateZone">privateZone</a></code> | <code>aws-cdk-lib.aws_route53.PrivateHostedZone</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.EnterpriseZone.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `privateZone`<sup>Required</sup> <a name="privateZone" id="raindancers-network.EnterpriseZone.property.privateZone"></a>

```typescript
public readonly privateZone: PrivateHostedZone;
```

- *Type:* aws-cdk-lib.aws_route53.PrivateHostedZone

---


### FindPrefixList <a name="FindPrefixList" id="raindancers-network.FindPrefixList"></a>

Enforces the use of IMDSv2, without causing replacement of the Instance.

#### Initializers <a name="Initializers" id="raindancers-network.FindPrefixList.Initializer"></a>

```typescript
import { FindPrefixList } from 'raindancers-network'

new FindPrefixList(scope: Construct, id: string, props: FindPrefixListProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FindPrefixList.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.FindPrefixList.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.FindPrefixList.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.FindPrefixListProps">FindPrefixListProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.FindPrefixList.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.FindPrefixList.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.FindPrefixList.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.FindPrefixListProps">FindPrefixListProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.FindPrefixList.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.FindPrefixList.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.FindPrefixList.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.FindPrefixList.isConstruct"></a>

```typescript
import { FindPrefixList } from 'raindancers-network'

FindPrefixList.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.FindPrefixList.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FindPrefixList.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.FindPrefixList.property.prefixListId">prefixListId</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.FindPrefixList.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `prefixListId`<sup>Required</sup> <a name="prefixListId" id="raindancers-network.FindPrefixList.property.prefixListId"></a>

```typescript
public readonly prefixListId: string;
```

- *Type:* string

---


### FirewallPolicy <a name="FirewallPolicy" id="raindancers-network.FirewallPolicy"></a>

#### Initializers <a name="Initializers" id="raindancers-network.FirewallPolicy.Initializer"></a>

```typescript
import { FirewallPolicy } from 'raindancers-network'

new FirewallPolicy(scope: Construct, id: string, props: FirewallPolicyProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FirewallPolicy.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.FirewallPolicy.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.FirewallPolicy.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.FirewallPolicyProps">FirewallPolicyProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.FirewallPolicy.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.FirewallPolicy.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.FirewallPolicy.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.FirewallPolicyProps">FirewallPolicyProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.FirewallPolicy.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.FirewallPolicy.addManagedStatefulRules">addManagedStatefulRules</a></code> | *No description.* |
| <code><a href="#raindancers-network.FirewallPolicy.addStatelessRuleGroup">addStatelessRuleGroup</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.FirewallPolicy.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addManagedStatefulRules` <a name="addManagedStatefulRules" id="raindancers-network.FirewallPolicy.addManagedStatefulRules"></a>

```typescript
public addManagedStatefulRules(props: AddStatefulRulesProps): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.FirewallPolicy.addManagedStatefulRules.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AddStatefulRulesProps">AddStatefulRulesProps</a>

---

##### `addStatelessRuleGroup` <a name="addStatelessRuleGroup" id="raindancers-network.FirewallPolicy.addStatelessRuleGroup"></a>

```typescript
public addStatelessRuleGroup(props: AddStatelessRulesProps): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.FirewallPolicy.addStatelessRuleGroup.parameter.props"></a>

- *Type:* <a href="#raindancers-network.AddStatelessRulesProps">AddStatelessRulesProps</a>

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.FirewallPolicy.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.FirewallPolicy.isConstruct"></a>

```typescript
import { FirewallPolicy } from 'raindancers-network'

FirewallPolicy.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.FirewallPolicy.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FirewallPolicy.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.FirewallPolicy.property.firewallpolicy">firewallpolicy</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy</code> | *No description.* |
| <code><a href="#raindancers-network.FirewallPolicy.property.policy">policy</a></code> | <code><a href="#raindancers-network.IFirewallPolicyProperty">IFirewallPolicyProperty</a></code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.FirewallPolicy.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `firewallpolicy`<sup>Required</sup> <a name="firewallpolicy" id="raindancers-network.FirewallPolicy.property.firewallpolicy"></a>

```typescript
public readonly firewallpolicy: CfnFirewallPolicy;
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy

---

##### `policy`<sup>Required</sup> <a name="policy" id="raindancers-network.FirewallPolicy.property.policy"></a>

```typescript
public readonly policy: IFirewallPolicyProperty;
```

- *Type:* <a href="#raindancers-network.IFirewallPolicyProperty">IFirewallPolicyProperty</a>

---


### ForwardingRules <a name="ForwardingRules" id="raindancers-network.ForwardingRules"></a>

create forwarding rules and associate them with a vpc.

#### Initializers <a name="Initializers" id="raindancers-network.ForwardingRules.Initializer"></a>

```typescript
import { ForwardingRules } from 'raindancers-network'

new ForwardingRules(scope: Construct, id: string, props: ForwardingRulesProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ForwardingRules.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.ForwardingRules.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ForwardingRules.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.ForwardingRulesProps">ForwardingRulesProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.ForwardingRules.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.ForwardingRules.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.ForwardingRules.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.ForwardingRulesProps">ForwardingRulesProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ForwardingRules.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.ForwardingRules.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ForwardingRules.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.ForwardingRules.isConstruct"></a>

```typescript
import { ForwardingRules } from 'raindancers-network'

ForwardingRules.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.ForwardingRules.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ForwardingRules.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.ForwardingRules.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### FQDNStatefulRule <a name="FQDNStatefulRule" id="raindancers-network.FQDNStatefulRule"></a>

#### Initializers <a name="Initializers" id="raindancers-network.FQDNStatefulRule.Initializer"></a>

```typescript
import { FQDNStatefulRule } from 'raindancers-network'

new FQDNStatefulRule(scope: Construct, id: string, props: FQDNStatefulRuleProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FQDNStatefulRule.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRule.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRule.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.FQDNStatefulRuleProps">FQDNStatefulRuleProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.FQDNStatefulRule.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.FQDNStatefulRule.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.FQDNStatefulRule.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.FQDNStatefulRuleProps">FQDNStatefulRuleProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.FQDNStatefulRule.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.FQDNStatefulRule.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.FQDNStatefulRule.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.FQDNStatefulRule.isConstruct"></a>

```typescript
import { FQDNStatefulRule } from 'raindancers-network'

FQDNStatefulRule.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.FQDNStatefulRule.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FQDNStatefulRule.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.FQDNStatefulRule.property.prefixListSet">prefixListSet</a></code> | <code><a href="#raindancers-network.PrefixListSetInterface">PrefixListSetInterface</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRule.property.resourceGroupSets">resourceGroupSets</a></code> | <code><a href="#raindancers-network.DynamicTagResourceGroupSet">DynamicTagResourceGroupSet</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRule.property.uuid">uuid</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.FQDNStatefulRule.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `prefixListSet`<sup>Required</sup> <a name="prefixListSet" id="raindancers-network.FQDNStatefulRule.property.prefixListSet"></a>

```typescript
public readonly prefixListSet: PrefixListSetInterface[];
```

- *Type:* <a href="#raindancers-network.PrefixListSetInterface">PrefixListSetInterface</a>[]

---

##### `resourceGroupSets`<sup>Required</sup> <a name="resourceGroupSets" id="raindancers-network.FQDNStatefulRule.property.resourceGroupSets"></a>

```typescript
public readonly resourceGroupSets: DynamicTagResourceGroupSet[];
```

- *Type:* <a href="#raindancers-network.DynamicTagResourceGroupSet">DynamicTagResourceGroupSet</a>[]

---

##### `uuid`<sup>Required</sup> <a name="uuid" id="raindancers-network.FQDNStatefulRule.property.uuid"></a>

```typescript
public readonly uuid: string;
```

- *Type:* string

---


### GetTunnelAddressPair <a name="GetTunnelAddressPair" id="raindancers-network.GetTunnelAddressPair"></a>

Allocate a pair of /30 networks CIDRS for use in Ipsec VPN Tunnels.

#### Initializers <a name="Initializers" id="raindancers-network.GetTunnelAddressPair.Initializer"></a>

```typescript
import { GetTunnelAddressPair } from 'raindancers-network'

new GetTunnelAddressPair(scope: Construct, id: string, props: GetTunnelAddressPairProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.GetTunnelAddressPair.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | scope in which this resource is created. |
| <code><a href="#raindancers-network.GetTunnelAddressPair.Initializer.parameter.id">id</a></code> | <code>string</code> | scope id of the resoruce. |
| <code><a href="#raindancers-network.GetTunnelAddressPair.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.GetTunnelAddressPairProps">GetTunnelAddressPairProps</a></code> | resource properties. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.GetTunnelAddressPair.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

scope in which this resource is created.

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.GetTunnelAddressPair.Initializer.parameter.id"></a>

- *Type:* string

scope id of the resoruce.

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.GetTunnelAddressPair.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.GetTunnelAddressPairProps">GetTunnelAddressPairProps</a>

resource properties.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.GetTunnelAddressPair.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.GetTunnelAddressPair.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.GetTunnelAddressPair.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.GetTunnelAddressPair.isConstruct"></a>

```typescript
import { GetTunnelAddressPair } from 'raindancers-network'

GetTunnelAddressPair.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.GetTunnelAddressPair.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.GetTunnelAddressPair.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.GetTunnelAddressPair.property.assignedCidrPair">assignedCidrPair</a></code> | <code>string[]</code> | returns 2 cidr blocks as an array to be used by an IPsec Tunnel. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.GetTunnelAddressPair.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `assignedCidrPair`<sup>Required</sup> <a name="assignedCidrPair" id="raindancers-network.GetTunnelAddressPair.property.assignedCidrPair"></a>

```typescript
public readonly assignedCidrPair: string[];
```

- *Type:* string[]

returns 2 cidr blocks as an array to be used by an IPsec Tunnel.

---


### IpsecTunnelPool <a name="IpsecTunnelPool" id="raindancers-network.IpsecTunnelPool"></a>

Creates an IPAM pool to assign address's for IPsec VPNS.

#### Initializers <a name="Initializers" id="raindancers-network.IpsecTunnelPool.Initializer"></a>

```typescript
import { IpsecTunnelPool } from 'raindancers-network'

new IpsecTunnelPool(scope: Construct, id: string, props: IpsecTunnelPoolProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.IpsecTunnelPool.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | scope in which this resource is defined. |
| <code><a href="#raindancers-network.IpsecTunnelPool.Initializer.parameter.id">id</a></code> | <code>string</code> | id of the resource. |
| <code><a href="#raindancers-network.IpsecTunnelPool.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.IpsecTunnelPoolProps">IpsecTunnelPoolProps</a></code> | resource properties. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.IpsecTunnelPool.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

scope in which this resource is defined.

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.IpsecTunnelPool.Initializer.parameter.id"></a>

- *Type:* string

id of the resource.

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.IpsecTunnelPool.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.IpsecTunnelPoolProps">IpsecTunnelPoolProps</a>

resource properties.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.IpsecTunnelPool.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.IpsecTunnelPool.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.IpsecTunnelPool.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.IpsecTunnelPool.isConstruct"></a>

```typescript
import { IpsecTunnelPool } from 'raindancers-network'

IpsecTunnelPool.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.IpsecTunnelPool.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.IpsecTunnelPool.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.IpsecTunnelPool.property.ipampool">ipampool</a></code> | <code>aws-cdk-lib.aws_ec2.CfnIPAMPool</code> | returns the created ipam Pool. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.IpsecTunnelPool.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `ipampool`<sup>Required</sup> <a name="ipampool" id="raindancers-network.IpsecTunnelPool.property.ipampool"></a>

```typescript
public readonly ipampool: CfnIPAMPool;
```

- *Type:* aws-cdk-lib.aws_ec2.CfnIPAMPool

returns the created ipam Pool.

---


### NetworkFirewall <a name="NetworkFirewall" id="raindancers-network.NetworkFirewall"></a>

Creates Network Firewalls.

#### Initializers <a name="Initializers" id="raindancers-network.NetworkFirewall.Initializer"></a>

```typescript
import { NetworkFirewall } from 'raindancers-network'

new NetworkFirewall(scope: Construct, id: string, props: NetworkFirewallProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.NetworkFirewall.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | Scope. |
| <code><a href="#raindancers-network.NetworkFirewall.Initializer.parameter.id">id</a></code> | <code>string</code> | id. |
| <code><a href="#raindancers-network.NetworkFirewall.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.NetworkFirewallProps">NetworkFirewallProps</a></code> | props. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.NetworkFirewall.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

Scope.

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.NetworkFirewall.Initializer.parameter.id"></a>

- *Type:* string

id.

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.NetworkFirewall.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.NetworkFirewallProps">NetworkFirewallProps</a>

props.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.NetworkFirewall.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.NetworkFirewall.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.NetworkFirewall.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.NetworkFirewall.isConstruct"></a>

```typescript
import { NetworkFirewall } from 'raindancers-network'

NetworkFirewall.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.NetworkFirewall.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.NetworkFirewall.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.NetworkFirewall.property.endPointIds">endPointIds</a></code> | <code>string[]</code> | Gateway Endpoints for the Firewalls. |
| <code><a href="#raindancers-network.NetworkFirewall.property.firewallArn">firewallArn</a></code> | <code>string</code> | Arn of the firewall. |
| <code><a href="#raindancers-network.NetworkFirewall.property.firewallId">firewallId</a></code> | <code>string</code> | Firewall ID. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.NetworkFirewall.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `endPointIds`<sup>Required</sup> <a name="endPointIds" id="raindancers-network.NetworkFirewall.property.endPointIds"></a>

```typescript
public readonly endPointIds: string[];
```

- *Type:* string[]

Gateway Endpoints for the Firewalls.

---

##### `firewallArn`<sup>Required</sup> <a name="firewallArn" id="raindancers-network.NetworkFirewall.property.firewallArn"></a>

```typescript
public readonly firewallArn: string;
```

- *Type:* string

Arn of the firewall.

---

##### `firewallId`<sup>Required</sup> <a name="firewallId" id="raindancers-network.NetworkFirewall.property.firewallId"></a>

```typescript
public readonly firewallId: string;
```

- *Type:* string

Firewall ID.

---


### PermissionSet <a name="PermissionSet" id="raindancers-network.PermissionSet"></a>

- *Implements:* <a href="#raindancers-network.IPermissionSet">IPermissionSet</a>

#### Initializers <a name="Initializers" id="raindancers-network.PermissionSet.Initializer"></a>

```typescript
import { PermissionSet } from 'raindancers-network'

new PermissionSet(scope: Construct, id: string, props: PermissionSetProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PermissionSet.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.PermissionSet.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PermissionSet.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.PermissionSetProps">PermissionSetProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.PermissionSet.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.PermissionSet.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.PermissionSet.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.PermissionSetProps">PermissionSetProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PermissionSet.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.PermissionSet.applyRemovalPolicy">applyRemovalPolicy</a></code> | Apply the given removal policy to this resource. |
| <code><a href="#raindancers-network.PermissionSet.grant">grant</a></code> | Grant this permission set to a given principal for a given targetId (AWS account identifier) on a given SSO instance. |

---

##### `toString` <a name="toString" id="raindancers-network.PermissionSet.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `applyRemovalPolicy` <a name="applyRemovalPolicy" id="raindancers-network.PermissionSet.applyRemovalPolicy"></a>

```typescript
public applyRemovalPolicy(policy: RemovalPolicy): void
```

Apply the given removal policy to this resource.

The Removal Policy controls what happens to this resource when it stops
being managed by CloudFormation, either because you've removed it from the
CDK application or because you've made a change that requires the resource
to be replaced.

The resource can be deleted (`RemovalPolicy.DESTROY`), or left in your AWS
account for data recovery and cleanup later (`RemovalPolicy.RETAIN`).

###### `policy`<sup>Required</sup> <a name="policy" id="raindancers-network.PermissionSet.applyRemovalPolicy.parameter.policy"></a>

- *Type:* aws-cdk-lib.RemovalPolicy

---

##### `grant` <a name="grant" id="raindancers-network.PermissionSet.grant"></a>

```typescript
public grant(id: string, assignmentOptions: AssignmentOptions): Assignment
```

Grant this permission set to a given principal for a given targetId (AWS account identifier) on a given SSO instance.

###### `id`<sup>Required</sup> <a name="id" id="raindancers-network.PermissionSet.grant.parameter.id"></a>

- *Type:* string

---

###### `assignmentOptions`<sup>Required</sup> <a name="assignmentOptions" id="raindancers-network.PermissionSet.grant.parameter.assignmentOptions"></a>

- *Type:* <a href="#raindancers-network.AssignmentOptions">AssignmentOptions</a>

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PermissionSet.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |
| <code><a href="#raindancers-network.PermissionSet.isOwnedResource">isOwnedResource</a></code> | Returns true if the construct was created by CDK, and false otherwise. |
| <code><a href="#raindancers-network.PermissionSet.isResource">isResource</a></code> | Check whether the given construct is a Resource. |
| <code><a href="#raindancers-network.PermissionSet.fromPermissionSetArn">fromPermissionSetArn</a></code> | Reference an existing permission set by ARN. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.PermissionSet.isConstruct"></a>

```typescript
import { PermissionSet } from 'raindancers-network'

PermissionSet.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.PermissionSet.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

##### `isOwnedResource` <a name="isOwnedResource" id="raindancers-network.PermissionSet.isOwnedResource"></a>

```typescript
import { PermissionSet } from 'raindancers-network'

PermissionSet.isOwnedResource(construct: IConstruct)
```

Returns true if the construct was created by CDK, and false otherwise.

###### `construct`<sup>Required</sup> <a name="construct" id="raindancers-network.PermissionSet.isOwnedResource.parameter.construct"></a>

- *Type:* constructs.IConstruct

---

##### `isResource` <a name="isResource" id="raindancers-network.PermissionSet.isResource"></a>

```typescript
import { PermissionSet } from 'raindancers-network'

PermissionSet.isResource(construct: IConstruct)
```

Check whether the given construct is a Resource.

###### `construct`<sup>Required</sup> <a name="construct" id="raindancers-network.PermissionSet.isResource.parameter.construct"></a>

- *Type:* constructs.IConstruct

---

##### `fromPermissionSetArn` <a name="fromPermissionSetArn" id="raindancers-network.PermissionSet.fromPermissionSetArn"></a>

```typescript
import { PermissionSet } from 'raindancers-network'

PermissionSet.fromPermissionSetArn(scope: Construct, id: string, permissionSetArn: string)
```

Reference an existing permission set by ARN.

###### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.PermissionSet.fromPermissionSetArn.parameter.scope"></a>

- *Type:* constructs.Construct

---

###### `id`<sup>Required</sup> <a name="id" id="raindancers-network.PermissionSet.fromPermissionSetArn.parameter.id"></a>

- *Type:* string

---

###### `permissionSetArn`<sup>Required</sup> <a name="permissionSetArn" id="raindancers-network.PermissionSet.fromPermissionSetArn.parameter.permissionSetArn"></a>

- *Type:* string

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PermissionSet.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.PermissionSet.property.env">env</a></code> | <code>aws-cdk-lib.ResourceEnvironment</code> | The environment this resource belongs to. |
| <code><a href="#raindancers-network.PermissionSet.property.stack">stack</a></code> | <code>aws-cdk-lib.Stack</code> | The stack in which this resource is defined. |
| <code><a href="#raindancers-network.PermissionSet.property.cfnPermissionSet">cfnPermissionSet</a></code> | <code>aws-cdk-lib.aws_sso.CfnPermissionSet</code> | The underlying CfnPermissionSet resource. |
| <code><a href="#raindancers-network.PermissionSet.property.permissionSetArn">permissionSetArn</a></code> | <code>string</code> | The permission set ARN of the permission set. |
| <code><a href="#raindancers-network.PermissionSet.property.ssoInstanceArn">ssoInstanceArn</a></code> | <code>string</code> | The SSO instance the permission set belongs to. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.PermissionSet.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `env`<sup>Required</sup> <a name="env" id="raindancers-network.PermissionSet.property.env"></a>

```typescript
public readonly env: ResourceEnvironment;
```

- *Type:* aws-cdk-lib.ResourceEnvironment

The environment this resource belongs to.

For resources that are created and managed by the CDK
(generally, those created by creating new class instances like Role, Bucket, etc.),
this is always the same as the environment of the stack they belong to;
however, for imported resources
(those obtained from static methods like fromRoleArn, fromBucketName, etc.),
that might be different than the stack they were imported into.

---

##### `stack`<sup>Required</sup> <a name="stack" id="raindancers-network.PermissionSet.property.stack"></a>

```typescript
public readonly stack: Stack;
```

- *Type:* aws-cdk-lib.Stack

The stack in which this resource is defined.

---

##### `cfnPermissionSet`<sup>Required</sup> <a name="cfnPermissionSet" id="raindancers-network.PermissionSet.property.cfnPermissionSet"></a>

```typescript
public readonly cfnPermissionSet: CfnPermissionSet;
```

- *Type:* aws-cdk-lib.aws_sso.CfnPermissionSet

The underlying CfnPermissionSet resource.

---

##### `permissionSetArn`<sup>Required</sup> <a name="permissionSetArn" id="raindancers-network.PermissionSet.property.permissionSetArn"></a>

```typescript
public readonly permissionSetArn: string;
```

- *Type:* string

The permission set ARN of the permission set.

---

##### `ssoInstanceArn`<sup>Required</sup> <a name="ssoInstanceArn" id="raindancers-network.PermissionSet.property.ssoInstanceArn"></a>

```typescript
public readonly ssoInstanceArn: string;
```

- *Type:* string

The SSO instance the permission set belongs to.

---


### PowerBiGateway <a name="PowerBiGateway" id="raindancers-network.PowerBiGateway"></a>

* Creates an Instance of a Power BI Gateway.

#### Initializers <a name="Initializers" id="raindancers-network.PowerBiGateway.Initializer"></a>

```typescript
import { PowerBiGateway } from 'raindancers-network'

new PowerBiGateway(scope: Construct, id: string, props: PowerBiGatewayProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PowerBiGateway.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGateway.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGateway.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.PowerBiGatewayProps">PowerBiGatewayProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.PowerBiGateway.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.PowerBiGateway.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.PowerBiGateway.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.PowerBiGatewayProps">PowerBiGatewayProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PowerBiGateway.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.PowerBiGateway.addEgressRule">addEgressRule</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.PowerBiGateway.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addEgressRule` <a name="addEgressRule" id="raindancers-network.PowerBiGateway.addEgressRule"></a>

```typescript
public addEgressRule(peer: IPeer, connection: Port, description?: string): void
```

###### `peer`<sup>Required</sup> <a name="peer" id="raindancers-network.PowerBiGateway.addEgressRule.parameter.peer"></a>

- *Type:* aws-cdk-lib.aws_ec2.IPeer

---

###### `connection`<sup>Required</sup> <a name="connection" id="raindancers-network.PowerBiGateway.addEgressRule.parameter.connection"></a>

- *Type:* aws-cdk-lib.aws_ec2.Port

---

###### `description`<sup>Optional</sup> <a name="description" id="raindancers-network.PowerBiGateway.addEgressRule.parameter.description"></a>

- *Type:* string

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PowerBiGateway.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.PowerBiGateway.isConstruct"></a>

```typescript
import { PowerBiGateway } from 'raindancers-network'

PowerBiGateway.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.PowerBiGateway.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PowerBiGateway.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.PowerBiGateway.property.instance">instance</a></code> | <code>aws-cdk-lib.aws_ec2.Instance</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.PowerBiGateway.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `instance`<sup>Required</sup> <a name="instance" id="raindancers-network.PowerBiGateway.property.instance"></a>

```typescript
public readonly instance: Instance;
```

- *Type:* aws-cdk-lib.aws_ec2.Instance

---


### PowerBIGatewayZoo <a name="PowerBIGatewayZoo" id="raindancers-network.PowerBIGatewayZoo"></a>

#### Initializers <a name="Initializers" id="raindancers-network.PowerBIGatewayZoo.Initializer"></a>

```typescript
import { PowerBIGatewayZoo } from 'raindancers-network'

new PowerBIGatewayZoo(scope: Construct, id: string, props: PowerBIGatewayZooProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.PowerBIGatewayZooProps">PowerBIGatewayZooProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.PowerBIGatewayZoo.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.PowerBIGatewayZoo.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.PowerBIGatewayZoo.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.PowerBIGatewayZooProps">PowerBIGatewayZooProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.addDependency">addDependency</a></code> | Add a dependency between this stack and another stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.addMetadata">addMetadata</a></code> | Adds an arbitary key-value pair, with information you want to record about the stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.addTransform">addTransform</a></code> | Add a Transform to this stack. A Transform is a macro that AWS CloudFormation uses to process your template. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.exportStringListValue">exportStringListValue</a></code> | Create a CloudFormation Export for a string list value. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.exportValue">exportValue</a></code> | Create a CloudFormation Export for a string value. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.formatArn">formatArn</a></code> | Creates an ARN from components. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.getLogicalId">getLogicalId</a></code> | Allocates a stack-unique CloudFormation-compatible logical identity for a specific resource. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.regionalFact">regionalFact</a></code> | Look up a fact value for the given fact for the region of this stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.renameLogicalId">renameLogicalId</a></code> | Rename a generated logical identities. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.reportMissingContextKey">reportMissingContextKey</a></code> | Indicate that a context key was expected. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.resolve">resolve</a></code> | Resolve a tokenized value in the context of the current stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.splitArn">splitArn</a></code> | Splits the provided ARN into its components. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.toJsonString">toJsonString</a></code> | Convert an object, potentially containing tokens, to a JSON string. |

---

##### `toString` <a name="toString" id="raindancers-network.PowerBIGatewayZoo.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addDependency` <a name="addDependency" id="raindancers-network.PowerBIGatewayZoo.addDependency"></a>

```typescript
public addDependency(target: Stack, reason?: string): void
```

Add a dependency between this stack and another stack.

This can be used to define dependencies between any two stacks within an
app, and also supports nested stacks.

###### `target`<sup>Required</sup> <a name="target" id="raindancers-network.PowerBIGatewayZoo.addDependency.parameter.target"></a>

- *Type:* aws-cdk-lib.Stack

---

###### `reason`<sup>Optional</sup> <a name="reason" id="raindancers-network.PowerBIGatewayZoo.addDependency.parameter.reason"></a>

- *Type:* string

---

##### `addMetadata` <a name="addMetadata" id="raindancers-network.PowerBIGatewayZoo.addMetadata"></a>

```typescript
public addMetadata(key: string, value: any): void
```

Adds an arbitary key-value pair, with information you want to record about the stack.

These get translated to the Metadata section of the generated template.

> [https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/metadata-section-structure.html](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/metadata-section-structure.html)

###### `key`<sup>Required</sup> <a name="key" id="raindancers-network.PowerBIGatewayZoo.addMetadata.parameter.key"></a>

- *Type:* string

---

###### `value`<sup>Required</sup> <a name="value" id="raindancers-network.PowerBIGatewayZoo.addMetadata.parameter.value"></a>

- *Type:* any

---

##### `addTransform` <a name="addTransform" id="raindancers-network.PowerBIGatewayZoo.addTransform"></a>

```typescript
public addTransform(transform: string): void
```

Add a Transform to this stack. A Transform is a macro that AWS CloudFormation uses to process your template.

Duplicate values are removed when stack is synthesized.

> [https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/transform-section-structure.html](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/transform-section-structure.html)

*Example*

```typescript
declare const stack: Stack;

stack.addTransform('AWS::Serverless-2016-10-31')
```


###### `transform`<sup>Required</sup> <a name="transform" id="raindancers-network.PowerBIGatewayZoo.addTransform.parameter.transform"></a>

- *Type:* string

The transform to add.

---

##### `exportStringListValue` <a name="exportStringListValue" id="raindancers-network.PowerBIGatewayZoo.exportStringListValue"></a>

```typescript
public exportStringListValue(exportedValue: any, options?: ExportValueOptions): string[]
```

Create a CloudFormation Export for a string list value.

Returns a string list representing the corresponding `Fn.importValue()`
expression for this Export. The export expression is automatically wrapped with an
`Fn::Join` and the import value with an `Fn::Split`, since CloudFormation can only
export strings. You can control the name for the export by passing the `name` option.

If you don't supply a value for `name`, the value you're exporting must be
a Resource attribute (for example: `bucket.bucketName`) and it will be
given the same name as the automatic cross-stack reference that would be created
if you used the attribute in another Stack.

One of the uses for this method is to *remove* the relationship between
two Stacks established by automatic cross-stack references. It will
temporarily ensure that the CloudFormation Export still exists while you
remove the reference from the consuming stack. After that, you can remove
the resource and the manual export.

See `exportValue` for an example of this process.

###### `exportedValue`<sup>Required</sup> <a name="exportedValue" id="raindancers-network.PowerBIGatewayZoo.exportStringListValue.parameter.exportedValue"></a>

- *Type:* any

---

###### `options`<sup>Optional</sup> <a name="options" id="raindancers-network.PowerBIGatewayZoo.exportStringListValue.parameter.options"></a>

- *Type:* aws-cdk-lib.ExportValueOptions

---

##### `exportValue` <a name="exportValue" id="raindancers-network.PowerBIGatewayZoo.exportValue"></a>

```typescript
public exportValue(exportedValue: any, options?: ExportValueOptions): string
```

Create a CloudFormation Export for a string value.

Returns a string representing the corresponding `Fn.importValue()`
expression for this Export. You can control the name for the export by
passing the `name` option.

If you don't supply a value for `name`, the value you're exporting must be
a Resource attribute (for example: `bucket.bucketName`) and it will be
given the same name as the automatic cross-stack reference that would be created
if you used the attribute in another Stack.

One of the uses for this method is to *remove* the relationship between
two Stacks established by automatic cross-stack references. It will
temporarily ensure that the CloudFormation Export still exists while you
remove the reference from the consuming stack. After that, you can remove
the resource and the manual export.

## Example

Here is how the process works. Let's say there are two stacks,
`producerStack` and `consumerStack`, and `producerStack` has a bucket
called `bucket`, which is referenced by `consumerStack` (perhaps because
an AWS Lambda Function writes into it, or something like that).

It is not safe to remove `producerStack.bucket` because as the bucket is being
deleted, `consumerStack` might still be using it.

Instead, the process takes two deployments:

### Deployment 1: break the relationship

- Make sure `consumerStack` no longer references `bucket.bucketName` (maybe the consumer
   stack now uses its own bucket, or it writes to an AWS DynamoDB table, or maybe you just
   remove the Lambda Function altogether).
- In the `ProducerStack` class, call `this.exportValue(this.bucket.bucketName)`. This
   will make sure the CloudFormation Export continues to exist while the relationship
   between the two stacks is being broken.
- Deploy (this will effectively only change the `consumerStack`, but it's safe to deploy both).

### Deployment 2: remove the bucket resource

- You are now free to remove the `bucket` resource from `producerStack`.
- Don't forget to remove the `exportValue()` call as well.
- Deploy again (this time only the `producerStack` will be changed -- the bucket will be deleted).

###### `exportedValue`<sup>Required</sup> <a name="exportedValue" id="raindancers-network.PowerBIGatewayZoo.exportValue.parameter.exportedValue"></a>

- *Type:* any

---

###### `options`<sup>Optional</sup> <a name="options" id="raindancers-network.PowerBIGatewayZoo.exportValue.parameter.options"></a>

- *Type:* aws-cdk-lib.ExportValueOptions

---

##### `formatArn` <a name="formatArn" id="raindancers-network.PowerBIGatewayZoo.formatArn"></a>

```typescript
public formatArn(components: ArnComponents): string
```

Creates an ARN from components.

If `partition`, `region` or `account` are not specified, the stack's
partition, region and account will be used.

If any component is the empty string, an empty string will be inserted
into the generated ARN at the location that component corresponds to.

The ARN will be formatted as follows:

   arn:{partition}:{service}:{region}:{account}:{resource}{sep}{resource-name}

The required ARN pieces that are omitted will be taken from the stack that
the 'scope' is attached to. If all ARN pieces are supplied, the supplied scope
can be 'undefined'.

###### `components`<sup>Required</sup> <a name="components" id="raindancers-network.PowerBIGatewayZoo.formatArn.parameter.components"></a>

- *Type:* aws-cdk-lib.ArnComponents

---

##### `getLogicalId` <a name="getLogicalId" id="raindancers-network.PowerBIGatewayZoo.getLogicalId"></a>

```typescript
public getLogicalId(element: CfnElement): string
```

Allocates a stack-unique CloudFormation-compatible logical identity for a specific resource.

This method is called when a `CfnElement` is created and used to render the
initial logical identity of resources. Logical ID renames are applied at
this stage.

This method uses the protected method `allocateLogicalId` to render the
logical ID for an element. To modify the naming scheme, extend the `Stack`
class and override this method.

###### `element`<sup>Required</sup> <a name="element" id="raindancers-network.PowerBIGatewayZoo.getLogicalId.parameter.element"></a>

- *Type:* aws-cdk-lib.CfnElement

The CloudFormation element for which a logical identity is needed.

---

##### `regionalFact` <a name="regionalFact" id="raindancers-network.PowerBIGatewayZoo.regionalFact"></a>

```typescript
public regionalFact(factName: string, defaultValue?: string): string
```

Look up a fact value for the given fact for the region of this stack.

Will return a definite value only if the region of the current stack is resolved.
If not, a lookup map will be added to the stack and the lookup will be done at
CDK deployment time.

What regions will be included in the lookup map is controlled by the
`@aws-cdk/core:target-partitions` context value: it must be set to a list
of partitions, and only regions from the given partitions will be included.
If no such context key is set, all regions will be included.

This function is intended to be used by construct library authors. Application
builders can rely on the abstractions offered by construct libraries and do
not have to worry about regional facts.

If `defaultValue` is not given, it is an error if the fact is unknown for
the given region.

###### `factName`<sup>Required</sup> <a name="factName" id="raindancers-network.PowerBIGatewayZoo.regionalFact.parameter.factName"></a>

- *Type:* string

---

###### `defaultValue`<sup>Optional</sup> <a name="defaultValue" id="raindancers-network.PowerBIGatewayZoo.regionalFact.parameter.defaultValue"></a>

- *Type:* string

---

##### `renameLogicalId` <a name="renameLogicalId" id="raindancers-network.PowerBIGatewayZoo.renameLogicalId"></a>

```typescript
public renameLogicalId(oldId: string, newId: string): void
```

Rename a generated logical identities.

To modify the naming scheme strategy, extend the `Stack` class and
override the `allocateLogicalId` method.

###### `oldId`<sup>Required</sup> <a name="oldId" id="raindancers-network.PowerBIGatewayZoo.renameLogicalId.parameter.oldId"></a>

- *Type:* string

---

###### `newId`<sup>Required</sup> <a name="newId" id="raindancers-network.PowerBIGatewayZoo.renameLogicalId.parameter.newId"></a>

- *Type:* string

---

##### `reportMissingContextKey` <a name="reportMissingContextKey" id="raindancers-network.PowerBIGatewayZoo.reportMissingContextKey"></a>

```typescript
public reportMissingContextKey(report: MissingContext): void
```

Indicate that a context key was expected.

Contains instructions which will be emitted into the cloud assembly on how
the key should be supplied.

###### `report`<sup>Required</sup> <a name="report" id="raindancers-network.PowerBIGatewayZoo.reportMissingContextKey.parameter.report"></a>

- *Type:* aws-cdk-lib.cloud_assembly_schema.MissingContext

The set of parameters needed to obtain the context.

---

##### `resolve` <a name="resolve" id="raindancers-network.PowerBIGatewayZoo.resolve"></a>

```typescript
public resolve(obj: any): any
```

Resolve a tokenized value in the context of the current stack.

###### `obj`<sup>Required</sup> <a name="obj" id="raindancers-network.PowerBIGatewayZoo.resolve.parameter.obj"></a>

- *Type:* any

---

##### `splitArn` <a name="splitArn" id="raindancers-network.PowerBIGatewayZoo.splitArn"></a>

```typescript
public splitArn(arn: string, arnFormat: ArnFormat): ArnComponents
```

Splits the provided ARN into its components.

Works both if 'arn' is a string like 'arn:aws:s3:::bucket',
and a Token representing a dynamic CloudFormation expression
(in which case the returned components will also be dynamic CloudFormation expressions,
encoded as Tokens).

###### `arn`<sup>Required</sup> <a name="arn" id="raindancers-network.PowerBIGatewayZoo.splitArn.parameter.arn"></a>

- *Type:* string

the ARN to split into its components.

---

###### `arnFormat`<sup>Required</sup> <a name="arnFormat" id="raindancers-network.PowerBIGatewayZoo.splitArn.parameter.arnFormat"></a>

- *Type:* aws-cdk-lib.ArnFormat

the expected format of 'arn' - depends on what format the service 'arn' represents uses.

---

##### `toJsonString` <a name="toJsonString" id="raindancers-network.PowerBIGatewayZoo.toJsonString"></a>

```typescript
public toJsonString(obj: any, space?: number): string
```

Convert an object, potentially containing tokens, to a JSON string.

###### `obj`<sup>Required</sup> <a name="obj" id="raindancers-network.PowerBIGatewayZoo.toJsonString.parameter.obj"></a>

- *Type:* any

---

###### `space`<sup>Optional</sup> <a name="space" id="raindancers-network.PowerBIGatewayZoo.toJsonString.parameter.space"></a>

- *Type:* number

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.isStack">isStack</a></code> | Return whether the given object is a Stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.of">of</a></code> | Looks up the first stack scope in which `construct` is defined. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.PowerBIGatewayZoo.isConstruct"></a>

```typescript
import { PowerBIGatewayZoo } from 'raindancers-network'

PowerBIGatewayZoo.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.PowerBIGatewayZoo.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

##### `isStack` <a name="isStack" id="raindancers-network.PowerBIGatewayZoo.isStack"></a>

```typescript
import { PowerBIGatewayZoo } from 'raindancers-network'

PowerBIGatewayZoo.isStack(x: any)
```

Return whether the given object is a Stack.

We do attribute detection since we can't reliably use 'instanceof'.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.PowerBIGatewayZoo.isStack.parameter.x"></a>

- *Type:* any

---

##### `of` <a name="of" id="raindancers-network.PowerBIGatewayZoo.of"></a>

```typescript
import { PowerBIGatewayZoo } from 'raindancers-network'

PowerBIGatewayZoo.of(construct: IConstruct)
```

Looks up the first stack scope in which `construct` is defined.

Fails if there is no stack up the tree.

###### `construct`<sup>Required</sup> <a name="construct" id="raindancers-network.PowerBIGatewayZoo.of.parameter.construct"></a>

- *Type:* constructs.IConstruct

The construct to start the search from.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.account">account</a></code> | <code>string</code> | The AWS account into which this stack will be deployed. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.artifactId">artifactId</a></code> | <code>string</code> | The ID of the cloud assembly artifact for this stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.availabilityZones">availabilityZones</a></code> | <code>string[]</code> | Returns the list of AZs that are available in the AWS environment (account/region) associated with this stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.bundlingRequired">bundlingRequired</a></code> | <code>boolean</code> | Indicates whether the stack requires bundling or not. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.dependencies">dependencies</a></code> | <code>aws-cdk-lib.Stack[]</code> | Return the stacks this stack depends on. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.environment">environment</a></code> | <code>string</code> | The environment coordinates in which this stack is deployed. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.nested">nested</a></code> | <code>boolean</code> | Indicates if this is a nested stack, in which case `parentStack` will include a reference to it's parent. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.notificationArns">notificationArns</a></code> | <code>string[]</code> | Returns the list of notification Amazon Resource Names (ARNs) for the current stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.partition">partition</a></code> | <code>string</code> | The partition in which this stack is defined. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.region">region</a></code> | <code>string</code> | The AWS region into which this stack will be deployed (e.g. `us-west-2`). |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.stackId">stackId</a></code> | <code>string</code> | The ID of the stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.stackName">stackName</a></code> | <code>string</code> | The concrete CloudFormation physical stack name. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.synthesizer">synthesizer</a></code> | <code>aws-cdk-lib.IStackSynthesizer</code> | Synthesis method for this stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.tags">tags</a></code> | <code>aws-cdk-lib.TagManager</code> | Tags to be applied to the stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.templateFile">templateFile</a></code> | <code>string</code> | The name of the CloudFormation template file emitted to the output directory during synthesis. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.templateOptions">templateOptions</a></code> | <code>aws-cdk-lib.ITemplateOptions</code> | Options for CloudFormation template (like version, transform, description). |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.urlSuffix">urlSuffix</a></code> | <code>string</code> | The Amazon domain suffix for the region in which this stack is defined. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.nestedStackParent">nestedStackParent</a></code> | <code>aws-cdk-lib.Stack</code> | If this is a nested stack, returns it's parent stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.nestedStackResource">nestedStackResource</a></code> | <code>aws-cdk-lib.CfnResource</code> | If this is a nested stack, this represents its `AWS::CloudFormation::Stack` resource. |
| <code><a href="#raindancers-network.PowerBIGatewayZoo.property.terminationProtection">terminationProtection</a></code> | <code>boolean</code> | Whether termination protection is enabled for this stack. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.PowerBIGatewayZoo.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `account`<sup>Required</sup> <a name="account" id="raindancers-network.PowerBIGatewayZoo.property.account"></a>

```typescript
public readonly account: string;
```

- *Type:* string

The AWS account into which this stack will be deployed.

This value is resolved according to the following rules:

1. The value provided to `env.account` when the stack is defined. This can
    either be a concrete account (e.g. `585695031111`) or the
    `Aws.ACCOUNT_ID` token.
3. `Aws.ACCOUNT_ID`, which represents the CloudFormation intrinsic reference
    `{ "Ref": "AWS::AccountId" }` encoded as a string token.

Preferably, you should use the return value as an opaque string and not
attempt to parse it to implement your logic. If you do, you must first
check that it is a concrete value an not an unresolved token. If this
value is an unresolved token (`Token.isUnresolved(stack.account)` returns
`true`), this implies that the user wishes that this stack will synthesize
into a **account-agnostic template**. In this case, your code should either
fail (throw an error, emit a synth error using `Annotations.of(construct).addError()`) or
implement some other region-agnostic behavior.

---

##### `artifactId`<sup>Required</sup> <a name="artifactId" id="raindancers-network.PowerBIGatewayZoo.property.artifactId"></a>

```typescript
public readonly artifactId: string;
```

- *Type:* string

The ID of the cloud assembly artifact for this stack.

---

##### `availabilityZones`<sup>Required</sup> <a name="availabilityZones" id="raindancers-network.PowerBIGatewayZoo.property.availabilityZones"></a>

```typescript
public readonly availabilityZones: string[];
```

- *Type:* string[]

Returns the list of AZs that are available in the AWS environment (account/region) associated with this stack.

If the stack is environment-agnostic (either account and/or region are
tokens), this property will return an array with 2 tokens that will resolve
at deploy-time to the first two availability zones returned from CloudFormation's
`Fn::GetAZs` intrinsic function.

If they are not available in the context, returns a set of dummy values and
reports them as missing, and let the CLI resolve them by calling EC2
`DescribeAvailabilityZones` on the target environment.

To specify a different strategy for selecting availability zones override this method.

---

##### `bundlingRequired`<sup>Required</sup> <a name="bundlingRequired" id="raindancers-network.PowerBIGatewayZoo.property.bundlingRequired"></a>

```typescript
public readonly bundlingRequired: boolean;
```

- *Type:* boolean

Indicates whether the stack requires bundling or not.

---

##### `dependencies`<sup>Required</sup> <a name="dependencies" id="raindancers-network.PowerBIGatewayZoo.property.dependencies"></a>

```typescript
public readonly dependencies: Stack[];
```

- *Type:* aws-cdk-lib.Stack[]

Return the stacks this stack depends on.

---

##### `environment`<sup>Required</sup> <a name="environment" id="raindancers-network.PowerBIGatewayZoo.property.environment"></a>

```typescript
public readonly environment: string;
```

- *Type:* string

The environment coordinates in which this stack is deployed.

In the form
`aws://account/region`. Use `stack.account` and `stack.region` to obtain
the specific values, no need to parse.

You can use this value to determine if two stacks are targeting the same
environment.

If either `stack.account` or `stack.region` are not concrete values (e.g.
`Aws.ACCOUNT_ID` or `Aws.REGION`) the special strings `unknown-account` and/or
`unknown-region` will be used respectively to indicate this stack is
region/account-agnostic.

---

##### `nested`<sup>Required</sup> <a name="nested" id="raindancers-network.PowerBIGatewayZoo.property.nested"></a>

```typescript
public readonly nested: boolean;
```

- *Type:* boolean

Indicates if this is a nested stack, in which case `parentStack` will include a reference to it's parent.

---

##### `notificationArns`<sup>Required</sup> <a name="notificationArns" id="raindancers-network.PowerBIGatewayZoo.property.notificationArns"></a>

```typescript
public readonly notificationArns: string[];
```

- *Type:* string[]

Returns the list of notification Amazon Resource Names (ARNs) for the current stack.

---

##### `partition`<sup>Required</sup> <a name="partition" id="raindancers-network.PowerBIGatewayZoo.property.partition"></a>

```typescript
public readonly partition: string;
```

- *Type:* string

The partition in which this stack is defined.

---

##### `region`<sup>Required</sup> <a name="region" id="raindancers-network.PowerBIGatewayZoo.property.region"></a>

```typescript
public readonly region: string;
```

- *Type:* string

The AWS region into which this stack will be deployed (e.g. `us-west-2`).

This value is resolved according to the following rules:

1. The value provided to `env.region` when the stack is defined. This can
    either be a concrete region (e.g. `us-west-2`) or the `Aws.REGION`
    token.
3. `Aws.REGION`, which is represents the CloudFormation intrinsic reference
    `{ "Ref": "AWS::Region" }` encoded as a string token.

Preferably, you should use the return value as an opaque string and not
attempt to parse it to implement your logic. If you do, you must first
check that it is a concrete value an not an unresolved token. If this
value is an unresolved token (`Token.isUnresolved(stack.region)` returns
`true`), this implies that the user wishes that this stack will synthesize
into a **region-agnostic template**. In this case, your code should either
fail (throw an error, emit a synth error using `Annotations.of(construct).addError()`) or
implement some other region-agnostic behavior.

---

##### `stackId`<sup>Required</sup> <a name="stackId" id="raindancers-network.PowerBIGatewayZoo.property.stackId"></a>

```typescript
public readonly stackId: string;
```

- *Type:* string

The ID of the stack.

---

*Example*

```typescript
// After resolving, looks like
'arn:aws:cloudformation:us-west-2:123456789012:stack/teststack/51af3dc0-da77-11e4-872e-1234567db123'
```


##### `stackName`<sup>Required</sup> <a name="stackName" id="raindancers-network.PowerBIGatewayZoo.property.stackName"></a>

```typescript
public readonly stackName: string;
```

- *Type:* string

The concrete CloudFormation physical stack name.

This is either the name defined explicitly in the `stackName` prop or
allocated based on the stack's location in the construct tree. Stacks that
are directly defined under the app use their construct `id` as their stack
name. Stacks that are defined deeper within the tree will use a hashed naming
scheme based on the construct path to ensure uniqueness.

If you wish to obtain the deploy-time AWS::StackName intrinsic,
you can use `Aws.STACK_NAME` directly.

---

##### `synthesizer`<sup>Required</sup> <a name="synthesizer" id="raindancers-network.PowerBIGatewayZoo.property.synthesizer"></a>

```typescript
public readonly synthesizer: IStackSynthesizer;
```

- *Type:* aws-cdk-lib.IStackSynthesizer

Synthesis method for this stack.

---

##### `tags`<sup>Required</sup> <a name="tags" id="raindancers-network.PowerBIGatewayZoo.property.tags"></a>

```typescript
public readonly tags: TagManager;
```

- *Type:* aws-cdk-lib.TagManager

Tags to be applied to the stack.

---

##### `templateFile`<sup>Required</sup> <a name="templateFile" id="raindancers-network.PowerBIGatewayZoo.property.templateFile"></a>

```typescript
public readonly templateFile: string;
```

- *Type:* string

The name of the CloudFormation template file emitted to the output directory during synthesis.

Example value: `MyStack.template.json`

---

##### `templateOptions`<sup>Required</sup> <a name="templateOptions" id="raindancers-network.PowerBIGatewayZoo.property.templateOptions"></a>

```typescript
public readonly templateOptions: ITemplateOptions;
```

- *Type:* aws-cdk-lib.ITemplateOptions

Options for CloudFormation template (like version, transform, description).

---

##### `urlSuffix`<sup>Required</sup> <a name="urlSuffix" id="raindancers-network.PowerBIGatewayZoo.property.urlSuffix"></a>

```typescript
public readonly urlSuffix: string;
```

- *Type:* string

The Amazon domain suffix for the region in which this stack is defined.

---

##### `nestedStackParent`<sup>Optional</sup> <a name="nestedStackParent" id="raindancers-network.PowerBIGatewayZoo.property.nestedStackParent"></a>

```typescript
public readonly nestedStackParent: Stack;
```

- *Type:* aws-cdk-lib.Stack

If this is a nested stack, returns it's parent stack.

---

##### `nestedStackResource`<sup>Optional</sup> <a name="nestedStackResource" id="raindancers-network.PowerBIGatewayZoo.property.nestedStackResource"></a>

```typescript
public readonly nestedStackResource: CfnResource;
```

- *Type:* aws-cdk-lib.CfnResource

If this is a nested stack, this represents its `AWS::CloudFormation::Stack` resource.

`undefined` for top-level (non-nested) stacks.

---

##### `terminationProtection`<sup>Optional</sup> <a name="terminationProtection" id="raindancers-network.PowerBIGatewayZoo.property.terminationProtection"></a>

```typescript
public readonly terminationProtection: boolean;
```

- *Type:* boolean

Whether termination protection is enabled for this stack.

---


### PrefixList <a name="PrefixList" id="raindancers-network.PrefixList"></a>

#### Initializers <a name="Initializers" id="raindancers-network.PrefixList.Initializer"></a>

```typescript
import { PrefixList } from 'raindancers-network'

new PrefixList(scope: Construct, id: string, props: PrefixListProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrefixList.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.PrefixList.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PrefixList.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.PrefixListProps">PrefixListProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.PrefixList.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.PrefixList.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.PrefixList.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.PrefixListProps">PrefixListProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PrefixList.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.PrefixList.addEC2Instance">addEC2Instance</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.PrefixList.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addEC2Instance` <a name="addEC2Instance" id="raindancers-network.PrefixList.addEC2Instance"></a>

```typescript
public addEC2Instance(props: Instance): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.PrefixList.addEC2Instance.parameter.props"></a>

- *Type:* aws-cdk-lib.aws_ec2.Instance

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PrefixList.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.PrefixList.isConstruct"></a>

```typescript
import { PrefixList } from 'raindancers-network'

PrefixList.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.PrefixList.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrefixList.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.PrefixList.property.prefixlist">prefixlist</a></code> | <code>aws-cdk-lib.aws_ec2.CfnPrefixList</code> | *No description.* |
| <code><a href="#raindancers-network.PrefixList.property.prefixlistArn">prefixlistArn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PrefixList.property.prefixListSet">prefixListSet</a></code> | <code><a href="#raindancers-network.PrefixListSetInterface">PrefixListSetInterface</a></code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.PrefixList.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `prefixlist`<sup>Required</sup> <a name="prefixlist" id="raindancers-network.PrefixList.property.prefixlist"></a>

```typescript
public readonly prefixlist: CfnPrefixList;
```

- *Type:* aws-cdk-lib.aws_ec2.CfnPrefixList

---

##### `prefixlistArn`<sup>Required</sup> <a name="prefixlistArn" id="raindancers-network.PrefixList.property.prefixlistArn"></a>

```typescript
public readonly prefixlistArn: string;
```

- *Type:* string

---

##### `prefixListSet`<sup>Required</sup> <a name="prefixListSet" id="raindancers-network.PrefixList.property.prefixListSet"></a>

```typescript
public readonly prefixListSet: PrefixListSetInterface;
```

- *Type:* <a href="#raindancers-network.PrefixListSetInterface">PrefixListSetInterface</a>

---


### PrivateRedshiftCluster <a name="PrivateRedshiftCluster" id="raindancers-network.PrivateRedshiftCluster"></a>

* Creates a PrivateRedShiftCluster.

#### Initializers <a name="Initializers" id="raindancers-network.PrivateRedshiftCluster.Initializer"></a>

```typescript
import { PrivateRedshiftCluster } from 'raindancers-network'

new PrivateRedshiftCluster(scope: Construct, id: string, props: RedshiftClusterProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.RedshiftClusterProps">RedshiftClusterProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.PrivateRedshiftCluster.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.PrivateRedshiftCluster.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.PrivateRedshiftCluster.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.RedshiftClusterProps">RedshiftClusterProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.addDatabase">addDatabase</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.PrivateRedshiftCluster.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addDatabase` <a name="addDatabase" id="raindancers-network.PrivateRedshiftCluster.addDatabase"></a>

```typescript
public addDatabase(databaseName: string): RedShiftDatabase
```

###### `databaseName`<sup>Required</sup> <a name="databaseName" id="raindancers-network.PrivateRedshiftCluster.addDatabase.parameter.databaseName"></a>

- *Type:* string

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.PrivateRedshiftCluster.isConstruct"></a>

```typescript
import { PrivateRedshiftCluster } from 'raindancers-network'

PrivateRedshiftCluster.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.PrivateRedshiftCluster.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.property.cluster">cluster</a></code> | <code>@aws-cdk/aws-redshift-alpha.Cluster</code> | *No description.* |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.property.clusterParameters">clusterParameters</a></code> | <code>@aws-cdk/aws-redshift-alpha.ClusterParameterGroup</code> | *No description.* |
| <code><a href="#raindancers-network.PrivateRedshiftCluster.property.clusterSecurityGroup">clusterSecurityGroup</a></code> | <code>aws-cdk-lib.aws_ec2.SecurityGroup</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.PrivateRedshiftCluster.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `cluster`<sup>Required</sup> <a name="cluster" id="raindancers-network.PrivateRedshiftCluster.property.cluster"></a>

```typescript
public readonly cluster: Cluster;
```

- *Type:* @aws-cdk/aws-redshift-alpha.Cluster

---

##### `clusterParameters`<sup>Required</sup> <a name="clusterParameters" id="raindancers-network.PrivateRedshiftCluster.property.clusterParameters"></a>

```typescript
public readonly clusterParameters: ClusterParameterGroup;
```

- *Type:* @aws-cdk/aws-redshift-alpha.ClusterParameterGroup

---

##### `clusterSecurityGroup`<sup>Required</sup> <a name="clusterSecurityGroup" id="raindancers-network.PrivateRedshiftCluster.property.clusterSecurityGroup"></a>

```typescript
public readonly clusterSecurityGroup: SecurityGroup;
```

- *Type:* aws-cdk-lib.aws_ec2.SecurityGroup

---


### R53Resolverendpoints <a name="R53Resolverendpoints" id="raindancers-network.R53Resolverendpoints"></a>

Create Route53 Resolver Endpoints for MultiVPC and Hybrid DNS Resolution.

#### Initializers <a name="Initializers" id="raindancers-network.R53Resolverendpoints.Initializer"></a>

```typescript
import { R53Resolverendpoints } from 'raindancers-network'

new R53Resolverendpoints(scope: Construct, id: string, props: R53ResolverendpointsProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.R53Resolverendpoints.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | the scope in which these resources are craeted. |
| <code><a href="#raindancers-network.R53Resolverendpoints.Initializer.parameter.id">id</a></code> | <code>string</code> | the id of the construct. |
| <code><a href="#raindancers-network.R53Resolverendpoints.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.R53ResolverendpointsProps">R53ResolverendpointsProps</a></code> | propertys for the R53Resolver Endpoints. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.R53Resolverendpoints.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

the scope in which these resources are craeted.

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.R53Resolverendpoints.Initializer.parameter.id"></a>

- *Type:* string

the id of the construct.

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.R53Resolverendpoints.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.R53ResolverendpointsProps">R53ResolverendpointsProps</a>

propertys for the R53Resolver Endpoints.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.R53Resolverendpoints.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.R53Resolverendpoints.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.R53Resolverendpoints.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.R53Resolverendpoints.isConstruct"></a>

```typescript
import { R53Resolverendpoints } from 'raindancers-network'

R53Resolverendpoints.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.R53Resolverendpoints.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.R53Resolverendpoints.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.R53Resolverendpoints.property.inboundResolver">inboundResolver</a></code> | <code>aws-cdk-lib.aws_route53resolver.CfnResolverEndpoint</code> | inbound resolver. |
| <code><a href="#raindancers-network.R53Resolverendpoints.property.inboundResolversIp">inboundResolversIp</a></code> | <code>aws-cdk-lib.aws_route53resolver.CfnResolverRule.TargetAddressProperty[]</code> | list of Resolver IP address's. |
| <code><a href="#raindancers-network.R53Resolverendpoints.property.outboundResolver">outboundResolver</a></code> | <code>aws-cdk-lib.aws_route53resolver.CfnResolverEndpoint</code> | outbound resolver. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.R53Resolverendpoints.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `inboundResolver`<sup>Required</sup> <a name="inboundResolver" id="raindancers-network.R53Resolverendpoints.property.inboundResolver"></a>

```typescript
public readonly inboundResolver: CfnResolverEndpoint;
```

- *Type:* aws-cdk-lib.aws_route53resolver.CfnResolverEndpoint

inbound resolver.

---

##### `inboundResolversIp`<sup>Required</sup> <a name="inboundResolversIp" id="raindancers-network.R53Resolverendpoints.property.inboundResolversIp"></a>

```typescript
public readonly inboundResolversIp: TargetAddressProperty[];
```

- *Type:* aws-cdk-lib.aws_route53resolver.CfnResolverRule.TargetAddressProperty[]

list of Resolver IP address's.

---

##### `outboundResolver`<sup>Required</sup> <a name="outboundResolver" id="raindancers-network.R53Resolverendpoints.property.outboundResolver"></a>

```typescript
public readonly outboundResolver: CfnResolverEndpoint;
```

- *Type:* aws-cdk-lib.aws_route53resolver.CfnResolverEndpoint

outbound resolver.

---


### RedShiftDatabase <a name="RedShiftDatabase" id="raindancers-network.RedShiftDatabase"></a>

Create a Database in a Redshift Cluster.

#### Initializers <a name="Initializers" id="raindancers-network.RedShiftDatabase.Initializer"></a>

```typescript
import { RedShiftDatabase } from 'raindancers-network'

new RedShiftDatabase(scope: Construct, id: string, props: RedShiftDatabaseProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.RedShiftDatabase.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.RedShiftDatabase.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.RedShiftDatabase.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.RedShiftDatabaseProps">RedShiftDatabaseProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.RedShiftDatabase.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.RedShiftDatabase.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.RedShiftDatabase.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.RedShiftDatabaseProps">RedShiftDatabaseProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.RedShiftDatabase.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.RedShiftDatabase.executeSQLStatement">executeSQLStatement</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.RedShiftDatabase.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `executeSQLStatement` <a name="executeSQLStatement" id="raindancers-network.RedShiftDatabase.executeSQLStatement"></a>

```typescript
public executeSQLStatement(statementName: string, sql: string): void
```

###### `statementName`<sup>Required</sup> <a name="statementName" id="raindancers-network.RedShiftDatabase.executeSQLStatement.parameter.statementName"></a>

- *Type:* string

---

###### `sql`<sup>Required</sup> <a name="sql" id="raindancers-network.RedShiftDatabase.executeSQLStatement.parameter.sql"></a>

- *Type:* string

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.RedShiftDatabase.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.RedShiftDatabase.isConstruct"></a>

```typescript
import { RedShiftDatabase } from 'raindancers-network'

RedShiftDatabase.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.RedShiftDatabase.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.RedShiftDatabase.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.RedShiftDatabase.property.cluster">cluster</a></code> | <code>@aws-cdk/aws-redshift-alpha.Cluster</code> | *No description.* |
| <code><a href="#raindancers-network.RedShiftDatabase.property.databaseName">databaseName</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.RedShiftDatabase.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `cluster`<sup>Required</sup> <a name="cluster" id="raindancers-network.RedShiftDatabase.property.cluster"></a>

```typescript
public readonly cluster: Cluster;
```

- *Type:* @aws-cdk/aws-redshift-alpha.Cluster

---

##### `databaseName`<sup>Required</sup> <a name="databaseName" id="raindancers-network.RedShiftDatabase.property.databaseName"></a>

```typescript
public readonly databaseName: string;
```

- *Type:* string

---


### ResolveSubnetGroupName <a name="ResolveSubnetGroupName" id="raindancers-network.ResolveSubnetGroupName"></a>

Creates a period task to update the SSM Agent on an EC2 Instance.

#### Initializers <a name="Initializers" id="raindancers-network.ResolveSubnetGroupName.Initializer"></a>

```typescript
import { ResolveSubnetGroupName } from 'raindancers-network'

new ResolveSubnetGroupName(scope: Construct, id: string, props: ResolveSubnetGroupNameProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ResolveSubnetGroupName.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.ResolveSubnetGroupName.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ResolveSubnetGroupName.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.ResolveSubnetGroupNameProps">ResolveSubnetGroupNameProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.ResolveSubnetGroupName.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.ResolveSubnetGroupName.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.ResolveSubnetGroupName.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.ResolveSubnetGroupNameProps">ResolveSubnetGroupNameProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ResolveSubnetGroupName.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.ResolveSubnetGroupName.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ResolveSubnetGroupName.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.ResolveSubnetGroupName.isConstruct"></a>

```typescript
import { ResolveSubnetGroupName } from 'raindancers-network'

ResolveSubnetGroupName.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.ResolveSubnetGroupName.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ResolveSubnetGroupName.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.ResolveSubnetGroupName.property.subnetSelection">subnetSelection</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetSelection</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.ResolveSubnetGroupName.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `subnetSelection`<sup>Required</sup> <a name="subnetSelection" id="raindancers-network.ResolveSubnetGroupName.property.subnetSelection"></a>

```typescript
public readonly subnetSelection: SubnetSelection;
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetSelection

---


### StatefulRuleDatabase <a name="StatefulRuleDatabase" id="raindancers-network.StatefulRuleDatabase"></a>

#### Initializers <a name="Initializers" id="raindancers-network.StatefulRuleDatabase.Initializer"></a>

```typescript
import { StatefulRuleDatabase } from 'raindancers-network'

new StatefulRuleDatabase(scope: Construct, id: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.StatefulRuleDatabase.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.StatefulRuleDatabase.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.StatefulRuleDatabase.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.StatefulRuleDatabase.Initializer.parameter.id"></a>

- *Type:* string

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.StatefulRuleDatabase.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.StatefulRuleDatabase.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.StatefulRuleDatabase.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.StatefulRuleDatabase.isConstruct"></a>

```typescript
import { StatefulRuleDatabase } from 'raindancers-network'

StatefulRuleDatabase.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.StatefulRuleDatabase.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.StatefulRuleDatabase.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.StatefulRuleDatabase.property.crudServiceToken">crudServiceToken</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.StatefulRuleDatabase.property.policyTable">policyTable</a></code> | <code>aws-cdk-lib.aws_dynamodb.Table</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.StatefulRuleDatabase.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `crudServiceToken`<sup>Required</sup> <a name="crudServiceToken" id="raindancers-network.StatefulRuleDatabase.property.crudServiceToken"></a>

```typescript
public readonly crudServiceToken: string;
```

- *Type:* string

---

##### `policyTable`<sup>Required</sup> <a name="policyTable" id="raindancers-network.StatefulRuleDatabase.property.policyTable"></a>

```typescript
public readonly policyTable: Table;
```

- *Type:* aws-cdk-lib.aws_dynamodb.Table

---


### SubnetGroup <a name="SubnetGroup" id="raindancers-network.SubnetGroup"></a>

#### Initializers <a name="Initializers" id="raindancers-network.SubnetGroup.Initializer"></a>

```typescript
import { SubnetGroup } from 'raindancers-network'

new SubnetGroup(scope: Construct, id: string, props: ESubnetGroupProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SubnetGroup.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.SubnetGroup.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.SubnetGroup.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.ESubnetGroupProps">ESubnetGroupProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.SubnetGroup.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.SubnetGroup.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.SubnetGroup.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.ESubnetGroupProps">ESubnetGroupProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.SubnetGroup.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.SubnetGroup.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.SubnetGroup.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.SubnetGroup.isConstruct"></a>

```typescript
import { SubnetGroup } from 'raindancers-network'

SubnetGroup.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.SubnetGroup.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SubnetGroup.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.SubnetGroup.property.subnet">subnet</a></code> | <code><a href="#raindancers-network.ESubnetGroup">ESubnetGroup</a></code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.SubnetGroup.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `subnet`<sup>Required</sup> <a name="subnet" id="raindancers-network.SubnetGroup.property.subnet"></a>

```typescript
public readonly subnet: ESubnetGroup;
```

- *Type:* <a href="#raindancers-network.ESubnetGroup">ESubnetGroup</a>

---


### SuricataRuleGroup <a name="SuricataRuleGroup" id="raindancers-network.SuricataRuleGroup"></a>

#### Initializers <a name="Initializers" id="raindancers-network.SuricataRuleGroup.Initializer"></a>

```typescript
import { SuricataRuleGroup } from 'raindancers-network'

new SuricataRuleGroup(scope: Construct, id: string, props: SuricataRuleGroupProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SuricataRuleGroup.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleGroup.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleGroup.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.SuricataRuleGroupProps">SuricataRuleGroupProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.SuricataRuleGroup.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.SuricataRuleGroup.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.SuricataRuleGroup.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.SuricataRuleGroupProps">SuricataRuleGroupProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.SuricataRuleGroup.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#raindancers-network.SuricataRuleGroup.addRule">addRule</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.SuricataRuleGroup.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addRule` <a name="addRule" id="raindancers-network.SuricataRuleGroup.addRule"></a>

```typescript
public addRule(props: FQDNStatefulRuleProps): void
```

###### `props`<sup>Required</sup> <a name="props" id="raindancers-network.SuricataRuleGroup.addRule.parameter.props"></a>

- *Type:* <a href="#raindancers-network.FQDNStatefulRuleProps">FQDNStatefulRuleProps</a>

---

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.SuricataRuleGroup.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.SuricataRuleGroup.isConstruct"></a>

```typescript
import { SuricataRuleGroup } from 'raindancers-network'

SuricataRuleGroup.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.SuricataRuleGroup.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SuricataRuleGroup.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.SuricataRuleGroup.property.ruleGroupArn">ruleGroupArn</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.SuricataRuleGroup.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `ruleGroupArn`<sup>Required</sup> <a name="ruleGroupArn" id="raindancers-network.SuricataRuleGroup.property.ruleGroupArn"></a>

```typescript
public readonly ruleGroupArn: string;
```

- *Type:* string

---


### UpdateSSMAgent <a name="UpdateSSMAgent" id="raindancers-network.UpdateSSMAgent"></a>

Creates a period task to update the SSM Agent on an EC2 Instance.

#### Initializers <a name="Initializers" id="raindancers-network.UpdateSSMAgent.Initializer"></a>

```typescript
import { UpdateSSMAgent } from 'raindancers-network'

new UpdateSSMAgent(scope: Construct, id: string, props: UpdateSSMAgentProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.UpdateSSMAgent.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#raindancers-network.UpdateSSMAgent.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.UpdateSSMAgent.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.UpdateSSMAgentProps">UpdateSSMAgentProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="raindancers-network.UpdateSSMAgent.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="raindancers-network.UpdateSSMAgent.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.UpdateSSMAgent.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.UpdateSSMAgentProps">UpdateSSMAgentProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.UpdateSSMAgent.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="raindancers-network.UpdateSSMAgent.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.UpdateSSMAgent.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="raindancers-network.UpdateSSMAgent.isConstruct"></a>

```typescript
import { UpdateSSMAgent } from 'raindancers-network'

UpdateSSMAgent.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="raindancers-network.UpdateSSMAgent.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.UpdateSSMAgent.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.UpdateSSMAgent.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


## Structs <a name="Structs" id="Structs"></a>

### AddAwsServiceEndPointsProps <a name="AddAwsServiceEndPointsProps" id="raindancers-network.AddAwsServiceEndPointsProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.AddAwsServiceEndPointsProps.Initializer"></a>

```typescript
import { AddAwsServiceEndPointsProps } from 'raindancers-network'

const addAwsServiceEndPointsProps: AddAwsServiceEndPointsProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AddAwsServiceEndPointsProps.property.services">services</a></code> | <code>aws-cdk-lib.aws_ec2.InterfaceVpcEndpointAwsService[]</code> | *No description.* |
| <code><a href="#raindancers-network.AddAwsServiceEndPointsProps.property.subnetGroup">subnetGroup</a></code> | <code><a href="#raindancers-network.SubnetGroup">SubnetGroup</a></code> | *No description.* |
| <code><a href="#raindancers-network.AddAwsServiceEndPointsProps.property.dynamoDbGateway">dynamoDbGateway</a></code> | <code>boolean</code> | *No description.* |
| <code><a href="#raindancers-network.AddAwsServiceEndPointsProps.property.s3GatewayInterface">s3GatewayInterface</a></code> | <code>boolean</code> | *No description.* |

---

##### `services`<sup>Required</sup> <a name="services" id="raindancers-network.AddAwsServiceEndPointsProps.property.services"></a>

```typescript
public readonly services: InterfaceVpcEndpointAwsService[];
```

- *Type:* aws-cdk-lib.aws_ec2.InterfaceVpcEndpointAwsService[]

---

##### `subnetGroup`<sup>Required</sup> <a name="subnetGroup" id="raindancers-network.AddAwsServiceEndPointsProps.property.subnetGroup"></a>

```typescript
public readonly subnetGroup: SubnetGroup;
```

- *Type:* <a href="#raindancers-network.SubnetGroup">SubnetGroup</a>

---

##### `dynamoDbGateway`<sup>Optional</sup> <a name="dynamoDbGateway" id="raindancers-network.AddAwsServiceEndPointsProps.property.dynamoDbGateway"></a>

```typescript
public readonly dynamoDbGateway: boolean;
```

- *Type:* boolean

---

##### `s3GatewayInterface`<sup>Optional</sup> <a name="s3GatewayInterface" id="raindancers-network.AddAwsServiceEndPointsProps.property.s3GatewayInterface"></a>

```typescript
public readonly s3GatewayInterface: boolean;
```

- *Type:* boolean

---

### AddCoreRoutesProps <a name="AddCoreRoutesProps" id="raindancers-network.AddCoreRoutesProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.AddCoreRoutesProps.Initializer"></a>

```typescript
import { AddCoreRoutesProps } from 'raindancers-network'

const addCoreRoutesProps: AddCoreRoutesProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AddCoreRoutesProps.property.attachmentId">attachmentId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddCoreRoutesProps.property.coreName">coreName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddCoreRoutesProps.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddCoreRoutesProps.property.destinationCidrBlocks">destinationCidrBlocks</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.AddCoreRoutesProps.property.policyTableArn">policyTableArn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddCoreRoutesProps.property.segments">segments</a></code> | <code>string[]</code> | *No description.* |

---

##### `attachmentId`<sup>Required</sup> <a name="attachmentId" id="raindancers-network.AddCoreRoutesProps.property.attachmentId"></a>

```typescript
public readonly attachmentId: string;
```

- *Type:* string

---

##### `coreName`<sup>Required</sup> <a name="coreName" id="raindancers-network.AddCoreRoutesProps.property.coreName"></a>

```typescript
public readonly coreName: string;
```

- *Type:* string

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.AddCoreRoutesProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `destinationCidrBlocks`<sup>Required</sup> <a name="destinationCidrBlocks" id="raindancers-network.AddCoreRoutesProps.property.destinationCidrBlocks"></a>

```typescript
public readonly destinationCidrBlocks: string[];
```

- *Type:* string[]

---

##### `policyTableArn`<sup>Required</sup> <a name="policyTableArn" id="raindancers-network.AddCoreRoutesProps.property.policyTableArn"></a>

```typescript
public readonly policyTableArn: string;
```

- *Type:* string

---

##### `segments`<sup>Required</sup> <a name="segments" id="raindancers-network.AddCoreRoutesProps.property.segments"></a>

```typescript
public readonly segments: string[];
```

- *Type:* string[]

---

### AddR53ZoneProps <a name="AddR53ZoneProps" id="raindancers-network.AddR53ZoneProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.AddR53ZoneProps.Initializer"></a>

```typescript
import { AddR53ZoneProps } from 'raindancers-network'

const addR53ZoneProps: AddR53ZoneProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AddR53ZoneProps.property.zone">zone</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddR53ZoneProps.property.centralVpc">centralVpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |

---

##### `zone`<sup>Required</sup> <a name="zone" id="raindancers-network.AddR53ZoneProps.property.zone"></a>

```typescript
public readonly zone: string;
```

- *Type:* string

---

##### `centralVpc`<sup>Optional</sup> <a name="centralVpc" id="raindancers-network.AddR53ZoneProps.property.centralVpc"></a>

```typescript
public readonly centralVpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

---

### AddRoutesProps <a name="AddRoutesProps" id="raindancers-network.AddRoutesProps"></a>

Propertys for Adding Routes in VPC.

#### Initializer <a name="Initializer" id="raindancers-network.AddRoutesProps.Initializer"></a>

```typescript
import { AddRoutesProps } from 'raindancers-network'

const addRoutesProps: AddRoutesProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AddRoutesProps.property.cidr">cidr</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.AddRoutesProps.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddRoutesProps.property.destination">destination</a></code> | <code><a href="#raindancers-network.Destination">Destination</a></code> | *No description.* |
| <code><a href="#raindancers-network.AddRoutesProps.property.subnetGroups">subnetGroups</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.AddRoutesProps.property.cloudwanName">cloudwanName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddRoutesProps.property.networkFirewallArn">networkFirewallArn</a></code> | <code>string</code> | *No description.* |

---

##### `cidr`<sup>Required</sup> <a name="cidr" id="raindancers-network.AddRoutesProps.property.cidr"></a>

```typescript
public readonly cidr: string[];
```

- *Type:* string[]

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.AddRoutesProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `destination`<sup>Required</sup> <a name="destination" id="raindancers-network.AddRoutesProps.property.destination"></a>

```typescript
public readonly destination: Destination;
```

- *Type:* <a href="#raindancers-network.Destination">Destination</a>

---

##### `subnetGroups`<sup>Required</sup> <a name="subnetGroups" id="raindancers-network.AddRoutesProps.property.subnetGroups"></a>

```typescript
public readonly subnetGroups: string[];
```

- *Type:* string[]

---

##### `cloudwanName`<sup>Optional</sup> <a name="cloudwanName" id="raindancers-network.AddRoutesProps.property.cloudwanName"></a>

```typescript
public readonly cloudwanName: string;
```

- *Type:* string

---

##### `networkFirewallArn`<sup>Optional</sup> <a name="networkFirewallArn" id="raindancers-network.AddRoutesProps.property.networkFirewallArn"></a>

```typescript
public readonly networkFirewallArn: string;
```

- *Type:* string

---

### AddStatefulRulesProps <a name="AddStatefulRulesProps" id="raindancers-network.AddStatefulRulesProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.AddStatefulRulesProps.Initializer"></a>

```typescript
import { AddStatefulRulesProps } from 'raindancers-network'

const addStatefulRulesProps: AddStatefulRulesProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AddStatefulRulesProps.property.awsManagedRules">awsManagedRules</a></code> | <code><a href="#raindancers-network.ManagedAwsFirewallRules">ManagedAwsFirewallRules</a>[]</code> | *No description.* |

---

##### `awsManagedRules`<sup>Required</sup> <a name="awsManagedRules" id="raindancers-network.AddStatefulRulesProps.property.awsManagedRules"></a>

```typescript
public readonly awsManagedRules: ManagedAwsFirewallRules[];
```

- *Type:* <a href="#raindancers-network.ManagedAwsFirewallRules">ManagedAwsFirewallRules</a>[]

---

### AddStatelessRulesProps <a name="AddStatelessRulesProps" id="raindancers-network.AddStatelessRulesProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.AddStatelessRulesProps.Initializer"></a>

```typescript
import { AddStatelessRulesProps } from 'raindancers-network'

const addStatelessRulesProps: AddStatelessRulesProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AddStatelessRulesProps.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddStatelessRulesProps.property.groupName">groupName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AddStatelessRulesProps.property.rules">rules</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.StatelessRuleProperty[]</code> | *No description.* |

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.AddStatelessRulesProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `groupName`<sup>Required</sup> <a name="groupName" id="raindancers-network.AddStatelessRulesProps.property.groupName"></a>

```typescript
public readonly groupName: string;
```

- *Type:* string

---

##### `rules`<sup>Required</sup> <a name="rules" id="raindancers-network.AddStatelessRulesProps.property.rules"></a>

```typescript
public readonly rules: StatelessRuleProperty[];
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.StatelessRuleProperty[]

---

### AssignmentAttributes <a name="AssignmentAttributes" id="raindancers-network.AssignmentAttributes"></a>

Attributes for an assignment of which there are none.

#### Initializer <a name="Initializer" id="raindancers-network.AssignmentAttributes.Initializer"></a>

```typescript
import { AssignmentAttributes } from 'raindancers-network'

const assignmentAttributes: AssignmentAttributes = { ... }
```


### AssignmentOptions <a name="AssignmentOptions" id="raindancers-network.AssignmentOptions"></a>

The options for creating an assignment.

#### Initializer <a name="Initializer" id="raindancers-network.AssignmentOptions.Initializer"></a>

```typescript
import { AssignmentOptions } from 'raindancers-network'

const assignmentOptions: AssignmentOptions = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AssignmentOptions.property.principal">principal</a></code> | <code><a href="#raindancers-network.PrincipalProperty">PrincipalProperty</a></code> | The principal to assign the permission set to. |
| <code><a href="#raindancers-network.AssignmentOptions.property.targetId">targetId</a></code> | <code>string</code> | The target id the permission set will be assigned to. |
| <code><a href="#raindancers-network.AssignmentOptions.property.targetType">targetType</a></code> | <code><a href="#raindancers-network.TargetTypes">TargetTypes</a></code> | The entity type for which the assignment will be created. |

---

##### `principal`<sup>Required</sup> <a name="principal" id="raindancers-network.AssignmentOptions.property.principal"></a>

```typescript
public readonly principal: PrincipalProperty;
```

- *Type:* <a href="#raindancers-network.PrincipalProperty">PrincipalProperty</a>

The principal to assign the permission set to.

---

##### `targetId`<sup>Required</sup> <a name="targetId" id="raindancers-network.AssignmentOptions.property.targetId"></a>

```typescript
public readonly targetId: string;
```

- *Type:* string

The target id the permission set will be assigned to.

---

##### `targetType`<sup>Optional</sup> <a name="targetType" id="raindancers-network.AssignmentOptions.property.targetType"></a>

```typescript
public readonly targetType: TargetTypes;
```

- *Type:* <a href="#raindancers-network.TargetTypes">TargetTypes</a>
- *Default:* TargetTypes.AWS_ACCOUNT

The entity type for which the assignment will be created.

---

### AssignmentProps <a name="AssignmentProps" id="raindancers-network.AssignmentProps"></a>

The properties of a new assignment.

#### Initializer <a name="Initializer" id="raindancers-network.AssignmentProps.Initializer"></a>

```typescript
import { AssignmentProps } from 'raindancers-network'

const assignmentProps: AssignmentProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AssignmentProps.property.principal">principal</a></code> | <code><a href="#raindancers-network.PrincipalProperty">PrincipalProperty</a></code> | The principal to assign the permission set to. |
| <code><a href="#raindancers-network.AssignmentProps.property.targetId">targetId</a></code> | <code>string</code> | The target id the permission set will be assigned to. |
| <code><a href="#raindancers-network.AssignmentProps.property.targetType">targetType</a></code> | <code><a href="#raindancers-network.TargetTypes">TargetTypes</a></code> | The entity type for which the assignment will be created. |
| <code><a href="#raindancers-network.AssignmentProps.property.permissionSet">permissionSet</a></code> | <code><a href="#raindancers-network.IPermissionSet">IPermissionSet</a></code> | The permission set to assign to the principal. |

---

##### `principal`<sup>Required</sup> <a name="principal" id="raindancers-network.AssignmentProps.property.principal"></a>

```typescript
public readonly principal: PrincipalProperty;
```

- *Type:* <a href="#raindancers-network.PrincipalProperty">PrincipalProperty</a>

The principal to assign the permission set to.

---

##### `targetId`<sup>Required</sup> <a name="targetId" id="raindancers-network.AssignmentProps.property.targetId"></a>

```typescript
public readonly targetId: string;
```

- *Type:* string

The target id the permission set will be assigned to.

---

##### `targetType`<sup>Optional</sup> <a name="targetType" id="raindancers-network.AssignmentProps.property.targetType"></a>

```typescript
public readonly targetType: TargetTypes;
```

- *Type:* <a href="#raindancers-network.TargetTypes">TargetTypes</a>
- *Default:* TargetTypes.AWS_ACCOUNT

The entity type for which the assignment will be created.

---

##### `permissionSet`<sup>Required</sup> <a name="permissionSet" id="raindancers-network.AssignmentProps.property.permissionSet"></a>

```typescript
public readonly permissionSet: IPermissionSet;
```

- *Type:* <a href="#raindancers-network.IPermissionSet">IPermissionSet</a>

The permission set to assign to the principal.

---

### AssociateSharedResolverRuleProps <a name="AssociateSharedResolverRuleProps" id="raindancers-network.AssociateSharedResolverRuleProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.AssociateSharedResolverRuleProps.Initializer"></a>

```typescript
import { AssociateSharedResolverRuleProps } from 'raindancers-network'

const associateSharedResolverRuleProps: AssociateSharedResolverRuleProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AssociateSharedResolverRuleProps.property.domainNames">domainNames</a></code> | <code>string[]</code> | domainNames which are to be associated. |
| <code><a href="#raindancers-network.AssociateSharedResolverRuleProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | The VPC which will be assocaited with the ResolverRules. |

---

##### `domainNames`<sup>Required</sup> <a name="domainNames" id="raindancers-network.AssociateSharedResolverRuleProps.property.domainNames"></a>

```typescript
public readonly domainNames: string[];
```

- *Type:* string[]

domainNames which are to be associated.

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.AssociateSharedResolverRuleProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

The VPC which will be assocaited with the ResolverRules.

---

### AttachmentConditions <a name="AttachmentConditions" id="raindancers-network.AttachmentConditions"></a>

an attachmentconditions.

#### Initializer <a name="Initializer" id="raindancers-network.AttachmentConditions.Initializer"></a>

```typescript
import { AttachmentConditions } from 'raindancers-network'

const attachmentConditions: AttachmentConditions = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AttachmentConditions.property.type">type</a></code> | <code><a href="#raindancers-network.AttachmentCondition">AttachmentCondition</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentConditions.property.key">key</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentConditions.property.operator">operator</a></code> | <code><a href="#raindancers-network.Operators">Operators</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentConditions.property.value">value</a></code> | <code>string</code> | *No description.* |

---

##### `type`<sup>Required</sup> <a name="type" id="raindancers-network.AttachmentConditions.property.type"></a>

```typescript
public readonly type: AttachmentCondition;
```

- *Type:* <a href="#raindancers-network.AttachmentCondition">AttachmentCondition</a>

---

##### `key`<sup>Optional</sup> <a name="key" id="raindancers-network.AttachmentConditions.property.key"></a>

```typescript
public readonly key: string;
```

- *Type:* string

---

##### `operator`<sup>Optional</sup> <a name="operator" id="raindancers-network.AttachmentConditions.property.operator"></a>

```typescript
public readonly operator: Operators;
```

- *Type:* <a href="#raindancers-network.Operators">Operators</a>

---

##### `value`<sup>Optional</sup> <a name="value" id="raindancers-network.AttachmentConditions.property.value"></a>

```typescript
public readonly value: string;
```

- *Type:* string

---

### AttachmentPolicy <a name="AttachmentPolicy" id="raindancers-network.AttachmentPolicy"></a>

an attachment policy.

#### Initializer <a name="Initializer" id="raindancers-network.AttachmentPolicy.Initializer"></a>

```typescript
import { AttachmentPolicy } from 'raindancers-network'

const attachmentPolicy: AttachmentPolicy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AttachmentPolicy.property.action">action</a></code> | <code><a href="#raindancers-network.AttachmentPolicyAction">AttachmentPolicyAction</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentPolicy.property.conditions">conditions</a></code> | <code><a href="#raindancers-network.AttachmentConditions">AttachmentConditions</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentPolicy.property.ruleNumber">ruleNumber</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentPolicy.property.conditionLogic">conditionLogic</a></code> | <code><a href="#raindancers-network.ConditionLogic">ConditionLogic</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentPolicy.property.description">description</a></code> | <code>string</code> | *No description.* |

---

##### `action`<sup>Required</sup> <a name="action" id="raindancers-network.AttachmentPolicy.property.action"></a>

```typescript
public readonly action: AttachmentPolicyAction;
```

- *Type:* <a href="#raindancers-network.AttachmentPolicyAction">AttachmentPolicyAction</a>

---

##### `conditions`<sup>Required</sup> <a name="conditions" id="raindancers-network.AttachmentPolicy.property.conditions"></a>

```typescript
public readonly conditions: AttachmentConditions[];
```

- *Type:* <a href="#raindancers-network.AttachmentConditions">AttachmentConditions</a>[]

---

##### `ruleNumber`<sup>Required</sup> <a name="ruleNumber" id="raindancers-network.AttachmentPolicy.property.ruleNumber"></a>

```typescript
public readonly ruleNumber: number;
```

- *Type:* number

---

##### `conditionLogic`<sup>Optional</sup> <a name="conditionLogic" id="raindancers-network.AttachmentPolicy.property.conditionLogic"></a>

```typescript
public readonly conditionLogic: ConditionLogic;
```

- *Type:* <a href="#raindancers-network.ConditionLogic">ConditionLogic</a>

---

##### `description`<sup>Optional</sup> <a name="description" id="raindancers-network.AttachmentPolicy.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

### AttachmentPolicyAction <a name="AttachmentPolicyAction" id="raindancers-network.AttachmentPolicyAction"></a>

Attachment Policy Action.

#### Initializer <a name="Initializer" id="raindancers-network.AttachmentPolicyAction.Initializer"></a>

```typescript
import { AttachmentPolicyAction } from 'raindancers-network'

const attachmentPolicyAction: AttachmentPolicyAction = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AttachmentPolicyAction.property.associationMethod">associationMethod</a></code> | <code><a href="#raindancers-network.AssociationMethod">AssociationMethod</a></code> | The Assocation Method. |
| <code><a href="#raindancers-network.AttachmentPolicyAction.property.segment">segment</a></code> | <code>string</code> | The Segment this applies to. |

---

##### `associationMethod`<sup>Required</sup> <a name="associationMethod" id="raindancers-network.AttachmentPolicyAction.property.associationMethod"></a>

```typescript
public readonly associationMethod: AssociationMethod;
```

- *Type:* <a href="#raindancers-network.AssociationMethod">AssociationMethod</a>

The Assocation Method.

---

##### `segment`<sup>Optional</sup> <a name="segment" id="raindancers-network.AttachmentPolicyAction.property.segment"></a>

```typescript
public readonly segment: string;
```

- *Type:* string

The Segment this applies to.

---

### AttachToCloudWanProps <a name="AttachToCloudWanProps" id="raindancers-network.AttachToCloudWanProps"></a>

Propertys for Attaching to a Cloudwan Core Network.

#### Initializer <a name="Initializer" id="raindancers-network.AttachToCloudWanProps.Initializer"></a>

```typescript
import { AttachToCloudWanProps } from 'raindancers-network'

const attachToCloudWanProps: AttachToCloudWanProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AttachToCloudWanProps.property.coreNetworkName">coreNetworkName</a></code> | <code>string</code> | corenetworkName. |
| <code><a href="#raindancers-network.AttachToCloudWanProps.property.segmentName">segmentName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.AttachToCloudWanProps.property.applianceMode">applianceMode</a></code> | <code>boolean</code> | *No description.* |
| <code><a href="#raindancers-network.AttachToCloudWanProps.property.attachmentSubnetGroup">attachmentSubnetGroup</a></code> | <code>string</code> | *No description.* |

---

##### `coreNetworkName`<sup>Required</sup> <a name="coreNetworkName" id="raindancers-network.AttachToCloudWanProps.property.coreNetworkName"></a>

```typescript
public readonly coreNetworkName: string;
```

- *Type:* string

corenetworkName.

---

##### `segmentName`<sup>Required</sup> <a name="segmentName" id="raindancers-network.AttachToCloudWanProps.property.segmentName"></a>

```typescript
public readonly segmentName: string;
```

- *Type:* string

---

##### `applianceMode`<sup>Optional</sup> <a name="applianceMode" id="raindancers-network.AttachToCloudWanProps.property.applianceMode"></a>

```typescript
public readonly applianceMode: boolean;
```

- *Type:* boolean

---

##### `attachmentSubnetGroup`<sup>Optional</sup> <a name="attachmentSubnetGroup" id="raindancers-network.AttachToCloudWanProps.property.attachmentSubnetGroup"></a>

```typescript
public readonly attachmentSubnetGroup: string;
```

- *Type:* string

---

### AttachToTransitGatewayProps <a name="AttachToTransitGatewayProps" id="raindancers-network.AttachToTransitGatewayProps"></a>

Propertys to attach the Vpc To Transit Gateway.

#### Initializer <a name="Initializer" id="raindancers-network.AttachToTransitGatewayProps.Initializer"></a>

```typescript
import { AttachToTransitGatewayProps } from 'raindancers-network'

const attachToTransitGatewayProps: AttachToTransitGatewayProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AttachToTransitGatewayProps.property.transitGateway">transitGateway</a></code> | <code>aws-cdk-lib.aws_ec2.CfnTransitGateway</code> | the TransitGateway to connect to. |
| <code><a href="#raindancers-network.AttachToTransitGatewayProps.property.applicanceMode">applicanceMode</a></code> | <code><a href="#raindancers-network.ApplianceMode">ApplianceMode</a></code> | Will this be connected in appliance mode ( used if you have Network Firewalls ). |
| <code><a href="#raindancers-network.AttachToTransitGatewayProps.property.attachmentSubnetGroup">attachmentSubnetGroup</a></code> | <code>string</code> | *No description.* |

---

##### `transitGateway`<sup>Required</sup> <a name="transitGateway" id="raindancers-network.AttachToTransitGatewayProps.property.transitGateway"></a>

```typescript
public readonly transitGateway: CfnTransitGateway;
```

- *Type:* aws-cdk-lib.aws_ec2.CfnTransitGateway

the TransitGateway to connect to.

---

##### `applicanceMode`<sup>Optional</sup> <a name="applicanceMode" id="raindancers-network.AttachToTransitGatewayProps.property.applicanceMode"></a>

```typescript
public readonly applicanceMode: ApplianceMode;
```

- *Type:* <a href="#raindancers-network.ApplianceMode">ApplianceMode</a>

Will this be connected in appliance mode ( used if you have Network Firewalls ).

---

##### `attachmentSubnetGroup`<sup>Optional</sup> <a name="attachmentSubnetGroup" id="raindancers-network.AttachToTransitGatewayProps.property.attachmentSubnetGroup"></a>

```typescript
public readonly attachmentSubnetGroup: string;
```

- *Type:* string

---

### AwsServiceEndPointsProps <a name="AwsServiceEndPointsProps" id="raindancers-network.AwsServiceEndPointsProps"></a>

Properties to create a set of AWS service Endpoints.

#### Initializer <a name="Initializer" id="raindancers-network.AwsServiceEndPointsProps.Initializer"></a>

```typescript
import { AwsServiceEndPointsProps } from 'raindancers-network'

const awsServiceEndPointsProps: AwsServiceEndPointsProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.AwsServiceEndPointsProps.property.services">services</a></code> | <code>aws-cdk-lib.aws_ec2.InterfaceVpcEndpointAwsService[]</code> | An arry of InterfaceVPCEndpoints. |
| <code><a href="#raindancers-network.AwsServiceEndPointsProps.property.subnetGroup">subnetGroup</a></code> | <code>string</code> | Subnet Group in which to create the service. |
| <code><a href="#raindancers-network.AwsServiceEndPointsProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | The vpc in which the service is created. |
| <code><a href="#raindancers-network.AwsServiceEndPointsProps.property.dynamoDBGatewayInterface">dynamoDBGatewayInterface</a></code> | <code>boolean</code> | indicate true for a Dynamo Gateway Interface. |
| <code><a href="#raindancers-network.AwsServiceEndPointsProps.property.s3GatewayInterface">s3GatewayInterface</a></code> | <code>boolean</code> | indicate true for a S3 Gateway Interface. |

---

##### `services`<sup>Required</sup> <a name="services" id="raindancers-network.AwsServiceEndPointsProps.property.services"></a>

```typescript
public readonly services: InterfaceVpcEndpointAwsService[];
```

- *Type:* aws-cdk-lib.aws_ec2.InterfaceVpcEndpointAwsService[]

An arry of InterfaceVPCEndpoints.

---

##### `subnetGroup`<sup>Required</sup> <a name="subnetGroup" id="raindancers-network.AwsServiceEndPointsProps.property.subnetGroup"></a>

```typescript
public readonly subnetGroup: string;
```

- *Type:* string

Subnet Group in which to create the service.

Typically a subnet Dedicated to the task

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.AwsServiceEndPointsProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

The vpc in which the service is created.

---

##### `dynamoDBGatewayInterface`<sup>Optional</sup> <a name="dynamoDBGatewayInterface" id="raindancers-network.AwsServiceEndPointsProps.property.dynamoDBGatewayInterface"></a>

```typescript
public readonly dynamoDBGatewayInterface: boolean;
```

- *Type:* boolean

indicate true for a Dynamo Gateway Interface.

---

##### `s3GatewayInterface`<sup>Optional</sup> <a name="s3GatewayInterface" id="raindancers-network.AwsServiceEndPointsProps.property.s3GatewayInterface"></a>

```typescript
public readonly s3GatewayInterface: boolean;
```

- *Type:* boolean

indicate true for a S3 Gateway Interface.

---

### CentralAccount <a name="CentralAccount" id="raindancers-network.CentralAccount"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CentralAccount.Initializer"></a>

```typescript
import { CentralAccount } from 'raindancers-network'

const centralAccount: CentralAccount = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CentralAccount.property.accountId">accountId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CentralAccount.property.roleArn">roleArn</a></code> | <code>string</code> | *No description.* |

---

##### `accountId`<sup>Required</sup> <a name="accountId" id="raindancers-network.CentralAccount.property.accountId"></a>

```typescript
public readonly accountId: string;
```

- *Type:* string

---

##### `roleArn`<sup>Required</sup> <a name="roleArn" id="raindancers-network.CentralAccount.property.roleArn"></a>

```typescript
public readonly roleArn: string;
```

- *Type:* string

---

### CentralAccountAssnRoleProps <a name="CentralAccountAssnRoleProps" id="raindancers-network.CentralAccountAssnRoleProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CentralAccountAssnRoleProps.Initializer"></a>

```typescript
import { CentralAccountAssnRoleProps } from 'raindancers-network'

const centralAccountAssnRoleProps: CentralAccountAssnRoleProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CentralAccountAssnRoleProps.property.orgId">orgId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CentralAccountAssnRoleProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |
| <code><a href="#raindancers-network.CentralAccountAssnRoleProps.property.roleName">roleName</a></code> | <code>string</code> | *No description.* |

---

##### `orgId`<sup>Required</sup> <a name="orgId" id="raindancers-network.CentralAccountAssnRoleProps.property.orgId"></a>

```typescript
public readonly orgId: string;
```

- *Type:* string

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.CentralAccountAssnRoleProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

---

##### `roleName`<sup>Optional</sup> <a name="roleName" id="raindancers-network.CentralAccountAssnRoleProps.property.roleName"></a>

```typescript
public readonly roleName: string;
```

- *Type:* string

---

### CentralResolverRulesProps <a name="CentralResolverRulesProps" id="raindancers-network.CentralResolverRulesProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CentralResolverRulesProps.Initializer"></a>

```typescript
import { CentralResolverRulesProps } from 'raindancers-network'

const centralResolverRulesProps: CentralResolverRulesProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CentralResolverRulesProps.property.domains">domains</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.CentralResolverRulesProps.property.resolvers">resolvers</a></code> | <code><a href="#raindancers-network.R53Resolverendpoints">R53Resolverendpoints</a></code> | *No description.* |

---

##### `domains`<sup>Required</sup> <a name="domains" id="raindancers-network.CentralResolverRulesProps.property.domains"></a>

```typescript
public readonly domains: string[];
```

- *Type:* string[]

---

##### `resolvers`<sup>Required</sup> <a name="resolvers" id="raindancers-network.CentralResolverRulesProps.property.resolvers"></a>

```typescript
public readonly resolvers: R53Resolverendpoints;
```

- *Type:* <a href="#raindancers-network.R53Resolverendpoints">R53Resolverendpoints</a>

---

### CloudWanRoutingProtocolProps <a name="CloudWanRoutingProtocolProps" id="raindancers-network.CloudWanRoutingProtocolProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CloudWanRoutingProtocolProps.Initializer"></a>

```typescript
import { CloudWanRoutingProtocolProps } from 'raindancers-network'

const cloudWanRoutingProtocolProps: CloudWanRoutingProtocolProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CloudWanRoutingProtocolProps.property.subnetGroups">subnetGroups</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.CloudWanRoutingProtocolProps.property.acceptRouteFilter">acceptRouteFilter</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.CloudWanRoutingProtocolProps.property.denyRouteFilter">denyRouteFilter</a></code> | <code>string[]</code> | *No description.* |

---

##### `subnetGroups`<sup>Required</sup> <a name="subnetGroups" id="raindancers-network.CloudWanRoutingProtocolProps.property.subnetGroups"></a>

```typescript
public readonly subnetGroups: string[];
```

- *Type:* string[]

---

##### `acceptRouteFilter`<sup>Optional</sup> <a name="acceptRouteFilter" id="raindancers-network.CloudWanRoutingProtocolProps.property.acceptRouteFilter"></a>

```typescript
public readonly acceptRouteFilter: string[];
```

- *Type:* string[]

---

##### `denyRouteFilter`<sup>Optional</sup> <a name="denyRouteFilter" id="raindancers-network.CloudWanRoutingProtocolProps.property.denyRouteFilter"></a>

```typescript
public readonly denyRouteFilter: string[];
```

- *Type:* string[]

---

### ConditionalForwarderProps <a name="ConditionalForwarderProps" id="raindancers-network.ConditionalForwarderProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.ConditionalForwarderProps.Initializer"></a>

```typescript
import { ConditionalForwarderProps } from 'raindancers-network'

const conditionalForwarderProps: ConditionalForwarderProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ConditionalForwarderProps.property.forwardingRules">forwardingRules</a></code> | <code><a href="#raindancers-network.OutboundForwardingRule">OutboundForwardingRule</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.ConditionalForwarderProps.property.inboundResolverTargets">inboundResolverTargets</a></code> | <code>aws-cdk-lib.aws_route53resolver.CfnResolverRule.TargetAddressProperty[]</code> | *No description.* |
| <code><a href="#raindancers-network.ConditionalForwarderProps.property.outboundResolver">outboundResolver</a></code> | <code>aws-cdk-lib.aws_route53resolver.CfnResolverEndpoint</code> | *No description.* |
| <code><a href="#raindancers-network.ConditionalForwarderProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |

---

##### `forwardingRules`<sup>Required</sup> <a name="forwardingRules" id="raindancers-network.ConditionalForwarderProps.property.forwardingRules"></a>

```typescript
public readonly forwardingRules: OutboundForwardingRule[];
```

- *Type:* <a href="#raindancers-network.OutboundForwardingRule">OutboundForwardingRule</a>[]

---

##### `inboundResolverTargets`<sup>Required</sup> <a name="inboundResolverTargets" id="raindancers-network.ConditionalForwarderProps.property.inboundResolverTargets"></a>

```typescript
public readonly inboundResolverTargets: TargetAddressProperty[];
```

- *Type:* aws-cdk-lib.aws_route53resolver.CfnResolverRule.TargetAddressProperty[]

---

##### `outboundResolver`<sup>Required</sup> <a name="outboundResolver" id="raindancers-network.ConditionalForwarderProps.property.outboundResolver"></a>

```typescript
public readonly outboundResolver: CfnResolverEndpoint;
```

- *Type:* aws-cdk-lib.aws_route53resolver.CfnResolverEndpoint

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.ConditionalForwarderProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

---

### CoreNetworkProps <a name="CoreNetworkProps" id="raindancers-network.CoreNetworkProps"></a>

CoreNetwork Properties.

#### Initializer <a name="Initializer" id="raindancers-network.CoreNetworkProps.Initializer"></a>

```typescript
import { CoreNetworkProps } from 'raindancers-network'

const coreNetworkProps: CoreNetworkProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CoreNetworkProps.property.asnRanges">asnRanges</a></code> | <code>string[]</code> | a list of of asn's that can be used. |
| <code><a href="#raindancers-network.CoreNetworkProps.property.coreName">coreName</a></code> | <code>string</code> | core name. |
| <code><a href="#raindancers-network.CoreNetworkProps.property.edgeLocations">edgeLocations</a></code> | <code>object[]</code> | list of edgeLocaitons. |
| <code><a href="#raindancers-network.CoreNetworkProps.property.globalNetwork">globalNetwork</a></code> | <code>aws-cdk-lib.aws_networkmanager.CfnGlobalNetwork</code> | Which Global Network. |
| <code><a href="#raindancers-network.CoreNetworkProps.property.policyDescription">policyDescription</a></code> | <code>string</code> | a decription for the policy Document. |
| <code><a href="#raindancers-network.CoreNetworkProps.property.insideCidrBlocks">insideCidrBlocks</a></code> | <code>string[]</code> | List of InsideCidr Blocks. |
| <code><a href="#raindancers-network.CoreNetworkProps.property.nonProduction">nonProduction</a></code> | <code>boolean</code> | If this is a non production stack, backups will not be made. |
| <code><a href="#raindancers-network.CoreNetworkProps.property.vpnEcmpSupport">vpnEcmpSupport</a></code> | <code>boolean</code> | support VpnECmp. |

---

##### `asnRanges`<sup>Required</sup> <a name="asnRanges" id="raindancers-network.CoreNetworkProps.property.asnRanges"></a>

```typescript
public readonly asnRanges: string[];
```

- *Type:* string[]

a list of of asn's that can be used.

---

##### `coreName`<sup>Required</sup> <a name="coreName" id="raindancers-network.CoreNetworkProps.property.coreName"></a>

```typescript
public readonly coreName: string;
```

- *Type:* string

core name.

---

##### `edgeLocations`<sup>Required</sup> <a name="edgeLocations" id="raindancers-network.CoreNetworkProps.property.edgeLocations"></a>

```typescript
public readonly edgeLocations: object[];
```

- *Type:* object[]

list of edgeLocaitons.

---

##### `globalNetwork`<sup>Required</sup> <a name="globalNetwork" id="raindancers-network.CoreNetworkProps.property.globalNetwork"></a>

```typescript
public readonly globalNetwork: CfnGlobalNetwork;
```

- *Type:* aws-cdk-lib.aws_networkmanager.CfnGlobalNetwork

Which Global Network.

---

##### `policyDescription`<sup>Required</sup> <a name="policyDescription" id="raindancers-network.CoreNetworkProps.property.policyDescription"></a>

```typescript
public readonly policyDescription: string;
```

- *Type:* string

a decription for the policy Document.

---

##### `insideCidrBlocks`<sup>Optional</sup> <a name="insideCidrBlocks" id="raindancers-network.CoreNetworkProps.property.insideCidrBlocks"></a>

```typescript
public readonly insideCidrBlocks: string[];
```

- *Type:* string[]

List of InsideCidr Blocks.

---

##### `nonProduction`<sup>Optional</sup> <a name="nonProduction" id="raindancers-network.CoreNetworkProps.property.nonProduction"></a>

```typescript
public readonly nonProduction: boolean;
```

- *Type:* boolean

If this is a non production stack, backups will not be made.

---

##### `vpnEcmpSupport`<sup>Optional</sup> <a name="vpnEcmpSupport" id="raindancers-network.CoreNetworkProps.property.vpnEcmpSupport"></a>

```typescript
public readonly vpnEcmpSupport: boolean;
```

- *Type:* boolean

support VpnECmp.

---

### CoreNetworkShare <a name="CoreNetworkShare" id="raindancers-network.CoreNetworkShare"></a>

CoreNetworkShare.

#### Initializer <a name="Initializer" id="raindancers-network.CoreNetworkShare.Initializer"></a>

```typescript
import { CoreNetworkShare } from 'raindancers-network'

const coreNetworkShare: CoreNetworkShare = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CoreNetworkShare.property.allowExternalPrincipals">allowExternalPrincipals</a></code> | <code>boolean</code> | *No description.* |
| <code><a href="#raindancers-network.CoreNetworkShare.property.principals">principals</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.CoreNetworkShare.property.tags">tags</a></code> | <code>aws-cdk-lib.Tag[]</code> | *No description.* |

---

##### `allowExternalPrincipals`<sup>Required</sup> <a name="allowExternalPrincipals" id="raindancers-network.CoreNetworkShare.property.allowExternalPrincipals"></a>

```typescript
public readonly allowExternalPrincipals: boolean;
```

- *Type:* boolean

---

##### `principals`<sup>Required</sup> <a name="principals" id="raindancers-network.CoreNetworkShare.property.principals"></a>

```typescript
public readonly principals: string[];
```

- *Type:* string[]

---

##### `tags`<sup>Optional</sup> <a name="tags" id="raindancers-network.CoreNetworkShare.property.tags"></a>

```typescript
public readonly tags: Tag[];
```

- *Type:* aws-cdk-lib.Tag[]

---

### CrossRegionParameterReaderProps <a name="CrossRegionParameterReaderProps" id="raindancers-network.CrossRegionParameterReaderProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CrossRegionParameterReaderProps.Initializer"></a>

```typescript
import { CrossRegionParameterReaderProps } from 'raindancers-network'

const crossRegionParameterReaderProps: CrossRegionParameterReaderProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterReaderProps.property.parameterName">parameterName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrossRegionParameterReaderProps.property.region">region</a></code> | <code>string</code> | *No description.* |

---

##### `parameterName`<sup>Required</sup> <a name="parameterName" id="raindancers-network.CrossRegionParameterReaderProps.property.parameterName"></a>

```typescript
public readonly parameterName: string;
```

- *Type:* string

---

##### `region`<sup>Required</sup> <a name="region" id="raindancers-network.CrossRegionParameterReaderProps.property.region"></a>

```typescript
public readonly region: string;
```

- *Type:* string

---

### CrossRegionParameterWriterProps <a name="CrossRegionParameterWriterProps" id="raindancers-network.CrossRegionParameterWriterProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CrossRegionParameterWriterProps.Initializer"></a>

```typescript
import { CrossRegionParameterWriterProps } from 'raindancers-network'

const crossRegionParameterWriterProps: CrossRegionParameterWriterProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrossRegionParameterWriterProps.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrossRegionParameterWriterProps.property.parameterName">parameterName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrossRegionParameterWriterProps.property.value">value</a></code> | <code>string</code> | *No description.* |

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.CrossRegionParameterWriterProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `parameterName`<sup>Required</sup> <a name="parameterName" id="raindancers-network.CrossRegionParameterWriterProps.property.parameterName"></a>

```typescript
public readonly parameterName: string;
```

- *Type:* string

---

##### `value`<sup>Required</sup> <a name="value" id="raindancers-network.CrossRegionParameterWriterProps.property.value"></a>

```typescript
public readonly value: string;
```

- *Type:* string

---

### CrossRegionVpc <a name="CrossRegionVpc" id="raindancers-network.CrossRegionVpc"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CrossRegionVpc.Initializer"></a>

```typescript
import { CrossRegionVpc } from 'raindancers-network'

const crossRegionVpc: CrossRegionVpc = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrossRegionVpc.property.vpcIdSSmParamter">vpcIdSSmParamter</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrossRegionVpc.property.vpcRegion">vpcRegion</a></code> | <code>string</code> | *No description.* |

---

##### `vpcIdSSmParamter`<sup>Required</sup> <a name="vpcIdSSmParamter" id="raindancers-network.CrossRegionVpc.property.vpcIdSSmParamter"></a>

```typescript
public readonly vpcIdSSmParamter: string;
```

- *Type:* string

---

##### `vpcRegion`<sup>Required</sup> <a name="vpcRegion" id="raindancers-network.CrossRegionVpc.property.vpcRegion"></a>

```typescript
public readonly vpcRegion: string;
```

- *Type:* string

---

### CrowdStrikeExtendedEndpointProps <a name="CrowdStrikeExtendedEndpointProps" id="raindancers-network.CrowdStrikeExtendedEndpointProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CrowdStrikeExtendedEndpointProps.Initializer"></a>

```typescript
import { CrowdStrikeExtendedEndpointProps } from 'raindancers-network'

const crowdStrikeExtendedEndpointProps: CrowdStrikeExtendedEndpointProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpointProps.property.crowdstrikeCloud">crowdstrikeCloud</a></code> | <code><a href="#raindancers-network.CrowdStrikeCloud">CrowdStrikeCloud</a></code> | aws The EC2 Instance that will be udpated. |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpointProps.property.peeringVpc">peeringVpc</a></code> | <code><a href="#raindancers-network.VpcRegionId">VpcRegionId</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpointProps.property.useELBInPeeredVpc">useELBInPeeredVpc</a></code> | <code>boolean</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeExtendedEndpointProps.property.vpccidr">vpccidr</a></code> | <code>string</code> | *No description.* |

---

##### `crowdstrikeCloud`<sup>Required</sup> <a name="crowdstrikeCloud" id="raindancers-network.CrowdStrikeExtendedEndpointProps.property.crowdstrikeCloud"></a>

```typescript
public readonly crowdstrikeCloud: CrowdStrikeCloud;
```

- *Type:* <a href="#raindancers-network.CrowdStrikeCloud">CrowdStrikeCloud</a>

aws The EC2 Instance that will be udpated.

---

##### `peeringVpc`<sup>Optional</sup> <a name="peeringVpc" id="raindancers-network.CrowdStrikeExtendedEndpointProps.property.peeringVpc"></a>

```typescript
public readonly peeringVpc: VpcRegionId;
```

- *Type:* <a href="#raindancers-network.VpcRegionId">VpcRegionId</a>

---

##### `useELBInPeeredVpc`<sup>Optional</sup> <a name="useELBInPeeredVpc" id="raindancers-network.CrowdStrikeExtendedEndpointProps.property.useELBInPeeredVpc"></a>

```typescript
public readonly useELBInPeeredVpc: boolean;
```

- *Type:* boolean

---

##### `vpccidr`<sup>Optional</sup> <a name="vpccidr" id="raindancers-network.CrowdStrikeExtendedEndpointProps.property.vpccidr"></a>

```typescript
public readonly vpccidr: string;
```

- *Type:* string

---

### CrowdStrikeNLBProps <a name="CrowdStrikeNLBProps" id="raindancers-network.CrowdStrikeNLBProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CrowdStrikeNLBProps.Initializer"></a>

```typescript
import { CrowdStrikeNLBProps } from 'raindancers-network'

const crowdStrikeNLBProps: CrowdStrikeNLBProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.crowdstrikeRegion">crowdstrikeRegion</a></code> | <code><a href="#raindancers-network.CrowdStrikeCloud">CrowdStrikeCloud</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.download">download</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.downloadhostedZone">downloadhostedZone</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.downloadhostedZoneName">downloadhostedZoneName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.proxy">proxy</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.proxyhostedZone">proxyhostedZone</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.proxyhostedZoneName">proxyhostedZoneName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.region">region</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.routeresolverEndpoints">routeresolverEndpoints</a></code> | <code><a href="#raindancers-network.R53Resolverendpoints">R53Resolverendpoints</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.subnetGroupName">subnetGroupName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeNLBProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |

---

##### `crowdstrikeRegion`<sup>Required</sup> <a name="crowdstrikeRegion" id="raindancers-network.CrowdStrikeNLBProps.property.crowdstrikeRegion"></a>

```typescript
public readonly crowdstrikeRegion: CrowdStrikeCloud;
```

- *Type:* <a href="#raindancers-network.CrowdStrikeCloud">CrowdStrikeCloud</a>

---

##### `download`<sup>Required</sup> <a name="download" id="raindancers-network.CrowdStrikeNLBProps.property.download"></a>

```typescript
public readonly download: string;
```

- *Type:* string

---

##### `downloadhostedZone`<sup>Required</sup> <a name="downloadhostedZone" id="raindancers-network.CrowdStrikeNLBProps.property.downloadhostedZone"></a>

```typescript
public readonly downloadhostedZone: string;
```

- *Type:* string

---

##### `downloadhostedZoneName`<sup>Required</sup> <a name="downloadhostedZoneName" id="raindancers-network.CrowdStrikeNLBProps.property.downloadhostedZoneName"></a>

```typescript
public readonly downloadhostedZoneName: string;
```

- *Type:* string

---

##### `proxy`<sup>Required</sup> <a name="proxy" id="raindancers-network.CrowdStrikeNLBProps.property.proxy"></a>

```typescript
public readonly proxy: string;
```

- *Type:* string

---

##### `proxyhostedZone`<sup>Required</sup> <a name="proxyhostedZone" id="raindancers-network.CrowdStrikeNLBProps.property.proxyhostedZone"></a>

```typescript
public readonly proxyhostedZone: string;
```

- *Type:* string

---

##### `proxyhostedZoneName`<sup>Required</sup> <a name="proxyhostedZoneName" id="raindancers-network.CrowdStrikeNLBProps.property.proxyhostedZoneName"></a>

```typescript
public readonly proxyhostedZoneName: string;
```

- *Type:* string

---

##### `region`<sup>Required</sup> <a name="region" id="raindancers-network.CrowdStrikeNLBProps.property.region"></a>

```typescript
public readonly region: string;
```

- *Type:* string

---

##### `routeresolverEndpoints`<sup>Required</sup> <a name="routeresolverEndpoints" id="raindancers-network.CrowdStrikeNLBProps.property.routeresolverEndpoints"></a>

```typescript
public readonly routeresolverEndpoints: R53Resolverendpoints;
```

- *Type:* <a href="#raindancers-network.R53Resolverendpoints">R53Resolverendpoints</a>

---

##### `subnetGroupName`<sup>Required</sup> <a name="subnetGroupName" id="raindancers-network.CrowdStrikeNLBProps.property.subnetGroupName"></a>

```typescript
public readonly subnetGroupName: string;
```

- *Type:* string

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.CrowdStrikeNLBProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

---

### CrowdStrikePrivateLinkEndpointProps <a name="CrowdStrikePrivateLinkEndpointProps" id="raindancers-network.CrowdStrikePrivateLinkEndpointProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CrowdStrikePrivateLinkEndpointProps.Initializer"></a>

```typescript
import { CrowdStrikePrivateLinkEndpointProps } from 'raindancers-network'

const crowdStrikePrivateLinkEndpointProps: CrowdStrikePrivateLinkEndpointProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpointProps.property.crowdStrikeCloud">crowdStrikeCloud</a></code> | <code><a href="#raindancers-network.CrowdStrikeCloud">CrowdStrikeCloud</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpointProps.property.subnets">subnets</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetSelection</code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpointProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | The EC2 Instance that will be udpated. |
| <code><a href="#raindancers-network.CrowdStrikePrivateLinkEndpointProps.property.peeredwithNLB">peeredwithNLB</a></code> | <code>boolean</code> | *No description.* |

---

##### `crowdStrikeCloud`<sup>Required</sup> <a name="crowdStrikeCloud" id="raindancers-network.CrowdStrikePrivateLinkEndpointProps.property.crowdStrikeCloud"></a>

```typescript
public readonly crowdStrikeCloud: CrowdStrikeCloud;
```

- *Type:* <a href="#raindancers-network.CrowdStrikeCloud">CrowdStrikeCloud</a>

---

##### `subnets`<sup>Required</sup> <a name="subnets" id="raindancers-network.CrowdStrikePrivateLinkEndpointProps.property.subnets"></a>

```typescript
public readonly subnets: SubnetSelection;
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetSelection

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.CrowdStrikePrivateLinkEndpointProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

The EC2 Instance that will be udpated.

---

##### `peeredwithNLB`<sup>Optional</sup> <a name="peeredwithNLB" id="raindancers-network.CrowdStrikePrivateLinkEndpointProps.property.peeredwithNLB"></a>

```typescript
public readonly peeredwithNLB: boolean;
```

- *Type:* boolean

---

### CrowdStrikeServices <a name="CrowdStrikeServices" id="raindancers-network.CrowdStrikeServices"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CrowdStrikeServices.Initializer"></a>

```typescript
import { CrowdStrikeServices } from 'raindancers-network'

const crowdStrikeServices: CrowdStrikeServices = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeServices.property.awsRegion">awsRegion</a></code> | <code><a href="#raindancers-network.CrowdStrikeRegion">CrowdStrikeRegion</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeServices.property.downloadServer">downloadServer</a></code> | <code><a href="#raindancers-network.Endpoint">Endpoint</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeServices.property.sensorProxy">sensorProxy</a></code> | <code><a href="#raindancers-network.Endpoint">Endpoint</a></code> | *No description.* |

---

##### `awsRegion`<sup>Required</sup> <a name="awsRegion" id="raindancers-network.CrowdStrikeServices.property.awsRegion"></a>

```typescript
public readonly awsRegion: CrowdStrikeRegion;
```

- *Type:* <a href="#raindancers-network.CrowdStrikeRegion">CrowdStrikeRegion</a>

---

##### `downloadServer`<sup>Required</sup> <a name="downloadServer" id="raindancers-network.CrowdStrikeServices.property.downloadServer"></a>

```typescript
public readonly downloadServer: Endpoint;
```

- *Type:* <a href="#raindancers-network.Endpoint">Endpoint</a>

---

##### `sensorProxy`<sup>Required</sup> <a name="sensorProxy" id="raindancers-network.CrowdStrikeServices.property.sensorProxy"></a>

```typescript
public readonly sensorProxy: Endpoint;
```

- *Type:* <a href="#raindancers-network.Endpoint">Endpoint</a>

---

### CustomerManagedPolicyReference <a name="CustomerManagedPolicyReference" id="raindancers-network.CustomerManagedPolicyReference"></a>

#### Initializer <a name="Initializer" id="raindancers-network.CustomerManagedPolicyReference.Initializer"></a>

```typescript
import { CustomerManagedPolicyReference } from 'raindancers-network'

const customerManagedPolicyReference: CustomerManagedPolicyReference = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CustomerManagedPolicyReference.property.name">name</a></code> | <code>string</code> | The name of the IAM policy that you have configured in each account where you want to deploy your permission set. |
| <code><a href="#raindancers-network.CustomerManagedPolicyReference.property.path">path</a></code> | <code>string</code> | The path to the IAM policy that you have configured in each account where you want to deploy your permission set. |

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.CustomerManagedPolicyReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the IAM policy that you have configured in each account where you want to deploy your permission set.

> [http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sso-permissionset-customermanagedpolicyreference.html#cfn-sso-permissionset-customermanagedpolicyreference-name](http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sso-permissionset-customermanagedpolicyreference.html#cfn-sso-permissionset-customermanagedpolicyreference-name)

---

##### `path`<sup>Optional</sup> <a name="path" id="raindancers-network.CustomerManagedPolicyReference.property.path"></a>

```typescript
public readonly path: string;
```

- *Type:* string

The path to the IAM policy that you have configured in each account where you want to deploy your permission set.

The default is `/` . For more information, see [Friendly names and paths](https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_identifiers.html#identifiers-friendly-names) in the *IAM User Guide* .

> [http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sso-permissionset-customermanagedpolicyreference.html#cfn-sso-permissionset-customermanagedpolicyreference-path](http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sso-permissionset-customermanagedpolicyreference.html#cfn-sso-permissionset-customermanagedpolicyreference-path)

---

### DynamicTagResourceGroupProps <a name="DynamicTagResourceGroupProps" id="raindancers-network.DynamicTagResourceGroupProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.DynamicTagResourceGroupProps.Initializer"></a>

```typescript
import { DynamicTagResourceGroupProps } from 'raindancers-network'

const dynamicTagResourceGroupProps: DynamicTagResourceGroupProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.DynamicTagResourceGroupProps.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.DynamicTagResourceGroupProps.property.description">description</a></code> | <code>string</code> | *No description.* |

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.DynamicTagResourceGroupProps.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `description`<sup>Optional</sup> <a name="description" id="raindancers-network.DynamicTagResourceGroupProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

### DynamicTagResourceGroupSet <a name="DynamicTagResourceGroupSet" id="raindancers-network.DynamicTagResourceGroupSet"></a>

#### Initializer <a name="Initializer" id="raindancers-network.DynamicTagResourceGroupSet.Initializer"></a>

```typescript
import { DynamicTagResourceGroupSet } from 'raindancers-network'

const dynamicTagResourceGroupSet: DynamicTagResourceGroupSet = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.DynamicTagResourceGroupSet.property.arn">arn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.DynamicTagResourceGroupSet.property.name">name</a></code> | <code>string</code> | *No description.* |

---

##### `arn`<sup>Required</sup> <a name="arn" id="raindancers-network.DynamicTagResourceGroupSet.property.arn"></a>

```typescript
public readonly arn: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.DynamicTagResourceGroupSet.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

### Endpoint <a name="Endpoint" id="raindancers-network.Endpoint"></a>

#### Initializer <a name="Initializer" id="raindancers-network.Endpoint.Initializer"></a>

```typescript
import { Endpoint } from 'raindancers-network'

const endpoint: Endpoint = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.Endpoint.property.dnsName">dnsName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.Endpoint.property.vpcEndpointName">vpcEndpointName</a></code> | <code>string</code> | *No description.* |

---

##### `dnsName`<sup>Required</sup> <a name="dnsName" id="raindancers-network.Endpoint.property.dnsName"></a>

```typescript
public readonly dnsName: string;
```

- *Type:* string

---

##### `vpcEndpointName`<sup>Required</sup> <a name="vpcEndpointName" id="raindancers-network.Endpoint.property.vpcEndpointName"></a>

```typescript
public readonly vpcEndpointName: string;
```

- *Type:* string

---

### EnforceImdsv2Props <a name="EnforceImdsv2Props" id="raindancers-network.EnforceImdsv2Props"></a>

#### Initializer <a name="Initializer" id="raindancers-network.EnforceImdsv2Props.Initializer"></a>

```typescript
import { EnforceImdsv2Props } from 'raindancers-network'

const enforceImdsv2Props: EnforceImdsv2Props = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnforceImdsv2Props.property.instances">instances</a></code> | <code>aws-cdk-lib.aws_ec2.Instance \| aws-cdk-lib.aws_ec2.Instance[]</code> | ec2 Instance or Instances. |

---

##### `instances`<sup>Required</sup> <a name="instances" id="raindancers-network.EnforceImdsv2Props.property.instances"></a>

```typescript
public readonly instances: Instance | Instance[];
```

- *Type:* aws-cdk-lib.aws_ec2.Instance | aws-cdk-lib.aws_ec2.Instance[]

ec2 Instance or Instances.

---

### EnterpriseVpcProps <a name="EnterpriseVpcProps" id="raindancers-network.EnterpriseVpcProps"></a>

Propertys for an Enterprise VPC.

#### Initializer <a name="Initializer" id="raindancers-network.EnterpriseVpcProps.Initializer"></a>

```typescript
import { EnterpriseVpcProps } from 'raindancers-network'

const enterpriseVpcProps: EnterpriseVpcProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnterpriseVpcProps.property.evpc">evpc</a></code> | <code><a href="#raindancers-network.EvpcProps">EvpcProps</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseVpcProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |

---

##### `evpc`<sup>Optional</sup> <a name="evpc" id="raindancers-network.EnterpriseVpcProps.property.evpc"></a>

```typescript
public readonly evpc: EvpcProps;
```

- *Type:* <a href="#raindancers-network.EvpcProps">EvpcProps</a>

---

##### `vpc`<sup>Optional</sup> <a name="vpc" id="raindancers-network.EnterpriseVpcProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

---

### EnterpriseZoneProps <a name="EnterpriseZoneProps" id="raindancers-network.EnterpriseZoneProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.EnterpriseZoneProps.Initializer"></a>

```typescript
import { EnterpriseZoneProps } from 'raindancers-network'

const enterpriseZoneProps: EnterpriseZoneProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EnterpriseZoneProps.property.centralAccount">centralAccount</a></code> | <code><a href="#raindancers-network.CentralAccount">CentralAccount</a></code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseZoneProps.property.enterpriseDomainName">enterpriseDomainName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseZoneProps.property.localVpc">localVpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseZoneProps.property.remoteVpc">remoteVpc</a></code> | <code><a href="#raindancers-network.RemoteVpc">RemoteVpc</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.EnterpriseZoneProps.property.crossRegionVpc">crossRegionVpc</a></code> | <code><a href="#raindancers-network.CrossRegionVpc">CrossRegionVpc</a>[]</code> | *No description.* |

---

##### `centralAccount`<sup>Required</sup> <a name="centralAccount" id="raindancers-network.EnterpriseZoneProps.property.centralAccount"></a>

```typescript
public readonly centralAccount: CentralAccount;
```

- *Type:* <a href="#raindancers-network.CentralAccount">CentralAccount</a>

---

##### `enterpriseDomainName`<sup>Required</sup> <a name="enterpriseDomainName" id="raindancers-network.EnterpriseZoneProps.property.enterpriseDomainName"></a>

```typescript
public readonly enterpriseDomainName: string;
```

- *Type:* string

---

##### `localVpc`<sup>Required</sup> <a name="localVpc" id="raindancers-network.EnterpriseZoneProps.property.localVpc"></a>

```typescript
public readonly localVpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

---

##### `remoteVpc`<sup>Required</sup> <a name="remoteVpc" id="raindancers-network.EnterpriseZoneProps.property.remoteVpc"></a>

```typescript
public readonly remoteVpc: RemoteVpc[];
```

- *Type:* <a href="#raindancers-network.RemoteVpc">RemoteVpc</a>[]

---

##### `crossRegionVpc`<sup>Optional</sup> <a name="crossRegionVpc" id="raindancers-network.EnterpriseZoneProps.property.crossRegionVpc"></a>

```typescript
public readonly crossRegionVpc: CrossRegionVpc[];
```

- *Type:* <a href="#raindancers-network.CrossRegionVpc">CrossRegionVpc</a>[]

---

### ESubnetGroup <a name="ESubnetGroup" id="raindancers-network.ESubnetGroup"></a>

#### Initializer <a name="Initializer" id="raindancers-network.ESubnetGroup.Initializer"></a>

```typescript
import { ESubnetGroup } from 'raindancers-network'

const eSubnetGroup: ESubnetGroup = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ESubnetGroup.property.cidrMask">cidrMask</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.ESubnetGroup.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ESubnetGroup.property.subnetType">subnetType</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetType</code> | *No description.* |

---

##### `cidrMask`<sup>Required</sup> <a name="cidrMask" id="raindancers-network.ESubnetGroup.property.cidrMask"></a>

```typescript
public readonly cidrMask: number;
```

- *Type:* number

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.ESubnetGroup.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `subnetType`<sup>Required</sup> <a name="subnetType" id="raindancers-network.ESubnetGroup.property.subnetType"></a>

```typescript
public readonly subnetType: SubnetType;
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetType

---

### ESubnetGroupProps <a name="ESubnetGroupProps" id="raindancers-network.ESubnetGroupProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.ESubnetGroupProps.Initializer"></a>

```typescript
import { ESubnetGroupProps } from 'raindancers-network'

const eSubnetGroupProps: ESubnetGroupProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ESubnetGroupProps.property.cidrMask">cidrMask</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.ESubnetGroupProps.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ESubnetGroupProps.property.subnetType">subnetType</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetType</code> | *No description.* |

---

##### `cidrMask`<sup>Required</sup> <a name="cidrMask" id="raindancers-network.ESubnetGroupProps.property.cidrMask"></a>

```typescript
public readonly cidrMask: number;
```

- *Type:* number

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.ESubnetGroupProps.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `subnetType`<sup>Required</sup> <a name="subnetType" id="raindancers-network.ESubnetGroupProps.property.subnetType"></a>

```typescript
public readonly subnetType: SubnetType;
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetType

---

### EvpcProps <a name="EvpcProps" id="raindancers-network.EvpcProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.EvpcProps.Initializer"></a>

```typescript
import { EvpcProps } from 'raindancers-network'

const evpcProps: EvpcProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.EvpcProps.property.availabilityZones">availabilityZones</a></code> | <code>string[]</code> | Availability zones this VPC spans. |
| <code><a href="#raindancers-network.EvpcProps.property.cidr">cidr</a></code> | <code>string</code> | The CIDR range to use for the VPC, e.g. '10.0.0.0/16'. |
| <code><a href="#raindancers-network.EvpcProps.property.defaultInstanceTenancy">defaultInstanceTenancy</a></code> | <code>aws-cdk-lib.aws_ec2.DefaultInstanceTenancy</code> | The default tenancy of instances launched into the VPC. |
| <code><a href="#raindancers-network.EvpcProps.property.enableDnsHostnames">enableDnsHostnames</a></code> | <code>boolean</code> | Indicates whether the instances launched in the VPC get public DNS hostnames. |
| <code><a href="#raindancers-network.EvpcProps.property.enableDnsSupport">enableDnsSupport</a></code> | <code>boolean</code> | Indicates whether the DNS resolution is supported for the VPC. |
| <code><a href="#raindancers-network.EvpcProps.property.flowLogs">flowLogs</a></code> | <code>{[ key: string ]: aws-cdk-lib.aws_ec2.FlowLogOptions}</code> | Flow logs to add to this VPC. |
| <code><a href="#raindancers-network.EvpcProps.property.gatewayEndpoints">gatewayEndpoints</a></code> | <code>{[ key: string ]: aws-cdk-lib.aws_ec2.GatewayVpcEndpointOptions}</code> | Gateway endpoints to add to this VPC. |
| <code><a href="#raindancers-network.EvpcProps.property.ipAddresses">ipAddresses</a></code> | <code>aws-cdk-lib.aws_ec2.IIpAddresses</code> | The Provider to use to allocate IP Space to your VPC. |
| <code><a href="#raindancers-network.EvpcProps.property.maxAzs">maxAzs</a></code> | <code>number</code> | Define the maximum number of AZs to use in this region. |
| <code><a href="#raindancers-network.EvpcProps.property.natGatewayProvider">natGatewayProvider</a></code> | <code>aws-cdk-lib.aws_ec2.NatProvider</code> | What type of NAT provider to use. |
| <code><a href="#raindancers-network.EvpcProps.property.natGateways">natGateways</a></code> | <code>number</code> | The number of NAT Gateways/Instances to create. |
| <code><a href="#raindancers-network.EvpcProps.property.natGatewaySubnets">natGatewaySubnets</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetSelection</code> | Configures the subnets which will have NAT Gateways/Instances. |
| <code><a href="#raindancers-network.EvpcProps.property.reservedAzs">reservedAzs</a></code> | <code>number</code> | Define the number of AZs to reserve. |
| <code><a href="#raindancers-network.EvpcProps.property.subnetConfiguration">subnetConfiguration</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetConfiguration[]</code> | Configure the subnets to build for each AZ. |
| <code><a href="#raindancers-network.EvpcProps.property.vpcName">vpcName</a></code> | <code>string</code> | The VPC name. |
| <code><a href="#raindancers-network.EvpcProps.property.vpnConnections">vpnConnections</a></code> | <code>{[ key: string ]: aws-cdk-lib.aws_ec2.VpnConnectionOptions}</code> | VPN connections to this VPC. |
| <code><a href="#raindancers-network.EvpcProps.property.vpnGateway">vpnGateway</a></code> | <code>boolean</code> | Indicates whether a VPN gateway should be created and attached to this VPC. |
| <code><a href="#raindancers-network.EvpcProps.property.vpnGatewayAsn">vpnGatewayAsn</a></code> | <code>number</code> | The private Autonomous System Number (ASN) for the VPN gateway. |
| <code><a href="#raindancers-network.EvpcProps.property.vpnRoutePropagation">vpnRoutePropagation</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetSelection[]</code> | Where to propagate VPN routes. |
| <code><a href="#raindancers-network.EvpcProps.property.subnetGroups">subnetGroups</a></code> | <code><a href="#raindancers-network.SubnetGroup">SubnetGroup</a>[]</code> | *No description.* |

---

##### `availabilityZones`<sup>Optional</sup> <a name="availabilityZones" id="raindancers-network.EvpcProps.property.availabilityZones"></a>

```typescript
public readonly availabilityZones: string[];
```

- *Type:* string[]
- *Default:* a subset of AZs of the stack

Availability zones this VPC spans.

Specify this option only if you do not specify `maxAzs`.

---

##### ~~`cidr`~~<sup>Optional</sup> <a name="cidr" id="raindancers-network.EvpcProps.property.cidr"></a>

- *Deprecated:* Use ipAddresses instead

```typescript
public readonly cidr: string;
```

- *Type:* string
- *Default:* Vpc.DEFAULT_CIDR_RANGE

The CIDR range to use for the VPC, e.g. '10.0.0.0/16'.

Should be a minimum of /28 and maximum size of /16. The range will be
split across all subnets per Availability Zone.

---

##### `defaultInstanceTenancy`<sup>Optional</sup> <a name="defaultInstanceTenancy" id="raindancers-network.EvpcProps.property.defaultInstanceTenancy"></a>

```typescript
public readonly defaultInstanceTenancy: DefaultInstanceTenancy;
```

- *Type:* aws-cdk-lib.aws_ec2.DefaultInstanceTenancy
- *Default:* DefaultInstanceTenancy.Default (shared) tenancy

The default tenancy of instances launched into the VPC.

By setting this to dedicated tenancy, instances will be launched on
hardware dedicated to a single AWS customer, unless specifically specified
at instance launch time. Please note, not all instance types are usable
with Dedicated tenancy.

---

##### `enableDnsHostnames`<sup>Optional</sup> <a name="enableDnsHostnames" id="raindancers-network.EvpcProps.property.enableDnsHostnames"></a>

```typescript
public readonly enableDnsHostnames: boolean;
```

- *Type:* boolean
- *Default:* true

Indicates whether the instances launched in the VPC get public DNS hostnames.

If this attribute is true, instances in the VPC get public DNS hostnames,
but only if the enableDnsSupport attribute is also set to true.

---

##### `enableDnsSupport`<sup>Optional</sup> <a name="enableDnsSupport" id="raindancers-network.EvpcProps.property.enableDnsSupport"></a>

```typescript
public readonly enableDnsSupport: boolean;
```

- *Type:* boolean
- *Default:* true

Indicates whether the DNS resolution is supported for the VPC.

If this attribute is false, the Amazon-provided DNS server in the VPC that
resolves public DNS hostnames to IP addresses is not enabled. If this
attribute is true, queries to the Amazon provided DNS server at the
169.254.169.253 IP address, or the reserved IP address at the base of the
VPC IPv4 network range plus two will succeed.

---

##### `flowLogs`<sup>Optional</sup> <a name="flowLogs" id="raindancers-network.EvpcProps.property.flowLogs"></a>

```typescript
public readonly flowLogs: {[ key: string ]: FlowLogOptions};
```

- *Type:* {[ key: string ]: aws-cdk-lib.aws_ec2.FlowLogOptions}
- *Default:* No flow logs.

Flow logs to add to this VPC.

---

##### `gatewayEndpoints`<sup>Optional</sup> <a name="gatewayEndpoints" id="raindancers-network.EvpcProps.property.gatewayEndpoints"></a>

```typescript
public readonly gatewayEndpoints: {[ key: string ]: GatewayVpcEndpointOptions};
```

- *Type:* {[ key: string ]: aws-cdk-lib.aws_ec2.GatewayVpcEndpointOptions}
- *Default:* None.

Gateway endpoints to add to this VPC.

---

##### `ipAddresses`<sup>Optional</sup> <a name="ipAddresses" id="raindancers-network.EvpcProps.property.ipAddresses"></a>

```typescript
public readonly ipAddresses: IIpAddresses;
```

- *Type:* aws-cdk-lib.aws_ec2.IIpAddresses
- *Default:* ec2.IpAddresses.cidr

The Provider to use to allocate IP Space to your VPC.

Options include static allocation or from a pool.

---

##### `maxAzs`<sup>Optional</sup> <a name="maxAzs" id="raindancers-network.EvpcProps.property.maxAzs"></a>

```typescript
public readonly maxAzs: number;
```

- *Type:* number
- *Default:* 3

Define the maximum number of AZs to use in this region.

If the region has more AZs than you want to use (for example, because of
EIP limits), pick a lower number here. The AZs will be sorted and picked
from the start of the list.

If you pick a higher number than the number of AZs in the region, all AZs
in the region will be selected. To use "all AZs" available to your
account, use a high number (such as 99).

Be aware that environment-agnostic stacks will be created with access to
only 2 AZs, so to use more than 2 AZs, be sure to specify the account and
region on your stack.

Specify this option only if you do not specify `availabilityZones`.

---

##### `natGatewayProvider`<sup>Optional</sup> <a name="natGatewayProvider" id="raindancers-network.EvpcProps.property.natGatewayProvider"></a>

```typescript
public readonly natGatewayProvider: NatProvider;
```

- *Type:* aws-cdk-lib.aws_ec2.NatProvider
- *Default:* NatProvider.gateway()

What type of NAT provider to use.

Select between NAT gateways or NAT instances. NAT gateways
may not be available in all AWS regions.

---

##### `natGateways`<sup>Optional</sup> <a name="natGateways" id="raindancers-network.EvpcProps.property.natGateways"></a>

```typescript
public readonly natGateways: number;
```

- *Type:* number
- *Default:* One NAT gateway/instance per Availability Zone

The number of NAT Gateways/Instances to create.

The type of NAT gateway or instance will be determined by the
`natGatewayProvider` parameter.

You can set this number lower than the number of Availability Zones in your
VPC in order to save on NAT cost. Be aware you may be charged for
cross-AZ data traffic instead.

---

##### `natGatewaySubnets`<sup>Optional</sup> <a name="natGatewaySubnets" id="raindancers-network.EvpcProps.property.natGatewaySubnets"></a>

```typescript
public readonly natGatewaySubnets: SubnetSelection;
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetSelection
- *Default:* All public subnets.

Configures the subnets which will have NAT Gateways/Instances.

You can pick a specific group of subnets by specifying the group name;
the picked subnets must be public subnets.

Only necessary if you have more than one public subnet group.

---

##### `reservedAzs`<sup>Optional</sup> <a name="reservedAzs" id="raindancers-network.EvpcProps.property.reservedAzs"></a>

```typescript
public readonly reservedAzs: number;
```

- *Type:* number
- *Default:* 0

Define the number of AZs to reserve.

When specified, the IP space is reserved for the azs but no actual
resources are provisioned.

---

##### `subnetConfiguration`<sup>Optional</sup> <a name="subnetConfiguration" id="raindancers-network.EvpcProps.property.subnetConfiguration"></a>

```typescript
public readonly subnetConfiguration: SubnetConfiguration[];
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetConfiguration[]
- *Default:* The VPC CIDR will be evenly divided between 1 public and 1 private subnet per AZ.

Configure the subnets to build for each AZ.

Each entry in this list configures a Subnet Group; each group will contain a
subnet for each Availability Zone.

For example, if you want 1 public subnet, 1 private subnet, and 1 isolated
subnet in each AZ provide the following:

```ts
new ec2.Vpc(this, 'VPC', {
   subnetConfiguration: [
      {
        cidrMask: 24,
        name: 'ingress',
        subnetType: ec2.SubnetType.PUBLIC,
      },
      {
        cidrMask: 24,
        name: 'application',
        subnetType: ec2.SubnetType.PRIVATE_WITH_EGRESS,
      },
      {
        cidrMask: 28,
        name: 'rds',
        subnetType: ec2.SubnetType.PRIVATE_ISOLATED,
      }
   ]
});
```

---

##### `vpcName`<sup>Optional</sup> <a name="vpcName" id="raindancers-network.EvpcProps.property.vpcName"></a>

```typescript
public readonly vpcName: string;
```

- *Type:* string
- *Default:* this.node.path

The VPC name.

Since the VPC resource doesn't support providing a physical name, the value provided here will be recorded in the `Name` tag

---

##### `vpnConnections`<sup>Optional</sup> <a name="vpnConnections" id="raindancers-network.EvpcProps.property.vpnConnections"></a>

```typescript
public readonly vpnConnections: {[ key: string ]: VpnConnectionOptions};
```

- *Type:* {[ key: string ]: aws-cdk-lib.aws_ec2.VpnConnectionOptions}
- *Default:* No connections.

VPN connections to this VPC.

---

##### `vpnGateway`<sup>Optional</sup> <a name="vpnGateway" id="raindancers-network.EvpcProps.property.vpnGateway"></a>

```typescript
public readonly vpnGateway: boolean;
```

- *Type:* boolean
- *Default:* true when vpnGatewayAsn or vpnConnections is specified

Indicates whether a VPN gateway should be created and attached to this VPC.

---

##### `vpnGatewayAsn`<sup>Optional</sup> <a name="vpnGatewayAsn" id="raindancers-network.EvpcProps.property.vpnGatewayAsn"></a>

```typescript
public readonly vpnGatewayAsn: number;
```

- *Type:* number
- *Default:* Amazon default ASN.

The private Autonomous System Number (ASN) for the VPN gateway.

---

##### `vpnRoutePropagation`<sup>Optional</sup> <a name="vpnRoutePropagation" id="raindancers-network.EvpcProps.property.vpnRoutePropagation"></a>

```typescript
public readonly vpnRoutePropagation: SubnetSelection[];
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetSelection[]
- *Default:* On the route tables associated with private subnets. If no private subnets exists, isolated subnets are used. If no isolated subnets exists, public subnets are used.

Where to propagate VPN routes.

---

##### `subnetGroups`<sup>Optional</sup> <a name="subnetGroups" id="raindancers-network.EvpcProps.property.subnetGroups"></a>

```typescript
public readonly subnetGroups: SubnetGroup[];
```

- *Type:* <a href="#raindancers-network.SubnetGroup">SubnetGroup</a>[]

---

### FindPrefixListProps <a name="FindPrefixListProps" id="raindancers-network.FindPrefixListProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.FindPrefixListProps.Initializer"></a>

```typescript
import { FindPrefixListProps } from 'raindancers-network'

const findPrefixListProps: FindPrefixListProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FindPrefixListProps.property.prefixListName">prefixListName</a></code> | <code>string</code> | *No description.* |

---

##### `prefixListName`<sup>Required</sup> <a name="prefixListName" id="raindancers-network.FindPrefixListProps.property.prefixListName"></a>

```typescript
public readonly prefixListName: string;
```

- *Type:* string

---

### FirewallPolicyProps <a name="FirewallPolicyProps" id="raindancers-network.FirewallPolicyProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.FirewallPolicyProps.Initializer"></a>

```typescript
import { FirewallPolicyProps } from 'raindancers-network'

const firewallPolicyProps: FirewallPolicyProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FirewallPolicyProps.property.policyName">policyName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.FirewallPolicyProps.property.statelessDefaultActions">statelessDefaultActions</a></code> | <code><a href="#raindancers-network.StatelessActions">StatelessActions</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.FirewallPolicyProps.property.statelessFragmentDefaultActions">statelessFragmentDefaultActions</a></code> | <code><a href="#raindancers-network.StatelessActions">StatelessActions</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.FirewallPolicyProps.property.statefulEngineOptions">statefulEngineOptions</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.StatefulEngineOptionsProperty</code> | *No description.* |

---

##### `policyName`<sup>Required</sup> <a name="policyName" id="raindancers-network.FirewallPolicyProps.property.policyName"></a>

```typescript
public readonly policyName: string;
```

- *Type:* string

---

##### `statelessDefaultActions`<sup>Required</sup> <a name="statelessDefaultActions" id="raindancers-network.FirewallPolicyProps.property.statelessDefaultActions"></a>

```typescript
public readonly statelessDefaultActions: StatelessActions[];
```

- *Type:* <a href="#raindancers-network.StatelessActions">StatelessActions</a>[]

---

##### `statelessFragmentDefaultActions`<sup>Required</sup> <a name="statelessFragmentDefaultActions" id="raindancers-network.FirewallPolicyProps.property.statelessFragmentDefaultActions"></a>

```typescript
public readonly statelessFragmentDefaultActions: StatelessActions[];
```

- *Type:* <a href="#raindancers-network.StatelessActions">StatelessActions</a>[]

---

##### `statefulEngineOptions`<sup>Optional</sup> <a name="statefulEngineOptions" id="raindancers-network.FirewallPolicyProps.property.statefulEngineOptions"></a>

```typescript
public readonly statefulEngineOptions: StatefulEngineOptionsProperty;
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.StatefulEngineOptionsProperty

---

### FlowLogProps <a name="FlowLogProps" id="raindancers-network.FlowLogProps"></a>

Properties for flow logs *.

#### Initializer <a name="Initializer" id="raindancers-network.FlowLogProps.Initializer"></a>

```typescript
import { FlowLogProps } from 'raindancers-network'

const flowLogProps: FlowLogProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FlowLogProps.property.bucket">bucket</a></code> | <code>aws-cdk-lib.aws_s3.IBucket</code> | the central s3 location for enterprise flow logs. |
| <code><a href="#raindancers-network.FlowLogProps.property.localAthenaQuerys">localAthenaQuerys</a></code> | <code>boolean</code> | create in Account Athena Querys for flow logs. |
| <code><a href="#raindancers-network.FlowLogProps.property.oneMinuteFlowLogs">oneMinuteFlowLogs</a></code> | <code>boolean</code> | 1 minute resolution. |

---

##### `bucket`<sup>Required</sup> <a name="bucket" id="raindancers-network.FlowLogProps.property.bucket"></a>

```typescript
public readonly bucket: IBucket;
```

- *Type:* aws-cdk-lib.aws_s3.IBucket

the central s3 location for enterprise flow logs.

---

##### `localAthenaQuerys`<sup>Optional</sup> <a name="localAthenaQuerys" id="raindancers-network.FlowLogProps.property.localAthenaQuerys"></a>

```typescript
public readonly localAthenaQuerys: boolean;
```

- *Type:* boolean

create in Account Athena Querys for flow logs.

---

##### `oneMinuteFlowLogs`<sup>Optional</sup> <a name="oneMinuteFlowLogs" id="raindancers-network.FlowLogProps.property.oneMinuteFlowLogs"></a>

```typescript
public readonly oneMinuteFlowLogs: boolean;
```

- *Type:* boolean

1 minute resolution.

---

### ForwardingRulesProps <a name="ForwardingRulesProps" id="raindancers-network.ForwardingRulesProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.ForwardingRulesProps.Initializer"></a>

```typescript
import { ForwardingRulesProps } from 'raindancers-network'

const forwardingRulesProps: ForwardingRulesProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ForwardingRulesProps.property.domains">domains</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.ForwardingRulesProps.property.resolverId">resolverId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ForwardingRulesProps.property.resolverIP">resolverIP</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.ForwardingRulesProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |

---

##### `domains`<sup>Required</sup> <a name="domains" id="raindancers-network.ForwardingRulesProps.property.domains"></a>

```typescript
public readonly domains: string[];
```

- *Type:* string[]

---

##### `resolverId`<sup>Required</sup> <a name="resolverId" id="raindancers-network.ForwardingRulesProps.property.resolverId"></a>

```typescript
public readonly resolverId: string;
```

- *Type:* string

---

##### `resolverIP`<sup>Required</sup> <a name="resolverIP" id="raindancers-network.ForwardingRulesProps.property.resolverIP"></a>

```typescript
public readonly resolverIP: string[];
```

- *Type:* string[]

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.ForwardingRulesProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

---

### FQDNStatefulRuleProps <a name="FQDNStatefulRuleProps" id="raindancers-network.FQDNStatefulRuleProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.FQDNStatefulRuleProps.Initializer"></a>

```typescript
import { FQDNStatefulRuleProps } from 'raindancers-network'

const fQDNStatefulRuleProps: FQDNStatefulRuleProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.action">action</a></code> | <code><a href="#raindancers-network.StatefulAction">StatefulAction</a></code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.destination">destination</a></code> | <code>string \| <a href="#raindancers-network.PrefixList">PrefixList</a> \| <a href="#raindancers-network.DynamicTagResourceGroup">DynamicTagResourceGroup</a></code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.destPort">destPort</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.direction">direction</a></code> | <code><a href="#raindancers-network.Direction">Direction</a></code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.protocol">protocol</a></code> | <code><a href="#raindancers-network.FWProtocol">FWProtocol</a></code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.source">source</a></code> | <code>string \| <a href="#raindancers-network.PrefixList">PrefixList</a> \| <a href="#raindancers-network.DynamicTagResourceGroup">DynamicTagResourceGroup</a></code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.srcPort">srcPort</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.fqdn">fqdn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.priority">priority</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.FQDNStatefulRuleProps.property.rulesDatabase">rulesDatabase</a></code> | <code><a href="#raindancers-network.StatefulRuleDatabase">StatefulRuleDatabase</a></code> | *No description.* |

---

##### `action`<sup>Required</sup> <a name="action" id="raindancers-network.FQDNStatefulRuleProps.property.action"></a>

```typescript
public readonly action: StatefulAction;
```

- *Type:* <a href="#raindancers-network.StatefulAction">StatefulAction</a>

---

##### `destination`<sup>Required</sup> <a name="destination" id="raindancers-network.FQDNStatefulRuleProps.property.destination"></a>

```typescript
public readonly destination: string | PrefixList | DynamicTagResourceGroup;
```

- *Type:* string | <a href="#raindancers-network.PrefixList">PrefixList</a> | <a href="#raindancers-network.DynamicTagResourceGroup">DynamicTagResourceGroup</a>

---

##### `destPort`<sup>Required</sup> <a name="destPort" id="raindancers-network.FQDNStatefulRuleProps.property.destPort"></a>

```typescript
public readonly destPort: string;
```

- *Type:* string

---

##### `direction`<sup>Required</sup> <a name="direction" id="raindancers-network.FQDNStatefulRuleProps.property.direction"></a>

```typescript
public readonly direction: Direction;
```

- *Type:* <a href="#raindancers-network.Direction">Direction</a>

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.FQDNStatefulRuleProps.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `protocol`<sup>Required</sup> <a name="protocol" id="raindancers-network.FQDNStatefulRuleProps.property.protocol"></a>

```typescript
public readonly protocol: FWProtocol;
```

- *Type:* <a href="#raindancers-network.FWProtocol">FWProtocol</a>

---

##### `source`<sup>Required</sup> <a name="source" id="raindancers-network.FQDNStatefulRuleProps.property.source"></a>

```typescript
public readonly source: string | PrefixList | DynamicTagResourceGroup;
```

- *Type:* string | <a href="#raindancers-network.PrefixList">PrefixList</a> | <a href="#raindancers-network.DynamicTagResourceGroup">DynamicTagResourceGroup</a>

---

##### `srcPort`<sup>Required</sup> <a name="srcPort" id="raindancers-network.FQDNStatefulRuleProps.property.srcPort"></a>

```typescript
public readonly srcPort: string;
```

- *Type:* string

---

##### `fqdn`<sup>Required</sup> <a name="fqdn" id="raindancers-network.FQDNStatefulRuleProps.property.fqdn"></a>

```typescript
public readonly fqdn: string;
```

- *Type:* string

---

##### `priority`<sup>Optional</sup> <a name="priority" id="raindancers-network.FQDNStatefulRuleProps.property.priority"></a>

```typescript
public readonly priority: number;
```

- *Type:* number

---

##### `rulesDatabase`<sup>Optional</sup> <a name="rulesDatabase" id="raindancers-network.FQDNStatefulRuleProps.property.rulesDatabase"></a>

```typescript
public readonly rulesDatabase: StatefulRuleDatabase;
```

- *Type:* <a href="#raindancers-network.StatefulRuleDatabase">StatefulRuleDatabase</a>

---

### GetTunnelAddressPairProps <a name="GetTunnelAddressPairProps" id="raindancers-network.GetTunnelAddressPairProps"></a>

Properties for obtaining an IPAM assigned address pair for use on IPsec VPN Tunnels.

#### Initializer <a name="Initializer" id="raindancers-network.GetTunnelAddressPairProps.Initializer"></a>

```typescript
import { GetTunnelAddressPairProps } from 'raindancers-network'

const getTunnelAddressPairProps: GetTunnelAddressPairProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.GetTunnelAddressPairProps.property.ipamPoolId">ipamPoolId</a></code> | <code>string</code> | The IPAM Pool Id from which the assginment will be made from. |
| <code><a href="#raindancers-network.GetTunnelAddressPairProps.property.name">name</a></code> | <code>string</code> | The Name used by IPAM to record the allocation. |

---

##### `ipamPoolId`<sup>Required</sup> <a name="ipamPoolId" id="raindancers-network.GetTunnelAddressPairProps.property.ipamPoolId"></a>

```typescript
public readonly ipamPoolId: string;
```

- *Type:* string

The IPAM Pool Id from which the assginment will be made from.

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.GetTunnelAddressPairProps.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The Name used by IPAM to record the allocation.

---

### IpsecTunnelPoolProps <a name="IpsecTunnelPoolProps" id="raindancers-network.IpsecTunnelPoolProps"></a>

Properties for defining a IPAM Pool specifically for IPSec VPN Tunnels.

#### Initializer <a name="Initializer" id="raindancers-network.IpsecTunnelPoolProps.Initializer"></a>

```typescript
import { IpsecTunnelPoolProps } from 'raindancers-network'

const ipsecTunnelPoolProps: IpsecTunnelPoolProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.IpsecTunnelPoolProps.property.cidr">cidr</a></code> | <code>string</code> | The Cidr range for pools to be created from    eg, 169.254.100.0/27 The cidr must be in the 169.254.0.0/16 range and must be a minimum of a /29 and a maximum of /24. |
| <code><a href="#raindancers-network.IpsecTunnelPoolProps.property.description">description</a></code> | <code>string</code> | the description used by IPAM to describe the pool. |
| <code><a href="#raindancers-network.IpsecTunnelPoolProps.property.ipamScopeId">ipamScopeId</a></code> | <code>string</code> | The IPAM Scope Id to use to create the Pool. |
| <code><a href="#raindancers-network.IpsecTunnelPoolProps.property.name">name</a></code> | <code>string</code> | the name used by IPAM to identify the pool. |

---

##### `cidr`<sup>Required</sup> <a name="cidr" id="raindancers-network.IpsecTunnelPoolProps.property.cidr"></a>

```typescript
public readonly cidr: string;
```

- *Type:* string

The Cidr range for pools to be created from    eg, 169.254.100.0/27 The cidr must be in the 169.254.0.0/16 range and must be a minimum of a /29 and a maximum of /24.

It must also not overlap the AWS reserved ranges. T

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.IpsecTunnelPoolProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

the description used by IPAM to describe the pool.

---

##### `ipamScopeId`<sup>Required</sup> <a name="ipamScopeId" id="raindancers-network.IpsecTunnelPoolProps.property.ipamScopeId"></a>

```typescript
public readonly ipamScopeId: string;
```

- *Type:* string

The IPAM Scope Id to use to create the Pool.

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.IpsecTunnelPoolProps.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

the name used by IPAM to identify the pool.

---

### NetworkFirewallProps <a name="NetworkFirewallProps" id="raindancers-network.NetworkFirewallProps"></a>

Propertys of a Network Firewall.

#### Initializer <a name="Initializer" id="raindancers-network.NetworkFirewallProps.Initializer"></a>

```typescript
import { NetworkFirewallProps } from 'raindancers-network'

const networkFirewallProps: NetworkFirewallProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.NetworkFirewallProps.property.firewallName">firewallName</a></code> | <code>string</code> | the name that will be given to the firewall. |
| <code><a href="#raindancers-network.NetworkFirewallProps.property.firewallPolicy">firewallPolicy</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy</code> | the firewalls policy. |
| <code><a href="#raindancers-network.NetworkFirewallProps.property.subnetGroup">subnetGroup</a></code> | <code>string</code> | the subnetGroup where the firewall will be created. |
| <code><a href="#raindancers-network.NetworkFirewallProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | the the vpc where the Network firewall is placed. |

---

##### `firewallName`<sup>Required</sup> <a name="firewallName" id="raindancers-network.NetworkFirewallProps.property.firewallName"></a>

```typescript
public readonly firewallName: string;
```

- *Type:* string

the name that will be given to the firewall.

---

##### `firewallPolicy`<sup>Required</sup> <a name="firewallPolicy" id="raindancers-network.NetworkFirewallProps.property.firewallPolicy"></a>

```typescript
public readonly firewallPolicy: CfnFirewallPolicy;
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy

the firewalls policy.

---

##### `subnetGroup`<sup>Required</sup> <a name="subnetGroup" id="raindancers-network.NetworkFirewallProps.property.subnetGroup"></a>

```typescript
public readonly subnetGroup: string;
```

- *Type:* string

the subnetGroup where the firewall will be created.

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.NetworkFirewallProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

the the vpc where the Network firewall is placed.

---

### NWFWRulesEngine <a name="NWFWRulesEngine" id="raindancers-network.NWFWRulesEngine"></a>

#### Initializer <a name="Initializer" id="raindancers-network.NWFWRulesEngine.Initializer"></a>

```typescript
import { NWFWRulesEngine } from 'raindancers-network'

const nWFWRulesEngine: NWFWRulesEngine = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.NWFWRulesEngine.property.firewallAccount">firewallAccount</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.NWFWRulesEngine.property.rulesDatabase">rulesDatabase</a></code> | <code><a href="#raindancers-network.StatefulRuleDatabase">StatefulRuleDatabase</a></code> | *No description.* |

---

##### `firewallAccount`<sup>Required</sup> <a name="firewallAccount" id="raindancers-network.NWFWRulesEngine.property.firewallAccount"></a>

```typescript
public readonly firewallAccount: string;
```

- *Type:* string

---

##### `rulesDatabase`<sup>Required</sup> <a name="rulesDatabase" id="raindancers-network.NWFWRulesEngine.property.rulesDatabase"></a>

```typescript
public readonly rulesDatabase: StatefulRuleDatabase;
```

- *Type:* <a href="#raindancers-network.StatefulRuleDatabase">StatefulRuleDatabase</a>

---

### OutboundForwardingRule <a name="OutboundForwardingRule" id="raindancers-network.OutboundForwardingRule"></a>

#### Initializer <a name="Initializer" id="raindancers-network.OutboundForwardingRule.Initializer"></a>

```typescript
import { OutboundForwardingRule } from 'raindancers-network'

const outboundForwardingRule: OutboundForwardingRule = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.OutboundForwardingRule.property.domain">domain</a></code> | <code>string</code> | domain to forward. |
| <code><a href="#raindancers-network.OutboundForwardingRule.property.forwardTo">forwardTo</a></code> | <code>string[]</code> | array of ip address's to forward request to. |

---

##### `domain`<sup>Required</sup> <a name="domain" id="raindancers-network.OutboundForwardingRule.property.domain"></a>

```typescript
public readonly domain: string;
```

- *Type:* string

domain to forward.

---

##### `forwardTo`<sup>Required</sup> <a name="forwardTo" id="raindancers-network.OutboundForwardingRule.property.forwardTo"></a>

```typescript
public readonly forwardTo: string[];
```

- *Type:* string[]

array of ip address's to forward request to.

---

### PermissionBoundary <a name="PermissionBoundary" id="raindancers-network.PermissionBoundary"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PermissionBoundary.Initializer"></a>

```typescript
import { PermissionBoundary } from 'raindancers-network'

const permissionBoundary: PermissionBoundary = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PermissionBoundary.property.customerManagedPolicyReference">customerManagedPolicyReference</a></code> | <code>aws-cdk-lib.aws_sso.CfnPermissionSet.CustomerManagedPolicyReferenceProperty \| aws-cdk-lib.IResolvable</code> | Specifies the name and path of a customer managed policy. |
| <code><a href="#raindancers-network.PermissionBoundary.property.managedPolicyArn">managedPolicyArn</a></code> | <code>string</code> | The AWS managed policy ARN that you want to attach to a permission set as a permissions boundary. |

---

##### `customerManagedPolicyReference`<sup>Optional</sup> <a name="customerManagedPolicyReference" id="raindancers-network.PermissionBoundary.property.customerManagedPolicyReference"></a>

```typescript
public readonly customerManagedPolicyReference: CustomerManagedPolicyReferenceProperty | IResolvable;
```

- *Type:* aws-cdk-lib.aws_sso.CfnPermissionSet.CustomerManagedPolicyReferenceProperty | aws-cdk-lib.IResolvable

Specifies the name and path of a customer managed policy.

You must have an IAM policy that matches the name and path in each AWS account where you want to deploy your permission set.

> [http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sso-permissionset-permissionsboundary.html#cfn-sso-permissionset-permissionsboundary-customermanagedpolicyreference](http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sso-permissionset-permissionsboundary.html#cfn-sso-permissionset-permissionsboundary-customermanagedpolicyreference)

---

##### `managedPolicyArn`<sup>Optional</sup> <a name="managedPolicyArn" id="raindancers-network.PermissionBoundary.property.managedPolicyArn"></a>

```typescript
public readonly managedPolicyArn: string;
```

- *Type:* string

The AWS managed policy ARN that you want to attach to a permission set as a permissions boundary.

> [http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sso-permissionset-permissionsboundary.html#cfn-sso-permissionset-permissionsboundary-managedpolicyarn](http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sso-permissionset-permissionsboundary.html#cfn-sso-permissionset-permissionsboundary-managedpolicyarn)

---

### PermissionSetAttributes <a name="PermissionSetAttributes" id="raindancers-network.PermissionSetAttributes"></a>

Attributes for a permission set.

#### Initializer <a name="Initializer" id="raindancers-network.PermissionSetAttributes.Initializer"></a>

```typescript
import { PermissionSetAttributes } from 'raindancers-network'

const permissionSetAttributes: PermissionSetAttributes = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PermissionSetAttributes.property.permissionSetArn">permissionSetArn</a></code> | <code>string</code> | The permission set ARN of the permission set. |
| <code><a href="#raindancers-network.PermissionSetAttributes.property.ssoInstanceArn">ssoInstanceArn</a></code> | <code>string</code> | The SSO instance ARN of the permission set. |

---

##### `permissionSetArn`<sup>Required</sup> <a name="permissionSetArn" id="raindancers-network.PermissionSetAttributes.property.permissionSetArn"></a>

```typescript
public readonly permissionSetArn: string;
```

- *Type:* string

The permission set ARN of the permission set.

Such as
`arn:aws:sso:::permissionSet/ins-instanceid/ps-permissionsetid`.

---

##### `ssoInstanceArn`<sup>Required</sup> <a name="ssoInstanceArn" id="raindancers-network.PermissionSetAttributes.property.ssoInstanceArn"></a>

```typescript
public readonly ssoInstanceArn: string;
```

- *Type:* string

The SSO instance ARN of the permission set.

---

### PermissionSetProps <a name="PermissionSetProps" id="raindancers-network.PermissionSetProps"></a>

The properties of a new permission set.

#### Initializer <a name="Initializer" id="raindancers-network.PermissionSetProps.Initializer"></a>

```typescript
import { PermissionSetProps } from 'raindancers-network'

const permissionSetProps: PermissionSetProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PermissionSetProps.property.name">name</a></code> | <code>string</code> | The name of the permission set. |
| <code><a href="#raindancers-network.PermissionSetProps.property.ssoInstanceArn">ssoInstanceArn</a></code> | <code>string</code> | The ARN of the SSO instance under which the operation will be executed. |
| <code><a href="#raindancers-network.PermissionSetProps.property.awsManagedPolicies">awsManagedPolicies</a></code> | <code>aws-cdk-lib.aws_iam.IManagedPolicy[]</code> | The AWS managed policies to attach to the `PermissionSet`. |
| <code><a href="#raindancers-network.PermissionSetProps.property.customerManagedPolicyReferences">customerManagedPolicyReferences</a></code> | <code><a href="#raindancers-network.CustomerManagedPolicyReference">CustomerManagedPolicyReference</a>[]</code> | Specifies the names and paths of a customer managed policy. |
| <code><a href="#raindancers-network.PermissionSetProps.property.description">description</a></code> | <code>string</code> | The description of the `PermissionSet`. |
| <code><a href="#raindancers-network.PermissionSetProps.property.inlinePolicy">inlinePolicy</a></code> | <code>aws-cdk-lib.aws_iam.PolicyDocument</code> | The IAM inline policy that is attached to the permission set. |
| <code><a href="#raindancers-network.PermissionSetProps.property.permissionsBoundary">permissionsBoundary</a></code> | <code><a href="#raindancers-network.PermissionBoundary">PermissionBoundary</a></code> | Specifies the configuration of the AWS managed or customer managed policy that you want to set as a permissions boundary. |
| <code><a href="#raindancers-network.PermissionSetProps.property.relayStateType">relayStateType</a></code> | <code>string</code> | Used to redirect users within the application during the federation authentication process. |
| <code><a href="#raindancers-network.PermissionSetProps.property.sessionDuration">sessionDuration</a></code> | <code>aws-cdk-lib.Duration</code> | The length of time that the application user sessions are valid for. |

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.PermissionSetProps.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the permission set.

---

##### `ssoInstanceArn`<sup>Required</sup> <a name="ssoInstanceArn" id="raindancers-network.PermissionSetProps.property.ssoInstanceArn"></a>

```typescript
public readonly ssoInstanceArn: string;
```

- *Type:* string

The ARN of the SSO instance under which the operation will be executed.

---

##### `awsManagedPolicies`<sup>Optional</sup> <a name="awsManagedPolicies" id="raindancers-network.PermissionSetProps.property.awsManagedPolicies"></a>

```typescript
public readonly awsManagedPolicies: IManagedPolicy[];
```

- *Type:* aws-cdk-lib.aws_iam.IManagedPolicy[]
- *Default:* No AWS managed policies

The AWS managed policies to attach to the `PermissionSet`.

---

##### `customerManagedPolicyReferences`<sup>Optional</sup> <a name="customerManagedPolicyReferences" id="raindancers-network.PermissionSetProps.property.customerManagedPolicyReferences"></a>

```typescript
public readonly customerManagedPolicyReferences: CustomerManagedPolicyReference[];
```

- *Type:* <a href="#raindancers-network.CustomerManagedPolicyReference">CustomerManagedPolicyReference</a>[]
- *Default:* No customer managed policies

Specifies the names and paths of a customer managed policy.

You must have an IAM policy that matches the name and path in each
AWS account where you want to deploy your permission set.

---

##### `description`<sup>Optional</sup> <a name="description" id="raindancers-network.PermissionSetProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string
- *Default:* No description

The description of the `PermissionSet`.

---

##### `inlinePolicy`<sup>Optional</sup> <a name="inlinePolicy" id="raindancers-network.PermissionSetProps.property.inlinePolicy"></a>

```typescript
public readonly inlinePolicy: PolicyDocument;
```

- *Type:* aws-cdk-lib.aws_iam.PolicyDocument
- *Default:* No inline policy

The IAM inline policy that is attached to the permission set.

---

##### `permissionsBoundary`<sup>Optional</sup> <a name="permissionsBoundary" id="raindancers-network.PermissionSetProps.property.permissionsBoundary"></a>

```typescript
public readonly permissionsBoundary: PermissionBoundary;
```

- *Type:* <a href="#raindancers-network.PermissionBoundary">PermissionBoundary</a>
- *Default:* No permissions boundary

Specifies the configuration of the AWS managed or customer managed policy that you want to set as a permissions boundary.

Specify either
customerManagedPolicyReference to use the name and path of a customer
managed policy, or managedPolicy to use the ARN of an AWS managed
policy.

A permissions boundary represents the maximum permissions that any
policy can grant your role. For more information, see Permissions boundaries
for IAM entities in the AWS Identity and Access Management User Guide.

> [https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_boundaries.html](https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_boundaries.html)

---

##### `relayStateType`<sup>Optional</sup> <a name="relayStateType" id="raindancers-network.PermissionSetProps.property.relayStateType"></a>

```typescript
public readonly relayStateType: string;
```

- *Type:* string
- *Default:* No redirection

Used to redirect users within the application during the federation authentication process.

By default, when a user signs into the AWS access portal, chooses an account,
and then chooses the role that AWS creates from the assigned permission set,
IAM Identity Center redirects the user’s browser to the AWS Management Console.

You can change this behavior by setting the relay state to a different console
URL. Setting the relay state enables you to provide the user with quick access
to the console that is most appropriate for their role. For example, you can
set the relay state to the Amazon EC2 console URL (https://console.aws.amazon.com/ec2/)
to redirect the user to that console when they choose the Amazon EC2
administrator role.

> [https://docs.aws.amazon.com/singlesignon/latest/userguide/howtopermrelaystate.html](https://docs.aws.amazon.com/singlesignon/latest/userguide/howtopermrelaystate.html)

---

##### `sessionDuration`<sup>Optional</sup> <a name="sessionDuration" id="raindancers-network.PermissionSetProps.property.sessionDuration"></a>

```typescript
public readonly sessionDuration: Duration;
```

- *Type:* aws-cdk-lib.Duration

The length of time that the application user sessions are valid for.

---

### PowerBIGateway <a name="PowerBIGateway" id="raindancers-network.PowerBIGateway"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PowerBIGateway.Initializer"></a>

```typescript
import { PowerBIGateway } from 'raindancers-network'

const powerBIGateway: PowerBIGateway = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PowerBIGateway.property.cfgSecretArn">cfgSecretArn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGateway.property.hostname">hostname</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGateway.property.instancetype">instancetype</a></code> | <code>aws-cdk-lib.aws_ec2.InstanceType</code> | *No description.* |

---

##### `cfgSecretArn`<sup>Required</sup> <a name="cfgSecretArn" id="raindancers-network.PowerBIGateway.property.cfgSecretArn"></a>

```typescript
public readonly cfgSecretArn: string;
```

- *Type:* string

---

##### `hostname`<sup>Required</sup> <a name="hostname" id="raindancers-network.PowerBIGateway.property.hostname"></a>

```typescript
public readonly hostname: string;
```

- *Type:* string

---

##### `instancetype`<sup>Required</sup> <a name="instancetype" id="raindancers-network.PowerBIGateway.property.instancetype"></a>

```typescript
public readonly instancetype: InstanceType;
```

- *Type:* aws-cdk-lib.aws_ec2.InstanceType

---

### PowerBiGatewayProps <a name="PowerBiGatewayProps" id="raindancers-network.PowerBiGatewayProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PowerBiGatewayProps.Initializer"></a>

```typescript
import { PowerBiGatewayProps } from 'raindancers-network'

const powerBiGatewayProps: PowerBiGatewayProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.cfgSecret">cfgSecret</a></code> | <code>aws-cdk-lib.aws_secretsmanager.ISecret \| aws-cdk-lib.aws_secretsmanager.Secret</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.hostname">hostname</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.initscript">initscript</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.instanceType">instanceType</a></code> | <code>aws-cdk-lib.aws_ec2.InstanceType</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.machineImage">machineImage</a></code> | <code>aws-cdk-lib.aws_ec2.WindowsImage</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.powerBIgatewaySetupScript">powerBIgatewaySetupScript</a></code> | <code>aws-cdk-lib.aws_ec2.S3DownloadOptions</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.subnet">subnet</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetSelection</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.IVpc \| aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBiGatewayProps.property.zone">zone</a></code> | <code>aws-cdk-lib.aws_route53.IPrivateHostedZone \| aws-cdk-lib.aws_route53.PrivateHostedZone</code> | *No description.* |

---

##### `cfgSecret`<sup>Required</sup> <a name="cfgSecret" id="raindancers-network.PowerBiGatewayProps.property.cfgSecret"></a>

```typescript
public readonly cfgSecret: ISecret | Secret;
```

- *Type:* aws-cdk-lib.aws_secretsmanager.ISecret | aws-cdk-lib.aws_secretsmanager.Secret

---

##### `hostname`<sup>Required</sup> <a name="hostname" id="raindancers-network.PowerBiGatewayProps.property.hostname"></a>

```typescript
public readonly hostname: string;
```

- *Type:* string

---

##### `initscript`<sup>Required</sup> <a name="initscript" id="raindancers-network.PowerBiGatewayProps.property.initscript"></a>

```typescript
public readonly initscript: string;
```

- *Type:* string

---

##### `instanceType`<sup>Required</sup> <a name="instanceType" id="raindancers-network.PowerBiGatewayProps.property.instanceType"></a>

```typescript
public readonly instanceType: InstanceType;
```

- *Type:* aws-cdk-lib.aws_ec2.InstanceType

---

##### `machineImage`<sup>Required</sup> <a name="machineImage" id="raindancers-network.PowerBiGatewayProps.property.machineImage"></a>

```typescript
public readonly machineImage: WindowsImage;
```

- *Type:* aws-cdk-lib.aws_ec2.WindowsImage

---

##### `powerBIgatewaySetupScript`<sup>Required</sup> <a name="powerBIgatewaySetupScript" id="raindancers-network.PowerBiGatewayProps.property.powerBIgatewaySetupScript"></a>

```typescript
public readonly powerBIgatewaySetupScript: S3DownloadOptions;
```

- *Type:* aws-cdk-lib.aws_ec2.S3DownloadOptions

---

##### `subnet`<sup>Required</sup> <a name="subnet" id="raindancers-network.PowerBiGatewayProps.property.subnet"></a>

```typescript
public readonly subnet: SubnetSelection;
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetSelection

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.PowerBiGatewayProps.property.vpc"></a>

```typescript
public readonly vpc: IVpc | Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.IVpc | aws-cdk-lib.aws_ec2.Vpc

---

##### `zone`<sup>Required</sup> <a name="zone" id="raindancers-network.PowerBiGatewayProps.property.zone"></a>

```typescript
public readonly zone: IPrivateHostedZone | PrivateHostedZone;
```

- *Type:* aws-cdk-lib.aws_route53.IPrivateHostedZone | aws-cdk-lib.aws_route53.PrivateHostedZone

---

### PowerBIGatewayZooProps <a name="PowerBIGatewayZooProps" id="raindancers-network.PowerBIGatewayZooProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PowerBIGatewayZooProps.Initializer"></a>

```typescript
import { PowerBIGatewayZooProps } from 'raindancers-network'

const powerBIGatewayZooProps: PowerBIGatewayZooProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.analyticsReporting">analyticsReporting</a></code> | <code>boolean</code> | Include runtime versioning information in this Stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.crossRegionReferences">crossRegionReferences</a></code> | <code>boolean</code> | Enable this flag to allow native cross region stack references. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.description">description</a></code> | <code>string</code> | A description of the stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.env">env</a></code> | <code>aws-cdk-lib.Environment</code> | The AWS environment (account/region) where this stack will be deployed. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.permissionsBoundary">permissionsBoundary</a></code> | <code>aws-cdk-lib.PermissionsBoundary</code> | Options for applying a permissions boundary to all IAM Roles and Users created within this Stage. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.stackName">stackName</a></code> | <code>string</code> | Name to deploy the stack with. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.synthesizer">synthesizer</a></code> | <code>aws-cdk-lib.IStackSynthesizer</code> | Synthesis method to use while deploying this stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.tags">tags</a></code> | <code>{[ key: string ]: string}</code> | Stack tags that will be applied to all the taggable resources and the stack itself. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.terminationProtection">terminationProtection</a></code> | <code>boolean</code> | Whether to enable termination protection for this stack. |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.deployAssetsPath">deployAssetsPath</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.gateways">gateways</a></code> | <code><a href="#raindancers-network.PowerBIGateway">PowerBIGateway</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.initscript">initscript</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.r53zoneID">r53zoneID</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.subnet">subnet</a></code> | <code>aws-cdk-lib.aws_ec2.SubnetSelection</code> | *No description.* |
| <code><a href="#raindancers-network.PowerBIGatewayZooProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.IVpc \| aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |

---

##### `analyticsReporting`<sup>Optional</sup> <a name="analyticsReporting" id="raindancers-network.PowerBIGatewayZooProps.property.analyticsReporting"></a>

```typescript
public readonly analyticsReporting: boolean;
```

- *Type:* boolean
- *Default:* `analyticsReporting` setting of containing `App`, or value of 'aws:cdk:version-reporting' context key

Include runtime versioning information in this Stack.

---

##### `crossRegionReferences`<sup>Optional</sup> <a name="crossRegionReferences" id="raindancers-network.PowerBIGatewayZooProps.property.crossRegionReferences"></a>

```typescript
public readonly crossRegionReferences: boolean;
```

- *Type:* boolean
- *Default:* false

Enable this flag to allow native cross region stack references.

Enabling this will create a CloudFormation custom resource
in both the producing stack and consuming stack in order to perform the export/import

This feature is currently experimental

---

##### `description`<sup>Optional</sup> <a name="description" id="raindancers-network.PowerBIGatewayZooProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string
- *Default:* No description.

A description of the stack.

---

##### `env`<sup>Optional</sup> <a name="env" id="raindancers-network.PowerBIGatewayZooProps.property.env"></a>

```typescript
public readonly env: Environment;
```

- *Type:* aws-cdk-lib.Environment
- *Default:* The environment of the containing `Stage` if available, otherwise create the stack will be environment-agnostic.

The AWS environment (account/region) where this stack will be deployed.

Set the `region`/`account` fields of `env` to either a concrete value to
select the indicated environment (recommended for production stacks), or to
the values of environment variables
`CDK_DEFAULT_REGION`/`CDK_DEFAULT_ACCOUNT` to let the target environment
depend on the AWS credentials/configuration that the CDK CLI is executed
under (recommended for development stacks).

If the `Stack` is instantiated inside a `Stage`, any undefined
`region`/`account` fields from `env` will default to the same field on the
encompassing `Stage`, if configured there.

If either `region` or `account` are not set nor inherited from `Stage`, the
Stack will be considered "*environment-agnostic*"". Environment-agnostic
stacks can be deployed to any environment but may not be able to take
advantage of all features of the CDK. For example, they will not be able to
use environmental context lookups such as `ec2.Vpc.fromLookup` and will not
automatically translate Service Principals to the right format based on the
environment's AWS partition, and other such enhancements.

---

*Example*

```typescript
// Use a concrete account and region to deploy this stack to:
// `.account` and `.region` will simply return these values.
new Stack(app, 'Stack1', {
  env: {
    account: '123456789012',
    region: 'us-east-1'
  },
});

// Use the CLI's current credentials to determine the target environment:
// `.account` and `.region` will reflect the account+region the CLI
// is configured to use (based on the user CLI credentials)
new Stack(app, 'Stack2', {
  env: {
    account: process.env.CDK_DEFAULT_ACCOUNT,
    region: process.env.CDK_DEFAULT_REGION
  },
});

// Define multiple stacks stage associated with an environment
const myStage = new Stage(app, 'MyStage', {
  env: {
    account: '123456789012',
    region: 'us-east-1'
  }
});

// both of these stacks will use the stage's account/region:
// `.account` and `.region` will resolve to the concrete values as above
new MyStack(myStage, 'Stack1');
new YourStack(myStage, 'Stack2');

// Define an environment-agnostic stack:
// `.account` and `.region` will resolve to `{ "Ref": "AWS::AccountId" }` and `{ "Ref": "AWS::Region" }` respectively.
// which will only resolve to actual values by CloudFormation during deployment.
new MyStack(app, 'Stack1');
```


##### `permissionsBoundary`<sup>Optional</sup> <a name="permissionsBoundary" id="raindancers-network.PowerBIGatewayZooProps.property.permissionsBoundary"></a>

```typescript
public readonly permissionsBoundary: PermissionsBoundary;
```

- *Type:* aws-cdk-lib.PermissionsBoundary
- *Default:* no permissions boundary is applied

Options for applying a permissions boundary to all IAM Roles and Users created within this Stage.

---

##### `stackName`<sup>Optional</sup> <a name="stackName" id="raindancers-network.PowerBIGatewayZooProps.property.stackName"></a>

```typescript
public readonly stackName: string;
```

- *Type:* string
- *Default:* Derived from construct path.

Name to deploy the stack with.

---

##### `synthesizer`<sup>Optional</sup> <a name="synthesizer" id="raindancers-network.PowerBIGatewayZooProps.property.synthesizer"></a>

```typescript
public readonly synthesizer: IStackSynthesizer;
```

- *Type:* aws-cdk-lib.IStackSynthesizer
- *Default:* The synthesizer specified on `App`, or `DefaultStackSynthesizer` otherwise.

Synthesis method to use while deploying this stack.

The Stack Synthesizer controls aspects of synthesis and deployment,
like how assets are referenced and what IAM roles to use. For more
information, see the README of the main CDK package.

If not specified, the `defaultStackSynthesizer` from `App` will be used.
If that is not specified, `DefaultStackSynthesizer` is used if
`@aws-cdk/core:newStyleStackSynthesis` is set to `true` or the CDK major
version is v2. In CDK v1 `LegacyStackSynthesizer` is the default if no
other synthesizer is specified.

---

##### `tags`<sup>Optional</sup> <a name="tags" id="raindancers-network.PowerBIGatewayZooProps.property.tags"></a>

```typescript
public readonly tags: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: string}
- *Default:* {}

Stack tags that will be applied to all the taggable resources and the stack itself.

---

##### `terminationProtection`<sup>Optional</sup> <a name="terminationProtection" id="raindancers-network.PowerBIGatewayZooProps.property.terminationProtection"></a>

```typescript
public readonly terminationProtection: boolean;
```

- *Type:* boolean
- *Default:* false

Whether to enable termination protection for this stack.

---

##### `deployAssetsPath`<sup>Required</sup> <a name="deployAssetsPath" id="raindancers-network.PowerBIGatewayZooProps.property.deployAssetsPath"></a>

```typescript
public readonly deployAssetsPath: string;
```

- *Type:* string

---

##### `gateways`<sup>Required</sup> <a name="gateways" id="raindancers-network.PowerBIGatewayZooProps.property.gateways"></a>

```typescript
public readonly gateways: PowerBIGateway[];
```

- *Type:* <a href="#raindancers-network.PowerBIGateway">PowerBIGateway</a>[]

---

##### `initscript`<sup>Required</sup> <a name="initscript" id="raindancers-network.PowerBIGatewayZooProps.property.initscript"></a>

```typescript
public readonly initscript: string;
```

- *Type:* string

---

##### `r53zoneID`<sup>Required</sup> <a name="r53zoneID" id="raindancers-network.PowerBIGatewayZooProps.property.r53zoneID"></a>

```typescript
public readonly r53zoneID: string;
```

- *Type:* string

---

##### `subnet`<sup>Required</sup> <a name="subnet" id="raindancers-network.PowerBIGatewayZooProps.property.subnet"></a>

```typescript
public readonly subnet: SubnetSelection;
```

- *Type:* aws-cdk-lib.aws_ec2.SubnetSelection

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.PowerBIGatewayZooProps.property.vpc"></a>

```typescript
public readonly vpc: IVpc | Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.IVpc | aws-cdk-lib.aws_ec2.Vpc

---

### PrefixCidr <a name="PrefixCidr" id="raindancers-network.PrefixCidr"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PrefixCidr.Initializer"></a>

```typescript
import { PrefixCidr } from 'raindancers-network'

const prefixCidr: PrefixCidr = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrefixCidr.property.cidr">cidr</a></code> | <code>string</code> | *No description.* |

---

##### `cidr`<sup>Required</sup> <a name="cidr" id="raindancers-network.PrefixCidr.property.cidr"></a>

```typescript
public readonly cidr: string;
```

- *Type:* string

---

### PrefixListEntry <a name="PrefixListEntry" id="raindancers-network.PrefixListEntry"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PrefixListEntry.Initializer"></a>

```typescript
import { PrefixListEntry } from 'raindancers-network'

const prefixListEntry: PrefixListEntry = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrefixListEntry.property.cidr">cidr</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PrefixListEntry.property.description">description</a></code> | <code>string</code> | *No description.* |

---

##### `cidr`<sup>Required</sup> <a name="cidr" id="raindancers-network.PrefixListEntry.property.cidr"></a>

```typescript
public readonly cidr: string;
```

- *Type:* string

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.PrefixListEntry.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

### PrefixListProps <a name="PrefixListProps" id="raindancers-network.PrefixListProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PrefixListProps.Initializer"></a>

```typescript
import { PrefixListProps } from 'raindancers-network'

const prefixListProps: PrefixListProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrefixListProps.property.addressFamily">addressFamily</a></code> | <code><a href="#raindancers-network.IPAddressFamily">IPAddressFamily</a></code> | *No description.* |
| <code><a href="#raindancers-network.PrefixListProps.property.maxEntries">maxEntries</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.PrefixListProps.property.prefixListName">prefixListName</a></code> | <code>string</code> | *No description.* |

---

##### `addressFamily`<sup>Required</sup> <a name="addressFamily" id="raindancers-network.PrefixListProps.property.addressFamily"></a>

```typescript
public readonly addressFamily: IPAddressFamily;
```

- *Type:* <a href="#raindancers-network.IPAddressFamily">IPAddressFamily</a>

---

##### `maxEntries`<sup>Required</sup> <a name="maxEntries" id="raindancers-network.PrefixListProps.property.maxEntries"></a>

```typescript
public readonly maxEntries: number;
```

- *Type:* number

---

##### `prefixListName`<sup>Required</sup> <a name="prefixListName" id="raindancers-network.PrefixListProps.property.prefixListName"></a>

```typescript
public readonly prefixListName: string;
```

- *Type:* string

---

### PrefixListSetInterface <a name="PrefixListSetInterface" id="raindancers-network.PrefixListSetInterface"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PrefixListSetInterface.Initializer"></a>

```typescript
import { PrefixListSetInterface } from 'raindancers-network'

const prefixListSetInterface: PrefixListSetInterface = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrefixListSetInterface.property.arn">arn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.PrefixListSetInterface.property.name">name</a></code> | <code>string</code> | *No description.* |

---

##### `arn`<sup>Required</sup> <a name="arn" id="raindancers-network.PrefixListSetInterface.property.arn"></a>

```typescript
public readonly arn: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.PrefixListSetInterface.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

### PrincipalProperty <a name="PrincipalProperty" id="raindancers-network.PrincipalProperty"></a>

#### Initializer <a name="Initializer" id="raindancers-network.PrincipalProperty.Initializer"></a>

```typescript
import { PrincipalProperty } from 'raindancers-network'

const principalProperty: PrincipalProperty = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.PrincipalProperty.property.principalId">principalId</a></code> | <code>string</code> | The id of the principal. |
| <code><a href="#raindancers-network.PrincipalProperty.property.principalType">principalType</a></code> | <code><a href="#raindancers-network.PrincipalTypes">PrincipalTypes</a></code> | The type of the principal. |

---

##### `principalId`<sup>Required</sup> <a name="principalId" id="raindancers-network.PrincipalProperty.property.principalId"></a>

```typescript
public readonly principalId: string;
```

- *Type:* string

The id of the principal.

---

##### `principalType`<sup>Required</sup> <a name="principalType" id="raindancers-network.PrincipalProperty.property.principalType"></a>

```typescript
public readonly principalType: PrincipalTypes;
```

- *Type:* <a href="#raindancers-network.PrincipalTypes">PrincipalTypes</a>

The type of the principal.

---

### R53ResolverendpointsProps <a name="R53ResolverendpointsProps" id="raindancers-network.R53ResolverendpointsProps"></a>

Properties to for creating inbound resolvers.

#### Initializer <a name="Initializer" id="raindancers-network.R53ResolverendpointsProps.Initializer"></a>

```typescript
import { R53ResolverendpointsProps } from 'raindancers-network'

const r53ResolverendpointsProps: R53ResolverendpointsProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.R53ResolverendpointsProps.property.subnetGroup">subnetGroup</a></code> | <code>string</code> | the subnetgroup to place the resolvers in. |
| <code><a href="#raindancers-network.R53ResolverendpointsProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.Vpc</code> | the vpc that the resolvers will be placed in. |
| <code><a href="#raindancers-network.R53ResolverendpointsProps.property.outboundForwardingRules">outboundForwardingRules</a></code> | <code><a href="#raindancers-network.OutboundForwardingRule">OutboundForwardingRule</a>[]</code> | An array of Internal domains that can be centrally resolved in this VPC. |
| <code><a href="#raindancers-network.R53ResolverendpointsProps.property.tagValue">tagValue</a></code> | <code>string</code> | Value for Sharing. |

---

##### `subnetGroup`<sup>Required</sup> <a name="subnetGroup" id="raindancers-network.R53ResolverendpointsProps.property.subnetGroup"></a>

```typescript
public readonly subnetGroup: string;
```

- *Type:* string

the subnetgroup to place the resolvers in.

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.R53ResolverendpointsProps.property.vpc"></a>

```typescript
public readonly vpc: Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.Vpc

the vpc that the resolvers will be placed in.

---

##### `outboundForwardingRules`<sup>Optional</sup> <a name="outboundForwardingRules" id="raindancers-network.R53ResolverendpointsProps.property.outboundForwardingRules"></a>

```typescript
public readonly outboundForwardingRules: OutboundForwardingRule[];
```

- *Type:* <a href="#raindancers-network.OutboundForwardingRule">OutboundForwardingRule</a>[]

An array of Internal domains that can be centrally resolved in this VPC.

---

##### `tagValue`<sup>Optional</sup> <a name="tagValue" id="raindancers-network.R53ResolverendpointsProps.property.tagValue"></a>

```typescript
public readonly tagValue: string;
```

- *Type:* string

Value for Sharing.

---

### RedshiftClusterProps <a name="RedshiftClusterProps" id="raindancers-network.RedshiftClusterProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.RedshiftClusterProps.Initializer"></a>

```typescript
import { RedshiftClusterProps } from 'raindancers-network'

const redshiftClusterProps: RedshiftClusterProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.clusterName">clusterName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.defaultrole">defaultrole</a></code> | <code>aws-cdk-lib.aws_iam.Role</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.logging">logging</a></code> | <code>@aws-cdk/aws-redshift-alpha.LoggingProperties</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.masterUser">masterUser</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.subnetGroup">subnetGroup</a></code> | <code>@aws-cdk/aws-redshift-alpha.ClusterSubnetGroup</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.IVpc \| aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.defaultDBName">defaultDBName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.nodes">nodes</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.nodeType">nodeType</a></code> | <code>@aws-cdk/aws-redshift-alpha.NodeType</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.parameterGroup">parameterGroup</a></code> | <code>@aws-cdk/aws-redshift-alpha.ClusterParameterGroup</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.preferredMaintenanceWindow">preferredMaintenanceWindow</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.RedshiftClusterProps.property.removalPolicy">removalPolicy</a></code> | <code>aws-cdk-lib.RemovalPolicy</code> | *No description.* |

---

##### `clusterName`<sup>Required</sup> <a name="clusterName" id="raindancers-network.RedshiftClusterProps.property.clusterName"></a>

```typescript
public readonly clusterName: string;
```

- *Type:* string

---

##### `defaultrole`<sup>Required</sup> <a name="defaultrole" id="raindancers-network.RedshiftClusterProps.property.defaultrole"></a>

```typescript
public readonly defaultrole: Role;
```

- *Type:* aws-cdk-lib.aws_iam.Role

---

##### `logging`<sup>Required</sup> <a name="logging" id="raindancers-network.RedshiftClusterProps.property.logging"></a>

```typescript
public readonly logging: LoggingProperties;
```

- *Type:* @aws-cdk/aws-redshift-alpha.LoggingProperties

---

##### `masterUser`<sup>Required</sup> <a name="masterUser" id="raindancers-network.RedshiftClusterProps.property.masterUser"></a>

```typescript
public readonly masterUser: string;
```

- *Type:* string

---

##### `subnetGroup`<sup>Required</sup> <a name="subnetGroup" id="raindancers-network.RedshiftClusterProps.property.subnetGroup"></a>

```typescript
public readonly subnetGroup: ClusterSubnetGroup;
```

- *Type:* @aws-cdk/aws-redshift-alpha.ClusterSubnetGroup

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.RedshiftClusterProps.property.vpc"></a>

```typescript
public readonly vpc: IVpc | Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.IVpc | aws-cdk-lib.aws_ec2.Vpc

---

##### `defaultDBName`<sup>Optional</sup> <a name="defaultDBName" id="raindancers-network.RedshiftClusterProps.property.defaultDBName"></a>

```typescript
public readonly defaultDBName: string;
```

- *Type:* string

---

##### `nodes`<sup>Optional</sup> <a name="nodes" id="raindancers-network.RedshiftClusterProps.property.nodes"></a>

```typescript
public readonly nodes: number;
```

- *Type:* number

---

##### `nodeType`<sup>Optional</sup> <a name="nodeType" id="raindancers-network.RedshiftClusterProps.property.nodeType"></a>

```typescript
public readonly nodeType: NodeType;
```

- *Type:* @aws-cdk/aws-redshift-alpha.NodeType

---

##### `parameterGroup`<sup>Optional</sup> <a name="parameterGroup" id="raindancers-network.RedshiftClusterProps.property.parameterGroup"></a>

```typescript
public readonly parameterGroup: ClusterParameterGroup;
```

- *Type:* @aws-cdk/aws-redshift-alpha.ClusterParameterGroup

---

##### `preferredMaintenanceWindow`<sup>Optional</sup> <a name="preferredMaintenanceWindow" id="raindancers-network.RedshiftClusterProps.property.preferredMaintenanceWindow"></a>

```typescript
public readonly preferredMaintenanceWindow: string;
```

- *Type:* string

---

##### `removalPolicy`<sup>Optional</sup> <a name="removalPolicy" id="raindancers-network.RedshiftClusterProps.property.removalPolicy"></a>

```typescript
public readonly removalPolicy: RemovalPolicy;
```

- *Type:* aws-cdk-lib.RemovalPolicy

---

### RedShiftDatabaseProps <a name="RedShiftDatabaseProps" id="raindancers-network.RedShiftDatabaseProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.RedShiftDatabaseProps.Initializer"></a>

```typescript
import { RedShiftDatabaseProps } from 'raindancers-network'

const redShiftDatabaseProps: RedShiftDatabaseProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.RedShiftDatabaseProps.property.cluster">cluster</a></code> | <code>@aws-cdk/aws-redshift-alpha.Cluster</code> | which cluster will the database be created in. |
| <code><a href="#raindancers-network.RedShiftDatabaseProps.property.databaseName">databaseName</a></code> | <code>string</code> | A name for the database. |

---

##### `cluster`<sup>Required</sup> <a name="cluster" id="raindancers-network.RedShiftDatabaseProps.property.cluster"></a>

```typescript
public readonly cluster: Cluster;
```

- *Type:* @aws-cdk/aws-redshift-alpha.Cluster

which cluster will the database be created in.

---

##### `databaseName`<sup>Required</sup> <a name="databaseName" id="raindancers-network.RedShiftDatabaseProps.property.databaseName"></a>

```typescript
public readonly databaseName: string;
```

- *Type:* string

A name for the database.

---

### ReferenceSet <a name="ReferenceSet" id="raindancers-network.ReferenceSet"></a>

#### Initializer <a name="Initializer" id="raindancers-network.ReferenceSet.Initializer"></a>

```typescript
import { ReferenceSet } from 'raindancers-network'

const referenceSet: ReferenceSet = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ReferenceSet.property.arn">arn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ReferenceSet.property.name">name</a></code> | <code>string</code> | *No description.* |

---

##### `arn`<sup>Required</sup> <a name="arn" id="raindancers-network.ReferenceSet.property.arn"></a>

```typescript
public readonly arn: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.ReferenceSet.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

### RemoteVpc <a name="RemoteVpc" id="raindancers-network.RemoteVpc"></a>

#### Initializer <a name="Initializer" id="raindancers-network.RemoteVpc.Initializer"></a>

```typescript
import { RemoteVpc } from 'raindancers-network'

const remoteVpc: RemoteVpc = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.RemoteVpc.property.vpcId">vpcId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.RemoteVpc.property.vpcRegion">vpcRegion</a></code> | <code>string</code> | *No description.* |

---

##### `vpcId`<sup>Required</sup> <a name="vpcId" id="raindancers-network.RemoteVpc.property.vpcId"></a>

```typescript
public readonly vpcId: string;
```

- *Type:* string

---

##### `vpcRegion`<sup>Required</sup> <a name="vpcRegion" id="raindancers-network.RemoteVpc.property.vpcRegion"></a>

```typescript
public readonly vpcRegion: string;
```

- *Type:* string

---

### ResolveSubnetGroupNameProps <a name="ResolveSubnetGroupNameProps" id="raindancers-network.ResolveSubnetGroupNameProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.ResolveSubnetGroupNameProps.Initializer"></a>

```typescript
import { ResolveSubnetGroupNameProps } from 'raindancers-network'

const resolveSubnetGroupNameProps: ResolveSubnetGroupNameProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ResolveSubnetGroupNameProps.property.azcount">azcount</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.ResolveSubnetGroupNameProps.property.subnetGroupName">subnetGroupName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ResolveSubnetGroupNameProps.property.vpc">vpc</a></code> | <code>aws-cdk-lib.aws_ec2.IVpc \| aws-cdk-lib.aws_ec2.Vpc</code> | *No description.* |

---

##### `azcount`<sup>Required</sup> <a name="azcount" id="raindancers-network.ResolveSubnetGroupNameProps.property.azcount"></a>

```typescript
public readonly azcount: number;
```

- *Type:* number

---

##### `subnetGroupName`<sup>Required</sup> <a name="subnetGroupName" id="raindancers-network.ResolveSubnetGroupNameProps.property.subnetGroupName"></a>

```typescript
public readonly subnetGroupName: string;
```

- *Type:* string

---

##### `vpc`<sup>Required</sup> <a name="vpc" id="raindancers-network.ResolveSubnetGroupNameProps.property.vpc"></a>

```typescript
public readonly vpc: IVpc | Vpc;
```

- *Type:* aws-cdk-lib.aws_ec2.IVpc | aws-cdk-lib.aws_ec2.Vpc

---

### Route <a name="Route" id="raindancers-network.Route"></a>

#### Initializer <a name="Initializer" id="raindancers-network.Route.Initializer"></a>

```typescript
import { Route } from 'raindancers-network'

const route: Route = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.Route.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.Route.property.destination">destination</a></code> | <code><a href="#raindancers-network.Destination">Destination</a></code> | *No description.* |
| <code><a href="#raindancers-network.Route.property.cidr">cidr</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.Route.property.subnet">subnet</a></code> | <code><a href="#raindancers-network.SubnetGroup">SubnetGroup</a> \| <a href="#raindancers-network.SubnetWildCards">SubnetWildCards</a></code> | *No description.* |

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.Route.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `destination`<sup>Required</sup> <a name="destination" id="raindancers-network.Route.property.destination"></a>

```typescript
public readonly destination: Destination;
```

- *Type:* <a href="#raindancers-network.Destination">Destination</a>

---

##### `cidr`<sup>Optional</sup> <a name="cidr" id="raindancers-network.Route.property.cidr"></a>

```typescript
public readonly cidr: string;
```

- *Type:* string

---

##### `subnet`<sup>Optional</sup> <a name="subnet" id="raindancers-network.Route.property.subnet"></a>

```typescript
public readonly subnet: SubnetGroup | SubnetWildCards;
```

- *Type:* <a href="#raindancers-network.SubnetGroup">SubnetGroup</a> | <a href="#raindancers-network.SubnetWildCards">SubnetWildCards</a>

---

### RouterGroup <a name="RouterGroup" id="raindancers-network.RouterGroup"></a>

#### Initializer <a name="Initializer" id="raindancers-network.RouterGroup.Initializer"></a>

```typescript
import { RouterGroup } from 'raindancers-network'

const routerGroup: RouterGroup = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.RouterGroup.property.routes">routes</a></code> | <code><a href="#raindancers-network.Route">Route</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.RouterGroup.property.subnetGroup">subnetGroup</a></code> | <code><a href="#raindancers-network.SubnetGroup">SubnetGroup</a></code> | *No description.* |

---

##### `routes`<sup>Required</sup> <a name="routes" id="raindancers-network.RouterGroup.property.routes"></a>

```typescript
public readonly routes: Route[];
```

- *Type:* <a href="#raindancers-network.Route">Route</a>[]

---

##### `subnetGroup`<sup>Required</sup> <a name="subnetGroup" id="raindancers-network.RouterGroup.property.subnetGroup"></a>

```typescript
public readonly subnetGroup: SubnetGroup;
```

- *Type:* <a href="#raindancers-network.SubnetGroup">SubnetGroup</a>

---

### SampleConfig <a name="SampleConfig" id="raindancers-network.SampleConfig"></a>

An interface that defines a set of Sample Configurations.

#### Initializer <a name="Initializer" id="raindancers-network.SampleConfig.Initializer"></a>

```typescript
import { SampleConfig } from 'raindancers-network'

const sampleConfig: SampleConfig = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SampleConfig.property.bucket">bucket</a></code> | <code>aws-cdk-lib.aws_s3.Bucket</code> | The S3 bucket where to place the sample configurations. |
| <code><a href="#raindancers-network.SampleConfig.property.deviceType">deviceType</a></code> | <code><a href="#raindancers-network.VpnDeviceType">VpnDeviceType</a></code> | the type of device of the customer gateway. |
| <code><a href="#raindancers-network.SampleConfig.property.ikeVersion">ikeVersion</a></code> | <code><a href="#raindancers-network.IkeVersion">IkeVersion</a></code> | create configs for IKE1 or IKE2. |

---

##### `bucket`<sup>Required</sup> <a name="bucket" id="raindancers-network.SampleConfig.property.bucket"></a>

```typescript
public readonly bucket: Bucket;
```

- *Type:* aws-cdk-lib.aws_s3.Bucket

The S3 bucket where to place the sample configurations.

---

##### `deviceType`<sup>Required</sup> <a name="deviceType" id="raindancers-network.SampleConfig.property.deviceType"></a>

```typescript
public readonly deviceType: VpnDeviceType;
```

- *Type:* <a href="#raindancers-network.VpnDeviceType">VpnDeviceType</a>

the type of device of the customer gateway.

---

##### `ikeVersion`<sup>Required</sup> <a name="ikeVersion" id="raindancers-network.SampleConfig.property.ikeVersion"></a>

```typescript
public readonly ikeVersion: IkeVersion;
```

- *Type:* <a href="#raindancers-network.IkeVersion">IkeVersion</a>

create configs for IKE1 or IKE2.

---

### Segment <a name="Segment" id="raindancers-network.Segment"></a>

Segment Properties.

#### Initializer <a name="Initializer" id="raindancers-network.Segment.Initializer"></a>

```typescript
import { Segment } from 'raindancers-network'

const segment: Segment = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.Segment.property.name">name</a></code> | <code>string</code> | Name of the Segment. |
| <code><a href="#raindancers-network.Segment.property.allowFilter">allowFilter</a></code> | <code>string[]</code> | A list of denys. |
| <code><a href="#raindancers-network.Segment.property.denyFilter">denyFilter</a></code> | <code>string[]</code> | a List of denys. |
| <code><a href="#raindancers-network.Segment.property.description">description</a></code> | <code>string</code> | A description of the of the segement. |
| <code><a href="#raindancers-network.Segment.property.edgeLocations">edgeLocations</a></code> | <code>object[]</code> | A list of edge locations where the segement will be avaialble. |
| <code><a href="#raindancers-network.Segment.property.isolateAttachments">isolateAttachments</a></code> | <code>boolean</code> | Set true if attached VPCS are isolated from each other. |
| <code><a href="#raindancers-network.Segment.property.requireAttachmentAcceptance">requireAttachmentAcceptance</a></code> | <code>boolean</code> | Set true if the attachment needs approval for connection. |

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.Segment.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

Name of the Segment.

---

##### `allowFilter`<sup>Optional</sup> <a name="allowFilter" id="raindancers-network.Segment.property.allowFilter"></a>

```typescript
public readonly allowFilter: string[];
```

- *Type:* string[]

A list of denys.

---

##### `denyFilter`<sup>Optional</sup> <a name="denyFilter" id="raindancers-network.Segment.property.denyFilter"></a>

```typescript
public readonly denyFilter: string[];
```

- *Type:* string[]

a List of denys.

---

##### `description`<sup>Optional</sup> <a name="description" id="raindancers-network.Segment.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

A description of the of the segement.

---

##### `edgeLocations`<sup>Optional</sup> <a name="edgeLocations" id="raindancers-network.Segment.property.edgeLocations"></a>

```typescript
public readonly edgeLocations: object[];
```

- *Type:* object[]

A list of edge locations where the segement will be avaialble.

Not that the
locations must also be included in the core network edge ( CNE )

---

##### `isolateAttachments`<sup>Optional</sup> <a name="isolateAttachments" id="raindancers-network.Segment.property.isolateAttachments"></a>

```typescript
public readonly isolateAttachments: boolean;
```

- *Type:* boolean

Set true if attached VPCS are isolated from each other.

---

##### `requireAttachmentAcceptance`<sup>Optional</sup> <a name="requireAttachmentAcceptance" id="raindancers-network.Segment.property.requireAttachmentAcceptance"></a>

```typescript
public readonly requireAttachmentAcceptance: boolean;
```

- *Type:* boolean

Set true if the attachment needs approval for connection.

Currently not supported
and requires an automation step

---

### SegmentAction <a name="SegmentAction" id="raindancers-network.SegmentAction"></a>

Segmment ACtions.

#### Initializer <a name="Initializer" id="raindancers-network.SegmentAction.Initializer"></a>

```typescript
import { SegmentAction } from 'raindancers-network'

const segmentAction: SegmentAction = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SegmentAction.property.action">action</a></code> | <code><a href="#raindancers-network.SegmentActionType">SegmentActionType</a></code> | *No description.* |
| <code><a href="#raindancers-network.SegmentAction.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.SegmentAction.property.destinationCidrBlocks">destinationCidrBlocks</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.SegmentAction.property.destinations">destinations</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.SegmentAction.property.except">except</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.SegmentAction.property.mode">mode</a></code> | <code><a href="#raindancers-network.SegmentActionMode">SegmentActionMode</a></code> | *No description.* |
| <code><a href="#raindancers-network.SegmentAction.property.shareWith">shareWith</a></code> | <code>string \| string[]</code> | *No description.* |

---

##### `action`<sup>Required</sup> <a name="action" id="raindancers-network.SegmentAction.property.action"></a>

```typescript
public readonly action: SegmentActionType;
```

- *Type:* <a href="#raindancers-network.SegmentActionType">SegmentActionType</a>

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.SegmentAction.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `destinationCidrBlocks`<sup>Optional</sup> <a name="destinationCidrBlocks" id="raindancers-network.SegmentAction.property.destinationCidrBlocks"></a>

```typescript
public readonly destinationCidrBlocks: string[];
```

- *Type:* string[]

---

##### `destinations`<sup>Optional</sup> <a name="destinations" id="raindancers-network.SegmentAction.property.destinations"></a>

```typescript
public readonly destinations: string[];
```

- *Type:* string[]

---

##### `except`<sup>Optional</sup> <a name="except" id="raindancers-network.SegmentAction.property.except"></a>

```typescript
public readonly except: string[];
```

- *Type:* string[]

---

##### `mode`<sup>Optional</sup> <a name="mode" id="raindancers-network.SegmentAction.property.mode"></a>

```typescript
public readonly mode: SegmentActionMode;
```

- *Type:* <a href="#raindancers-network.SegmentActionMode">SegmentActionMode</a>

---

##### `shareWith`<sup>Optional</sup> <a name="shareWith" id="raindancers-network.SegmentAction.property.shareWith"></a>

```typescript
public readonly shareWith: string | string[];
```

- *Type:* string | string[]

---

### ShareSubnetGroupProps <a name="ShareSubnetGroupProps" id="raindancers-network.ShareSubnetGroupProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.ShareSubnetGroupProps.Initializer"></a>

```typescript
import { ShareSubnetGroupProps } from 'raindancers-network'

const shareSubnetGroupProps: ShareSubnetGroupProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ShareSubnetGroupProps.property.account">account</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ShareSubnetGroupProps.property.subnetGroups">subnetGroups</a></code> | <code>string[]</code> | *No description.* |

---

##### `account`<sup>Required</sup> <a name="account" id="raindancers-network.ShareSubnetGroupProps.property.account"></a>

```typescript
public readonly account: string;
```

- *Type:* string

---

##### `subnetGroups`<sup>Required</sup> <a name="subnetGroups" id="raindancers-network.ShareSubnetGroupProps.property.subnetGroups"></a>

```typescript
public readonly subnetGroups: string[];
```

- *Type:* string[]

---

### SimpleAttachmentPolicyProps <a name="SimpleAttachmentPolicyProps" id="raindancers-network.SimpleAttachmentPolicyProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.SimpleAttachmentPolicyProps.Initializer"></a>

```typescript
import { SimpleAttachmentPolicyProps } from 'raindancers-network'

const simpleAttachmentPolicyProps: SimpleAttachmentPolicyProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SimpleAttachmentPolicyProps.property.ruleNumber">ruleNumber</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.SimpleAttachmentPolicyProps.property.account">account</a></code> | <code>string</code> | *No description.* |

---

##### `ruleNumber`<sup>Required</sup> <a name="ruleNumber" id="raindancers-network.SimpleAttachmentPolicyProps.property.ruleNumber"></a>

```typescript
public readonly ruleNumber: number;
```

- *Type:* number

---

##### `account`<sup>Optional</sup> <a name="account" id="raindancers-network.SimpleAttachmentPolicyProps.property.account"></a>

```typescript
public readonly account: string;
```

- *Type:* string

---

### SimpleShareActionProps <a name="SimpleShareActionProps" id="raindancers-network.SimpleShareActionProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.SimpleShareActionProps.Initializer"></a>

```typescript
import { SimpleShareActionProps } from 'raindancers-network'

const simpleShareActionProps: SimpleShareActionProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SimpleShareActionProps.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.SimpleShareActionProps.property.shareWith">shareWith</a></code> | <code>string \| <a href="#raindancers-network.CoreNetworkSegment">CoreNetworkSegment</a>[]</code> | *No description.* |

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.SimpleShareActionProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `shareWith`<sup>Required</sup> <a name="shareWith" id="raindancers-network.SimpleShareActionProps.property.shareWith"></a>

```typescript
public readonly shareWith: string | CoreNetworkSegment[];
```

- *Type:* string | <a href="#raindancers-network.CoreNetworkSegment">CoreNetworkSegment</a>[]

---

### StatelessRuleProps <a name="StatelessRuleProps" id="raindancers-network.StatelessRuleProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.StatelessRuleProps.Initializer"></a>

```typescript
import { StatelessRuleProps } from 'raindancers-network'

const statelessRuleProps: StatelessRuleProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.StatelessRuleProps.property.actions">actions</a></code> | <code><a href="#raindancers-network.StatelessActions">StatelessActions</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.StatelessRuleProps.property.priority">priority</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.StatelessRuleProps.property.destinationPorts">destinationPorts</a></code> | <code>string \| number[]</code> | *No description.* |
| <code><a href="#raindancers-network.StatelessRuleProps.property.destinations">destinations</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.AddressProperty[]</code> | *No description.* |
| <code><a href="#raindancers-network.StatelessRuleProps.property.protocols">protocols</a></code> | <code><a href="#raindancers-network.Protocol">Protocol</a>[]</code> | *No description.* |
| <code><a href="#raindancers-network.StatelessRuleProps.property.sourcePorts">sourcePorts</a></code> | <code>string \| number[]</code> | *No description.* |
| <code><a href="#raindancers-network.StatelessRuleProps.property.sources">sources</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.AddressProperty[]</code> | *No description.* |
| <code><a href="#raindancers-network.StatelessRuleProps.property.tcpFlags">tcpFlags</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.TCPFlagFieldProperty[]</code> | *No description.* |

---

##### `actions`<sup>Required</sup> <a name="actions" id="raindancers-network.StatelessRuleProps.property.actions"></a>

```typescript
public readonly actions: StatelessActions[];
```

- *Type:* <a href="#raindancers-network.StatelessActions">StatelessActions</a>[]

---

##### `priority`<sup>Required</sup> <a name="priority" id="raindancers-network.StatelessRuleProps.property.priority"></a>

```typescript
public readonly priority: number;
```

- *Type:* number

---

##### `destinationPorts`<sup>Optional</sup> <a name="destinationPorts" id="raindancers-network.StatelessRuleProps.property.destinationPorts"></a>

```typescript
public readonly destinationPorts: string | number[];
```

- *Type:* string | number[]

---

##### `destinations`<sup>Optional</sup> <a name="destinations" id="raindancers-network.StatelessRuleProps.property.destinations"></a>

```typescript
public readonly destinations: AddressProperty[];
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.AddressProperty[]

---

##### `protocols`<sup>Optional</sup> <a name="protocols" id="raindancers-network.StatelessRuleProps.property.protocols"></a>

```typescript
public readonly protocols: Protocol[];
```

- *Type:* <a href="#raindancers-network.Protocol">Protocol</a>[]

---

##### `sourcePorts`<sup>Optional</sup> <a name="sourcePorts" id="raindancers-network.StatelessRuleProps.property.sourcePorts"></a>

```typescript
public readonly sourcePorts: string | number[];
```

- *Type:* string | number[]

---

##### `sources`<sup>Optional</sup> <a name="sources" id="raindancers-network.StatelessRuleProps.property.sources"></a>

```typescript
public readonly sources: AddressProperty[];
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.AddressProperty[]

---

##### `tcpFlags`<sup>Optional</sup> <a name="tcpFlags" id="raindancers-network.StatelessRuleProps.property.tcpFlags"></a>

```typescript
public readonly tcpFlags: TCPFlagFieldProperty[];
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.TCPFlagFieldProperty[]

---

### SuricataRuleGroupProps <a name="SuricataRuleGroupProps" id="raindancers-network.SuricataRuleGroupProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.SuricataRuleGroupProps.Initializer"></a>

```typescript
import { SuricataRuleGroupProps } from 'raindancers-network'

const suricataRuleGroupProps: SuricataRuleGroupProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SuricataRuleGroupProps.property.capacity">capacity</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleGroupProps.property.networkFirewallEngine">networkFirewallEngine</a></code> | <code><a href="#raindancers-network.NWFWRulesEngine">NWFWRulesEngine</a></code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleGroupProps.property.ruleGroupName">ruleGroupName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleGroupProps.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleGroupProps.property.suricataRules">suricataRules</a></code> | <code><a href="#raindancers-network.FQDNStatefulRule">FQDNStatefulRule</a>[]</code> | *No description.* |

---

##### `capacity`<sup>Required</sup> <a name="capacity" id="raindancers-network.SuricataRuleGroupProps.property.capacity"></a>

```typescript
public readonly capacity: number;
```

- *Type:* number

---

##### `networkFirewallEngine`<sup>Required</sup> <a name="networkFirewallEngine" id="raindancers-network.SuricataRuleGroupProps.property.networkFirewallEngine"></a>

```typescript
public readonly networkFirewallEngine: NWFWRulesEngine;
```

- *Type:* <a href="#raindancers-network.NWFWRulesEngine">NWFWRulesEngine</a>

---

##### `ruleGroupName`<sup>Required</sup> <a name="ruleGroupName" id="raindancers-network.SuricataRuleGroupProps.property.ruleGroupName"></a>

```typescript
public readonly ruleGroupName: string;
```

- *Type:* string

---

##### `description`<sup>Optional</sup> <a name="description" id="raindancers-network.SuricataRuleGroupProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `suricataRules`<sup>Optional</sup> <a name="suricataRules" id="raindancers-network.SuricataRuleGroupProps.property.suricataRules"></a>

```typescript
public readonly suricataRules: FQDNStatefulRule[];
```

- *Type:* <a href="#raindancers-network.FQDNStatefulRule">FQDNStatefulRule</a>[]

---

### SuricataRuleProps <a name="SuricataRuleProps" id="raindancers-network.SuricataRuleProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.SuricataRuleProps.Initializer"></a>

```typescript
import { SuricataRuleProps } from 'raindancers-network'

const suricataRuleProps: SuricataRuleProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.SuricataRuleProps.property.action">action</a></code> | <code><a href="#raindancers-network.StatefulAction">StatefulAction</a></code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleProps.property.destination">destination</a></code> | <code>string \| <a href="#raindancers-network.PrefixList">PrefixList</a> \| <a href="#raindancers-network.DynamicTagResourceGroup">DynamicTagResourceGroup</a></code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleProps.property.destPort">destPort</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleProps.property.direction">direction</a></code> | <code><a href="#raindancers-network.Direction">Direction</a></code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleProps.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleProps.property.protocol">protocol</a></code> | <code><a href="#raindancers-network.FWProtocol">FWProtocol</a></code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleProps.property.source">source</a></code> | <code>string \| <a href="#raindancers-network.PrefixList">PrefixList</a> \| <a href="#raindancers-network.DynamicTagResourceGroup">DynamicTagResourceGroup</a></code> | *No description.* |
| <code><a href="#raindancers-network.SuricataRuleProps.property.srcPort">srcPort</a></code> | <code>string</code> | *No description.* |

---

##### `action`<sup>Required</sup> <a name="action" id="raindancers-network.SuricataRuleProps.property.action"></a>

```typescript
public readonly action: StatefulAction;
```

- *Type:* <a href="#raindancers-network.StatefulAction">StatefulAction</a>

---

##### `destination`<sup>Required</sup> <a name="destination" id="raindancers-network.SuricataRuleProps.property.destination"></a>

```typescript
public readonly destination: string | PrefixList | DynamicTagResourceGroup;
```

- *Type:* string | <a href="#raindancers-network.PrefixList">PrefixList</a> | <a href="#raindancers-network.DynamicTagResourceGroup">DynamicTagResourceGroup</a>

---

##### `destPort`<sup>Required</sup> <a name="destPort" id="raindancers-network.SuricataRuleProps.property.destPort"></a>

```typescript
public readonly destPort: string;
```

- *Type:* string

---

##### `direction`<sup>Required</sup> <a name="direction" id="raindancers-network.SuricataRuleProps.property.direction"></a>

```typescript
public readonly direction: Direction;
```

- *Type:* <a href="#raindancers-network.Direction">Direction</a>

---

##### `name`<sup>Required</sup> <a name="name" id="raindancers-network.SuricataRuleProps.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `protocol`<sup>Required</sup> <a name="protocol" id="raindancers-network.SuricataRuleProps.property.protocol"></a>

```typescript
public readonly protocol: FWProtocol;
```

- *Type:* <a href="#raindancers-network.FWProtocol">FWProtocol</a>

---

##### `source`<sup>Required</sup> <a name="source" id="raindancers-network.SuricataRuleProps.property.source"></a>

```typescript
public readonly source: string | PrefixList | DynamicTagResourceGroup;
```

- *Type:* string | <a href="#raindancers-network.PrefixList">PrefixList</a> | <a href="#raindancers-network.DynamicTagResourceGroup">DynamicTagResourceGroup</a>

---

##### `srcPort`<sup>Required</sup> <a name="srcPort" id="raindancers-network.SuricataRuleProps.property.srcPort"></a>

```typescript
public readonly srcPort: string;
```

- *Type:* string

---

### TagFilter <a name="TagFilter" id="raindancers-network.TagFilter"></a>

#### Initializer <a name="Initializer" id="raindancers-network.TagFilter.Initializer"></a>

```typescript
import { TagFilter } from 'raindancers-network'

const tagFilter: TagFilter = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.TagFilter.property.key">key</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.TagFilter.property.values">values</a></code> | <code>string[]</code> | *No description.* |

---

##### `key`<sup>Required</sup> <a name="key" id="raindancers-network.TagFilter.property.key"></a>

```typescript
public readonly key: string;
```

- *Type:* string

---

##### `values`<sup>Required</sup> <a name="values" id="raindancers-network.TagFilter.property.values"></a>

```typescript
public readonly values: string[];
```

- *Type:* string[]

---

### TGWOnCloudWanProps <a name="TGWOnCloudWanProps" id="raindancers-network.TGWOnCloudWanProps"></a>

Properties for a TWGOnCloudWan.

#### Initializer <a name="Initializer" id="raindancers-network.TGWOnCloudWanProps.Initializer"></a>

```typescript
import { TGWOnCloudWanProps } from 'raindancers-network'

const tGWOnCloudWanProps: TGWOnCloudWanProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.TGWOnCloudWanProps.property.amazonSideAsn">amazonSideAsn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.TGWOnCloudWanProps.property.attachmentSegment">attachmentSegment</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.TGWOnCloudWanProps.property.cloudwan">cloudwan</a></code> | <code><a href="#raindancers-network.CoreNetwork">CoreNetwork</a></code> | *No description.* |
| <code><a href="#raindancers-network.TGWOnCloudWanProps.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.TGWOnCloudWanProps.property.cloudWanCidr">cloudWanCidr</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.TGWOnCloudWanProps.property.defaultRouteInSegments">defaultRouteInSegments</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.TGWOnCloudWanProps.property.tgCidr">tgCidr</a></code> | <code>string[]</code> | *No description.* |

---

##### `amazonSideAsn`<sup>Required</sup> <a name="amazonSideAsn" id="raindancers-network.TGWOnCloudWanProps.property.amazonSideAsn"></a>

```typescript
public readonly amazonSideAsn: string;
```

- *Type:* string

---

##### `attachmentSegment`<sup>Required</sup> <a name="attachmentSegment" id="raindancers-network.TGWOnCloudWanProps.property.attachmentSegment"></a>

```typescript
public readonly attachmentSegment: string;
```

- *Type:* string

---

##### `cloudwan`<sup>Required</sup> <a name="cloudwan" id="raindancers-network.TGWOnCloudWanProps.property.cloudwan"></a>

```typescript
public readonly cloudwan: CoreNetwork;
```

- *Type:* <a href="#raindancers-network.CoreNetwork">CoreNetwork</a>

---

##### `description`<sup>Required</sup> <a name="description" id="raindancers-network.TGWOnCloudWanProps.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `cloudWanCidr`<sup>Optional</sup> <a name="cloudWanCidr" id="raindancers-network.TGWOnCloudWanProps.property.cloudWanCidr"></a>

```typescript
public readonly cloudWanCidr: string[];
```

- *Type:* string[]

---

##### `defaultRouteInSegments`<sup>Optional</sup> <a name="defaultRouteInSegments" id="raindancers-network.TGWOnCloudWanProps.property.defaultRouteInSegments"></a>

```typescript
public readonly defaultRouteInSegments: string[];
```

- *Type:* string[]

---

##### `tgCidr`<sup>Optional</sup> <a name="tgCidr" id="raindancers-network.TGWOnCloudWanProps.property.tgCidr"></a>

```typescript
public readonly tgCidr: string[];
```

- *Type:* string[]

---

### UpdateSSMAgentProps <a name="UpdateSSMAgentProps" id="raindancers-network.UpdateSSMAgentProps"></a>

#### Initializer <a name="Initializer" id="raindancers-network.UpdateSSMAgentProps.Initializer"></a>

```typescript
import { UpdateSSMAgentProps } from 'raindancers-network'

const updateSSMAgentProps: UpdateSSMAgentProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.UpdateSSMAgentProps.property.instance">instance</a></code> | <code>aws-cdk-lib.aws_ec2.Instance</code> | The EC2 Instance that will be udpated. |

---

##### `instance`<sup>Required</sup> <a name="instance" id="raindancers-network.UpdateSSMAgentProps.property.instance"></a>

```typescript
public readonly instance: Instance;
```

- *Type:* aws-cdk-lib.aws_ec2.Instance

The EC2 Instance that will be udpated.

---

### VpcRegionId <a name="VpcRegionId" id="raindancers-network.VpcRegionId"></a>

#### Initializer <a name="Initializer" id="raindancers-network.VpcRegionId.Initializer"></a>

```typescript
import { VpcRegionId } from 'raindancers-network'

const vpcRegionId: VpcRegionId = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.VpcRegionId.property.peeringVpcId">peeringVpcId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.VpcRegionId.property.peerVpcRegion">peerVpcRegion</a></code> | <code>string</code> | *No description.* |

---

##### `peeringVpcId`<sup>Required</sup> <a name="peeringVpcId" id="raindancers-network.VpcRegionId.property.peeringVpcId"></a>

```typescript
public readonly peeringVpcId: string;
```

- *Type:* string

---

##### `peerVpcRegion`<sup>Required</sup> <a name="peerVpcRegion" id="raindancers-network.VpcRegionId.property.peerVpcRegion"></a>

```typescript
public readonly peerVpcRegion: string;
```

- *Type:* string

---

### VpnProps <a name="VpnProps" id="raindancers-network.VpnProps"></a>

Properties for S2S VPN.

#### Initializer <a name="Initializer" id="raindancers-network.VpnProps.Initializer"></a>

```typescript
import { VpnProps } from 'raindancers-network'

const vpnProps: VpnProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.VpnProps.property.customerGateway">customerGateway</a></code> | <code>aws-cdk-lib.aws_ec2.CfnCustomerGateway</code> | The customer gateway where the vpn will terminate. |
| <code><a href="#raindancers-network.VpnProps.property.vpnspec">vpnspec</a></code> | <code><a href="#raindancers-network.VpnSpecProps">VpnSpecProps</a></code> | a VPN specification for the VPN. |
| <code><a href="#raindancers-network.VpnProps.property.sampleconfig">sampleconfig</a></code> | <code><a href="#raindancers-network.SampleConfig">SampleConfig</a></code> | Optionally provide a sampleconfig specification. |
| <code><a href="#raindancers-network.VpnProps.property.tunnelInsideCidr">tunnelInsideCidr</a></code> | <code>string[]</code> | Specify a pair of concrete Cidr's for the tunnel. |
| <code><a href="#raindancers-network.VpnProps.property.tunnelIpamPool">tunnelIpamPool</a></code> | <code>aws-cdk-lib.aws_ec2.CfnIPAMPool</code> | Specify an ipam pool to allocated the tunnel address's from. |

---

##### `customerGateway`<sup>Required</sup> <a name="customerGateway" id="raindancers-network.VpnProps.property.customerGateway"></a>

```typescript
public readonly customerGateway: CfnCustomerGateway;
```

- *Type:* aws-cdk-lib.aws_ec2.CfnCustomerGateway

The customer gateway where the vpn will terminate.

---

##### `vpnspec`<sup>Required</sup> <a name="vpnspec" id="raindancers-network.VpnProps.property.vpnspec"></a>

```typescript
public readonly vpnspec: VpnSpecProps;
```

- *Type:* <a href="#raindancers-network.VpnSpecProps">VpnSpecProps</a>

a VPN specification for the VPN.

---

##### `sampleconfig`<sup>Optional</sup> <a name="sampleconfig" id="raindancers-network.VpnProps.property.sampleconfig"></a>

```typescript
public readonly sampleconfig: SampleConfig;
```

- *Type:* <a href="#raindancers-network.SampleConfig">SampleConfig</a>

Optionally provide a sampleconfig specification.

---

##### `tunnelInsideCidr`<sup>Optional</sup> <a name="tunnelInsideCidr" id="raindancers-network.VpnProps.property.tunnelInsideCidr"></a>

```typescript
public readonly tunnelInsideCidr: string[];
```

- *Type:* string[]

Specify a pair of concrete Cidr's for the tunnel.

Only use one of tunnelInsideCidr or tunnelIpmamPool

---

##### `tunnelIpamPool`<sup>Optional</sup> <a name="tunnelIpamPool" id="raindancers-network.VpnProps.property.tunnelIpamPool"></a>

```typescript
public readonly tunnelIpamPool: CfnIPAMPool;
```

- *Type:* aws-cdk-lib.aws_ec2.CfnIPAMPool

Specify an ipam pool to allocated the tunnel address's from.

Use only one of tunnelInsideCidr or tunnelIpamPool

---

### VpnSpecProps <a name="VpnSpecProps" id="raindancers-network.VpnSpecProps"></a>

THe properties for a S2S Ipsec Vpn Connection https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpnConnection.html.

#### Initializer <a name="Initializer" id="raindancers-network.VpnSpecProps.Initializer"></a>

```typescript
import { VpnSpecProps } from 'raindancers-network'

const vpnSpecProps: VpnSpecProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.VpnSpecProps.property.dpdTimeoutAction">dpdTimeoutAction</a></code> | <code><a href="#raindancers-network.DPDTimeoutAction">DPDTimeoutAction</a></code> | *No description.* |
| <code><a href="#raindancers-network.VpnSpecProps.property.dpdTimeoutSeconds">dpdTimeoutSeconds</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.VpnSpecProps.property.enableAcceleration">enableAcceleration</a></code> | <code>boolean</code> | Indicate whether to enable acceleration for the VPN connection. |
| <code><a href="#raindancers-network.VpnSpecProps.property.enableLogging">enableLogging</a></code> | <code>boolean</code> | Enable CloudwatchLogging for the S2S VPN. |
| <code><a href="#raindancers-network.VpnSpecProps.property.ikeVersions">ikeVersions</a></code> | <code><a href="#raindancers-network.IkeVersion">IkeVersion</a>[]</code> | The IKE versions that are permitted for the VPN tunnel. |
| <code><a href="#raindancers-network.VpnSpecProps.property.localIpv4NetworkCidr">localIpv4NetworkCidr</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.VpnSpecProps.property.outsideIpAddressType">outsideIpAddressType</a></code> | <code><a href="#raindancers-network.OutsideIpAddressType">OutsideIpAddressType</a></code> | *No description.* |
| <code><a href="#raindancers-network.VpnSpecProps.property.phase1DHGroupNumbers">phase1DHGroupNumbers</a></code> | <code><a href="#raindancers-network.Phase1DHGroupNumbers">Phase1DHGroupNumbers</a>[]</code> | One or more Diffie-Hellman group numbers that are permitted for the VPN tunnel for phase 1 IKE negotiations. |
| <code><a href="#raindancers-network.VpnSpecProps.property.phase1EncryptionAlgorithms">phase1EncryptionAlgorithms</a></code> | <code><a href="#raindancers-network.Phase1EncryptionAlgorithms">Phase1EncryptionAlgorithms</a>[]</code> | One or more encryption algorithms that are permitted for the VPN tunnel for phase 1 IKE negotiations. |
| <code><a href="#raindancers-network.VpnSpecProps.property.phase1IntegrityAlgorithms">phase1IntegrityAlgorithms</a></code> | <code><a href="#raindancers-network.Phase1IntegrityAlgorithms">Phase1IntegrityAlgorithms</a>[]</code> | One or more integrity algorithms that are permitted for the VPN tunnel for phase 1 IKE negotiations. |
| <code><a href="#raindancers-network.VpnSpecProps.property.phase1LifetimeSeconds">phase1LifetimeSeconds</a></code> | <code>number</code> | The lifetime for phase 1 of the IKE negotiation, in seconds. |
| <code><a href="#raindancers-network.VpnSpecProps.property.phase2DHGroupNumbers">phase2DHGroupNumbers</a></code> | <code><a href="#raindancers-network.Phase2DHGroupNumbers">Phase2DHGroupNumbers</a>[]</code> | One or more Diffie-Hellman group numbers that are permitted for the VPN tunnel for phase 2 IKE negotiations. |
| <code><a href="#raindancers-network.VpnSpecProps.property.phase2EncryptionAlgorithms">phase2EncryptionAlgorithms</a></code> | <code><a href="#raindancers-network.Phase2EncryptionAlgorithms">Phase2EncryptionAlgorithms</a>[]</code> | One or more encryption algorithms that are permitted for the VPN tunnel for phase 2 IKE negotiations. |
| <code><a href="#raindancers-network.VpnSpecProps.property.phase2IntegrityAlgorithms">phase2IntegrityAlgorithms</a></code> | <code><a href="#raindancers-network.Phase2IntegrityAlgorithms">Phase2IntegrityAlgorithms</a>[]</code> | One or more integrity algorithms that are permitted for the VPN tunnel for phase 2 IKE negotiations. |
| <code><a href="#raindancers-network.VpnSpecProps.property.phase2LifeTimeSeconds">phase2LifeTimeSeconds</a></code> | <code>number</code> | The lifetime for phase 2 of the IKE negotiation, in seconds. |
| <code><a href="#raindancers-network.VpnSpecProps.property.rekeyFuzzPercentage">rekeyFuzzPercentage</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.VpnSpecProps.property.rekeyMarginTimeSeconds">rekeyMarginTimeSeconds</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.VpnSpecProps.property.remoteIpv4NetworkCidr">remoteIpv4NetworkCidr</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.VpnSpecProps.property.replayWindowSize">replayWindowSize</a></code> | <code>number</code> | *No description.* |
| <code><a href="#raindancers-network.VpnSpecProps.property.startupAction">startupAction</a></code> | <code><a href="#raindancers-network.StartupAction">StartupAction</a></code> | The action to take when the establishing the tunnel for the VPN connection. |
| <code><a href="#raindancers-network.VpnSpecProps.property.staticRoutesOnly">staticRoutesOnly</a></code> | <code>boolean \| aws-cdk-lib.IResolvable</code> | Indicate if this will only use Static Routes Only. |
| <code><a href="#raindancers-network.VpnSpecProps.property.tunnelInsideIpVersion">tunnelInsideIpVersion</a></code> | <code><a href="#raindancers-network.TunnelInsideIpVersion">TunnelInsideIpVersion</a></code> | *No description.* |

---

##### `dpdTimeoutAction`<sup>Optional</sup> <a name="dpdTimeoutAction" id="raindancers-network.VpnSpecProps.property.dpdTimeoutAction"></a>

```typescript
public readonly dpdTimeoutAction: DPDTimeoutAction;
```

- *Type:* <a href="#raindancers-network.DPDTimeoutAction">DPDTimeoutAction</a>
- *Default:* CLEAR The action to take after DPD timeout occurs. Specify restart to restart the IKE initiation. Specify clear to end the IKE session.

---

##### `dpdTimeoutSeconds`<sup>Optional</sup> <a name="dpdTimeoutSeconds" id="raindancers-network.VpnSpecProps.property.dpdTimeoutSeconds"></a>

```typescript
public readonly dpdTimeoutSeconds: number;
```

- *Type:* number
- *Default:* 30 The number of seconds after which a DPD timeout occurs.

---

##### `enableAcceleration`<sup>Optional</sup> <a name="enableAcceleration" id="raindancers-network.VpnSpecProps.property.enableAcceleration"></a>

```typescript
public readonly enableAcceleration: boolean;
```

- *Type:* boolean

Indicate whether to enable acceleration for the VPN connection.

---

##### `enableLogging`<sup>Optional</sup> <a name="enableLogging" id="raindancers-network.VpnSpecProps.property.enableLogging"></a>

```typescript
public readonly enableLogging: boolean;
```

- *Type:* boolean

Enable CloudwatchLogging for the S2S VPN.

---

##### `ikeVersions`<sup>Optional</sup> <a name="ikeVersions" id="raindancers-network.VpnSpecProps.property.ikeVersions"></a>

```typescript
public readonly ikeVersions: IkeVersion[];
```

- *Type:* <a href="#raindancers-network.IkeVersion">IkeVersion</a>[]

The IKE versions that are permitted for the VPN tunnel.

---

##### `localIpv4NetworkCidr`<sup>Optional</sup> <a name="localIpv4NetworkCidr" id="raindancers-network.VpnSpecProps.property.localIpv4NetworkCidr"></a>

```typescript
public readonly localIpv4NetworkCidr: string;
```

- *Type:* string
- *Default:* 0.0.0.0/0 The IPv4 CIDR on the AWS side of the VPN connection.

---

##### `outsideIpAddressType`<sup>Optional</sup> <a name="outsideIpAddressType" id="raindancers-network.VpnSpecProps.property.outsideIpAddressType"></a>

```typescript
public readonly outsideIpAddressType: OutsideIpAddressType;
```

- *Type:* <a href="#raindancers-network.OutsideIpAddressType">OutsideIpAddressType</a>
- *Default:* PUBLIC The type of IPv4 address assigned to the outside interface of the customer gateway device.

---

##### `phase1DHGroupNumbers`<sup>Optional</sup> <a name="phase1DHGroupNumbers" id="raindancers-network.VpnSpecProps.property.phase1DHGroupNumbers"></a>

```typescript
public readonly phase1DHGroupNumbers: Phase1DHGroupNumbers[];
```

- *Type:* <a href="#raindancers-network.Phase1DHGroupNumbers">Phase1DHGroupNumbers</a>[]

One or more Diffie-Hellman group numbers that are permitted for the VPN tunnel for phase 1 IKE negotiations.

---

##### `phase1EncryptionAlgorithms`<sup>Optional</sup> <a name="phase1EncryptionAlgorithms" id="raindancers-network.VpnSpecProps.property.phase1EncryptionAlgorithms"></a>

```typescript
public readonly phase1EncryptionAlgorithms: Phase1EncryptionAlgorithms[];
```

- *Type:* <a href="#raindancers-network.Phase1EncryptionAlgorithms">Phase1EncryptionAlgorithms</a>[]

One or more encryption algorithms that are permitted for the VPN tunnel for phase 1 IKE negotiations.

---

##### `phase1IntegrityAlgorithms`<sup>Optional</sup> <a name="phase1IntegrityAlgorithms" id="raindancers-network.VpnSpecProps.property.phase1IntegrityAlgorithms"></a>

```typescript
public readonly phase1IntegrityAlgorithms: Phase1IntegrityAlgorithms[];
```

- *Type:* <a href="#raindancers-network.Phase1IntegrityAlgorithms">Phase1IntegrityAlgorithms</a>[]

One or more integrity algorithms that are permitted for the VPN tunnel for phase 1 IKE negotiations.

---

##### `phase1LifetimeSeconds`<sup>Optional</sup> <a name="phase1LifetimeSeconds" id="raindancers-network.VpnSpecProps.property.phase1LifetimeSeconds"></a>

```typescript
public readonly phase1LifetimeSeconds: number;
```

- *Type:* number

The lifetime for phase 1 of the IKE negotiation, in seconds.

---

##### `phase2DHGroupNumbers`<sup>Optional</sup> <a name="phase2DHGroupNumbers" id="raindancers-network.VpnSpecProps.property.phase2DHGroupNumbers"></a>

```typescript
public readonly phase2DHGroupNumbers: Phase2DHGroupNumbers[];
```

- *Type:* <a href="#raindancers-network.Phase2DHGroupNumbers">Phase2DHGroupNumbers</a>[]

One or more Diffie-Hellman group numbers that are permitted for the VPN tunnel for phase 2 IKE negotiations.

---

##### `phase2EncryptionAlgorithms`<sup>Optional</sup> <a name="phase2EncryptionAlgorithms" id="raindancers-network.VpnSpecProps.property.phase2EncryptionAlgorithms"></a>

```typescript
public readonly phase2EncryptionAlgorithms: Phase2EncryptionAlgorithms[];
```

- *Type:* <a href="#raindancers-network.Phase2EncryptionAlgorithms">Phase2EncryptionAlgorithms</a>[]

One or more encryption algorithms that are permitted for the VPN tunnel for phase 2 IKE negotiations.

---

##### `phase2IntegrityAlgorithms`<sup>Optional</sup> <a name="phase2IntegrityAlgorithms" id="raindancers-network.VpnSpecProps.property.phase2IntegrityAlgorithms"></a>

```typescript
public readonly phase2IntegrityAlgorithms: Phase2IntegrityAlgorithms[];
```

- *Type:* <a href="#raindancers-network.Phase2IntegrityAlgorithms">Phase2IntegrityAlgorithms</a>[]

One or more integrity algorithms that are permitted for the VPN tunnel for phase 2 IKE negotiations.

---

##### `phase2LifeTimeSeconds`<sup>Optional</sup> <a name="phase2LifeTimeSeconds" id="raindancers-network.VpnSpecProps.property.phase2LifeTimeSeconds"></a>

```typescript
public readonly phase2LifeTimeSeconds: number;
```

- *Type:* number

The lifetime for phase 2 of the IKE negotiation, in seconds.

---

##### `rekeyFuzzPercentage`<sup>Optional</sup> <a name="rekeyFuzzPercentage" id="raindancers-network.VpnSpecProps.property.rekeyFuzzPercentage"></a>

```typescript
public readonly rekeyFuzzPercentage: number;
```

- *Type:* number
- *Default:* 100 The percentage of the rekey window (determined by RekeyMarginTimeSeconds) during which the rekey time is randomly selected.

---

##### `rekeyMarginTimeSeconds`<sup>Optional</sup> <a name="rekeyMarginTimeSeconds" id="raindancers-network.VpnSpecProps.property.rekeyMarginTimeSeconds"></a>

```typescript
public readonly rekeyMarginTimeSeconds: number;
```

- *Type:* number
- *Default:* 540 The margin time, in seconds, before the phase 2 lifetime expires, during which the AWS side of the VPN connection performs an IKE rekey. The exact time of the rekey is randomly selected based on the value for RekeyFuzzPercentage.

---

##### `remoteIpv4NetworkCidr`<sup>Optional</sup> <a name="remoteIpv4NetworkCidr" id="raindancers-network.VpnSpecProps.property.remoteIpv4NetworkCidr"></a>

```typescript
public readonly remoteIpv4NetworkCidr: string;
```

- *Type:* string
- *Default:* 0.0.0.0/0 The IPv4 CIDR on the Remote side of the VPN connection.

---

##### `replayWindowSize`<sup>Optional</sup> <a name="replayWindowSize" id="raindancers-network.VpnSpecProps.property.replayWindowSize"></a>

```typescript
public readonly replayWindowSize: number;
```

- *Type:* number
- *Default:* 1024 The number of packets in an IKE replay window.

---

##### `startupAction`<sup>Optional</sup> <a name="startupAction" id="raindancers-network.VpnSpecProps.property.startupAction"></a>

```typescript
public readonly startupAction: StartupAction;
```

- *Type:* <a href="#raindancers-network.StartupAction">StartupAction</a>

The action to take when the establishing the tunnel for the VPN connection.

By default, your customer gateway device must initiate the IKE negotiation and bring up the tunnel. Specify start for AWS to initiate the IKE negotiation.

---

##### `staticRoutesOnly`<sup>Optional</sup> <a name="staticRoutesOnly" id="raindancers-network.VpnSpecProps.property.staticRoutesOnly"></a>

```typescript
public readonly staticRoutesOnly: boolean | IResolvable;
```

- *Type:* boolean | aws-cdk-lib.IResolvable

Indicate if this will only use Static Routes Only.

---

##### `tunnelInsideIpVersion`<sup>Optional</sup> <a name="tunnelInsideIpVersion" id="raindancers-network.VpnSpecProps.property.tunnelInsideIpVersion"></a>

```typescript
public readonly tunnelInsideIpVersion: TunnelInsideIpVersion;
```

- *Type:* <a href="#raindancers-network.TunnelInsideIpVersion">TunnelInsideIpVersion</a>
- *Default:* IPV4 Indicate whether the VPN tunnels process IPv4 or IPv6 traffic.

---

## Classes <a name="Classes" id="Classes"></a>

### CrowdStrikePrivateLink <a name="CrowdStrikePrivateLink" id="raindancers-network.CrowdStrikePrivateLink"></a>

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikePrivateLink.toString">toString</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="raindancers-network.CrowdStrikePrivateLink.toString"></a>

```typescript
public toString(): string
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikePrivateLink.property.value">value</a></code> | <code><a href="#raindancers-network.CrowdStrikeServices">CrowdStrikeServices</a></code> | *No description.* |

---

##### `value`<sup>Required</sup> <a name="value" id="raindancers-network.CrowdStrikePrivateLink.property.value"></a>

```typescript
public readonly value: CrowdStrikeServices;
```

- *Type:* <a href="#raindancers-network.CrowdStrikeServices">CrowdStrikeServices</a>

---

#### Constants <a name="Constants" id="Constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.CrowdStrikePrivateLink.property.EU1">EU1</a></code> | <code><a href="#raindancers-network.CrowdStrikePrivateLink">CrowdStrikePrivateLink</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLink.property.US1">US1</a></code> | <code><a href="#raindancers-network.CrowdStrikePrivateLink">CrowdStrikePrivateLink</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikePrivateLink.property.US2">US2</a></code> | <code><a href="#raindancers-network.CrowdStrikePrivateLink">CrowdStrikePrivateLink</a></code> | *No description.* |

---

##### `EU1`<sup>Required</sup> <a name="EU1" id="raindancers-network.CrowdStrikePrivateLink.property.EU1"></a>

```typescript
public readonly EU1: CrowdStrikePrivateLink;
```

- *Type:* <a href="#raindancers-network.CrowdStrikePrivateLink">CrowdStrikePrivateLink</a>

---

##### `US1`<sup>Required</sup> <a name="US1" id="raindancers-network.CrowdStrikePrivateLink.property.US1"></a>

```typescript
public readonly US1: CrowdStrikePrivateLink;
```

- *Type:* <a href="#raindancers-network.CrowdStrikePrivateLink">CrowdStrikePrivateLink</a>

---

##### `US2`<sup>Required</sup> <a name="US2" id="raindancers-network.CrowdStrikePrivateLink.property.US2"></a>

```typescript
public readonly US2: CrowdStrikePrivateLink;
```

- *Type:* <a href="#raindancers-network.CrowdStrikePrivateLink">CrowdStrikePrivateLink</a>

---

### StatelessRule <a name="StatelessRule" id="raindancers-network.StatelessRule"></a>

#### Initializers <a name="Initializers" id="raindancers-network.StatelessRule.Initializer"></a>

```typescript
import { StatelessRule } from 'raindancers-network'

new StatelessRule(props: StatelessRuleProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.StatelessRule.Initializer.parameter.props">props</a></code> | <code><a href="#raindancers-network.StatelessRuleProps">StatelessRuleProps</a></code> | *No description.* |

---

##### `props`<sup>Required</sup> <a name="props" id="raindancers-network.StatelessRule.Initializer.parameter.props"></a>

- *Type:* <a href="#raindancers-network.StatelessRuleProps">StatelessRuleProps</a>

---



#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.StatelessRule.property.statelessRuleProperty">statelessRuleProperty</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.StatelessRuleProperty</code> | *No description.* |

---

##### `statelessRuleProperty`<sup>Required</sup> <a name="statelessRuleProperty" id="raindancers-network.StatelessRule.property.statelessRuleProperty"></a>

```typescript
public readonly statelessRuleProperty: StatelessRuleProperty;
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnRuleGroup.StatelessRuleProperty

---


## Protocols <a name="Protocols" id="Protocols"></a>

### IAssignment <a name="IAssignment" id="raindancers-network.IAssignment"></a>

- *Extends:* aws-cdk-lib.IResource

- *Implemented By:* <a href="#raindancers-network.Assignment">Assignment</a>, <a href="#raindancers-network.IAssignment">IAssignment</a>

The resource interface for an AWS SSO assignment.

This interface has no attributes because the resulting resource has none.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.IAssignment.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.IAssignment.property.env">env</a></code> | <code>aws-cdk-lib.ResourceEnvironment</code> | The environment this resource belongs to. |
| <code><a href="#raindancers-network.IAssignment.property.stack">stack</a></code> | <code>aws-cdk-lib.Stack</code> | The stack in which this resource is defined. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.IAssignment.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `env`<sup>Required</sup> <a name="env" id="raindancers-network.IAssignment.property.env"></a>

```typescript
public readonly env: ResourceEnvironment;
```

- *Type:* aws-cdk-lib.ResourceEnvironment

The environment this resource belongs to.

For resources that are created and managed by the CDK
(generally, those created by creating new class instances like Role, Bucket, etc.),
this is always the same as the environment of the stack they belong to;
however, for imported resources
(those obtained from static methods like fromRoleArn, fromBucketName, etc.),
that might be different than the stack they were imported into.

---

##### `stack`<sup>Required</sup> <a name="stack" id="raindancers-network.IAssignment.property.stack"></a>

```typescript
public readonly stack: Stack;
```

- *Type:* aws-cdk-lib.Stack

The stack in which this resource is defined.

---

### ICoreNetworkSegmentProps <a name="ICoreNetworkSegmentProps" id="raindancers-network.ICoreNetworkSegmentProps"></a>

- *Implemented By:* <a href="#raindancers-network.ICoreNetworkSegmentProps">ICoreNetworkSegmentProps</a>

Properties creating a Corenetwork Segment.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.ICoreNetworkSegmentProps.property.policyTableServiceToken">policyTableServiceToken</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ICoreNetworkSegmentProps.property.segmentName">segmentName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#raindancers-network.ICoreNetworkSegmentProps.property.updateDependsOn">updateDependsOn</a></code> | <code>aws-cdk-lib.CustomResource[]</code> | *No description.* |

---

##### `policyTableServiceToken`<sup>Required</sup> <a name="policyTableServiceToken" id="raindancers-network.ICoreNetworkSegmentProps.property.policyTableServiceToken"></a>

```typescript
public readonly policyTableServiceToken: string;
```

- *Type:* string

---

##### `segmentName`<sup>Required</sup> <a name="segmentName" id="raindancers-network.ICoreNetworkSegmentProps.property.segmentName"></a>

```typescript
public readonly segmentName: string;
```

- *Type:* string

---

##### `updateDependsOn`<sup>Required</sup> <a name="updateDependsOn" id="raindancers-network.ICoreNetworkSegmentProps.property.updateDependsOn"></a>

```typescript
public readonly updateDependsOn: CustomResource[];
```

- *Type:* aws-cdk-lib.CustomResource[]

---

### IFirewallPolicyProperty <a name="IFirewallPolicyProperty" id="raindancers-network.IFirewallPolicyProperty"></a>

- *Implemented By:* <a href="#raindancers-network.IFirewallPolicyProperty">IFirewallPolicyProperty</a>


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.IFirewallPolicyProperty.property.statelessDefaultActions">statelessDefaultActions</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.IFirewallPolicyProperty.property.statelessFragmentDefaultActions">statelessFragmentDefaultActions</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.IFirewallPolicyProperty.property.statefulDefaultActions">statefulDefaultActions</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#raindancers-network.IFirewallPolicyProperty.property.statefulEngineOptions">statefulEngineOptions</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.StatefulEngineOptionsProperty \| aws-cdk-lib.IResolvable</code> | *No description.* |
| <code><a href="#raindancers-network.IFirewallPolicyProperty.property.statefulRuleGroupReferences">statefulRuleGroupReferences</a></code> | <code>aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.StatefulRuleGroupReferenceProperty[]</code> | *No description.* |
| <code><a href="#raindancers-network.IFirewallPolicyProperty.property.statelessCustomActions">statelessCustomActions</a></code> | <code>aws-cdk-lib.IResolvable \| aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.CustomActionProperty \| aws-cdk-lib.IResolvable[]</code> | *No description.* |
| <code><a href="#raindancers-network.IFirewallPolicyProperty.property.statelessRuleGroupReferences">statelessRuleGroupReferences</a></code> | <code>aws-cdk-lib.IResolvable \| aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.StatelessRuleGroupReferenceProperty \| aws-cdk-lib.IResolvable[]</code> | *No description.* |

---

##### `statelessDefaultActions`<sup>Required</sup> <a name="statelessDefaultActions" id="raindancers-network.IFirewallPolicyProperty.property.statelessDefaultActions"></a>

```typescript
public readonly statelessDefaultActions: string[];
```

- *Type:* string[]

---

##### `statelessFragmentDefaultActions`<sup>Required</sup> <a name="statelessFragmentDefaultActions" id="raindancers-network.IFirewallPolicyProperty.property.statelessFragmentDefaultActions"></a>

```typescript
public readonly statelessFragmentDefaultActions: string[];
```

- *Type:* string[]

---

##### `statefulDefaultActions`<sup>Optional</sup> <a name="statefulDefaultActions" id="raindancers-network.IFirewallPolicyProperty.property.statefulDefaultActions"></a>

```typescript
public readonly statefulDefaultActions: string[];
```

- *Type:* string[]

---

##### `statefulEngineOptions`<sup>Optional</sup> <a name="statefulEngineOptions" id="raindancers-network.IFirewallPolicyProperty.property.statefulEngineOptions"></a>

```typescript
public readonly statefulEngineOptions: StatefulEngineOptionsProperty | IResolvable;
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.StatefulEngineOptionsProperty | aws-cdk-lib.IResolvable

---

##### `statefulRuleGroupReferences`<sup>Optional</sup> <a name="statefulRuleGroupReferences" id="raindancers-network.IFirewallPolicyProperty.property.statefulRuleGroupReferences"></a>

```typescript
public readonly statefulRuleGroupReferences: StatefulRuleGroupReferenceProperty[];
```

- *Type:* aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.StatefulRuleGroupReferenceProperty[]

---

##### `statelessCustomActions`<sup>Optional</sup> <a name="statelessCustomActions" id="raindancers-network.IFirewallPolicyProperty.property.statelessCustomActions"></a>

```typescript
public readonly statelessCustomActions: IResolvable | CustomActionProperty | IResolvable[];
```

- *Type:* aws-cdk-lib.IResolvable | aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.CustomActionProperty | aws-cdk-lib.IResolvable[]

---

##### `statelessRuleGroupReferences`<sup>Optional</sup> <a name="statelessRuleGroupReferences" id="raindancers-network.IFirewallPolicyProperty.property.statelessRuleGroupReferences"></a>

```typescript
public readonly statelessRuleGroupReferences: IResolvable | StatelessRuleGroupReferenceProperty | IResolvable[];
```

- *Type:* aws-cdk-lib.IResolvable | aws-cdk-lib.aws_networkfirewall.CfnFirewallPolicy.StatelessRuleGroupReferenceProperty | aws-cdk-lib.IResolvable[]

---

### IPermissionSet <a name="IPermissionSet" id="raindancers-network.IPermissionSet"></a>

- *Extends:* aws-cdk-lib.IResource

- *Implemented By:* <a href="#raindancers-network.PermissionSet">PermissionSet</a>, <a href="#raindancers-network.IPermissionSet">IPermissionSet</a>

The resource interface for an AWS SSO permission set.

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.IPermissionSet.grant">grant</a></code> | Grant this permission set to a given principal for a given targetId (AWS account identifier) on a given SSO instance. |

---

##### `grant` <a name="grant" id="raindancers-network.IPermissionSet.grant"></a>

```typescript
public grant(id: string, assignmentOptions: AssignmentOptions): Assignment
```

Grant this permission set to a given principal for a given targetId (AWS account identifier) on a given SSO instance.

###### `id`<sup>Required</sup> <a name="id" id="raindancers-network.IPermissionSet.grant.parameter.id"></a>

- *Type:* string

---

###### `assignmentOptions`<sup>Required</sup> <a name="assignmentOptions" id="raindancers-network.IPermissionSet.grant.parameter.assignmentOptions"></a>

- *Type:* <a href="#raindancers-network.AssignmentOptions">AssignmentOptions</a>

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#raindancers-network.IPermissionSet.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#raindancers-network.IPermissionSet.property.env">env</a></code> | <code>aws-cdk-lib.ResourceEnvironment</code> | The environment this resource belongs to. |
| <code><a href="#raindancers-network.IPermissionSet.property.stack">stack</a></code> | <code>aws-cdk-lib.Stack</code> | The stack in which this resource is defined. |
| <code><a href="#raindancers-network.IPermissionSet.property.permissionSetArn">permissionSetArn</a></code> | <code>string</code> | The permission set ARN of the permission set. |
| <code><a href="#raindancers-network.IPermissionSet.property.ssoInstanceArn">ssoInstanceArn</a></code> | <code>string</code> | The SSO instance ARN of the permission set. |

---

##### `node`<sup>Required</sup> <a name="node" id="raindancers-network.IPermissionSet.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `env`<sup>Required</sup> <a name="env" id="raindancers-network.IPermissionSet.property.env"></a>

```typescript
public readonly env: ResourceEnvironment;
```

- *Type:* aws-cdk-lib.ResourceEnvironment

The environment this resource belongs to.

For resources that are created and managed by the CDK
(generally, those created by creating new class instances like Role, Bucket, etc.),
this is always the same as the environment of the stack they belong to;
however, for imported resources
(those obtained from static methods like fromRoleArn, fromBucketName, etc.),
that might be different than the stack they were imported into.

---

##### `stack`<sup>Required</sup> <a name="stack" id="raindancers-network.IPermissionSet.property.stack"></a>

```typescript
public readonly stack: Stack;
```

- *Type:* aws-cdk-lib.Stack

The stack in which this resource is defined.

---

##### `permissionSetArn`<sup>Required</sup> <a name="permissionSetArn" id="raindancers-network.IPermissionSet.property.permissionSetArn"></a>

```typescript
public readonly permissionSetArn: string;
```

- *Type:* string

The permission set ARN of the permission set.

Such as
`arn:aws:sso:::permissionSet/ins-instanceid/ps-permissionsetid`.

---

##### `ssoInstanceArn`<sup>Required</sup> <a name="ssoInstanceArn" id="raindancers-network.IPermissionSet.property.ssoInstanceArn"></a>

```typescript
public readonly ssoInstanceArn: string;
```

- *Type:* string

The SSO instance ARN of the permission set.

---

## Enums <a name="Enums" id="Enums"></a>

### ApplianceMode <a name="ApplianceMode" id="raindancers-network.ApplianceMode"></a>

Propertys for Appliance Mode.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ApplianceMode.ENABLED">ENABLED</a></code> | enable Connecting VPC to TransitGateway in Appliance Mode. |

---

##### `ENABLED` <a name="ENABLED" id="raindancers-network.ApplianceMode.ENABLED"></a>

enable Connecting VPC to TransitGateway in Appliance Mode.

---


### AssociationMethod <a name="AssociationMethod" id="raindancers-network.AssociationMethod"></a>

Association Methods.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.AssociationMethod.CONSTANT">CONSTANT</a></code> | *No description.* |
| <code><a href="#raindancers-network.AssociationMethod.TAG">TAG</a></code> | *No description.* |

---

##### `CONSTANT` <a name="CONSTANT" id="raindancers-network.AssociationMethod.CONSTANT"></a>

---


##### `TAG` <a name="TAG" id="raindancers-network.AssociationMethod.TAG"></a>

---


### AttachmentCondition <a name="AttachmentCondition" id="raindancers-network.AttachmentCondition"></a>

Attachment Conditions.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.AttachmentCondition.ANY">ANY</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentCondition.RESOURCE_ID">RESOURCE_ID</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentCondition.ACCOUNT_ID">ACCOUNT_ID</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentCondition.REGION">REGION</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentCondition.ATTACHMENT_TYPE">ATTACHMENT_TYPE</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentCondition.TAG_EXISTS">TAG_EXISTS</a></code> | *No description.* |
| <code><a href="#raindancers-network.AttachmentCondition.TAG_VALUE">TAG_VALUE</a></code> | *No description.* |

---

##### `ANY` <a name="ANY" id="raindancers-network.AttachmentCondition.ANY"></a>

---


##### `RESOURCE_ID` <a name="RESOURCE_ID" id="raindancers-network.AttachmentCondition.RESOURCE_ID"></a>

---


##### `ACCOUNT_ID` <a name="ACCOUNT_ID" id="raindancers-network.AttachmentCondition.ACCOUNT_ID"></a>

---


##### `REGION` <a name="REGION" id="raindancers-network.AttachmentCondition.REGION"></a>

---


##### `ATTACHMENT_TYPE` <a name="ATTACHMENT_TYPE" id="raindancers-network.AttachmentCondition.ATTACHMENT_TYPE"></a>

---


##### `TAG_EXISTS` <a name="TAG_EXISTS" id="raindancers-network.AttachmentCondition.TAG_EXISTS"></a>

---


##### `TAG_VALUE` <a name="TAG_VALUE" id="raindancers-network.AttachmentCondition.TAG_VALUE"></a>

---


### ConditionLogic <a name="ConditionLogic" id="raindancers-network.ConditionLogic"></a>

Conditon Logic.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ConditionLogic.AND">AND</a></code> | *No description.* |
| <code><a href="#raindancers-network.ConditionLogic.OR">OR</a></code> | *No description.* |

---

##### `AND` <a name="AND" id="raindancers-network.ConditionLogic.AND"></a>

---


##### `OR` <a name="OR" id="raindancers-network.ConditionLogic.OR"></a>

---


### CrowdStrikeCloud <a name="CrowdStrikeCloud" id="raindancers-network.CrowdStrikeCloud"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeCloud.US1">US1</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeCloud.US2">US2</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeCloud.EU1">EU1</a></code> | *No description.* |

---

##### `US1` <a name="US1" id="raindancers-network.CrowdStrikeCloud.US1"></a>

---


##### `US2` <a name="US2" id="raindancers-network.CrowdStrikeCloud.US2"></a>

---


##### `EU1` <a name="EU1" id="raindancers-network.CrowdStrikeCloud.EU1"></a>

---


### CrowdStrikeRegion <a name="CrowdStrikeRegion" id="raindancers-network.CrowdStrikeRegion"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.CrowdStrikeRegion.US_WEST_1">US_WEST_1</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeRegion.US_WEST_2">US_WEST_2</a></code> | *No description.* |
| <code><a href="#raindancers-network.CrowdStrikeRegion.EU_CENTRAL_1">EU_CENTRAL_1</a></code> | *No description.* |

---

##### `US_WEST_1` <a name="US_WEST_1" id="raindancers-network.CrowdStrikeRegion.US_WEST_1"></a>

---


##### `US_WEST_2` <a name="US_WEST_2" id="raindancers-network.CrowdStrikeRegion.US_WEST_2"></a>

---


##### `EU_CENTRAL_1` <a name="EU_CENTRAL_1" id="raindancers-network.CrowdStrikeRegion.EU_CENTRAL_1"></a>

---


### Destination <a name="Destination" id="raindancers-network.Destination"></a>

The Destinations for Adding Routes.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Destination.CLOUDWAN">CLOUDWAN</a></code> | route to the cloudwan that the vpc is attached to. |
| <code><a href="#raindancers-network.Destination.TRANSITGATEWAY">TRANSITGATEWAY</a></code> | route to the transitGateway that the vpc is attached to. |
| <code><a href="#raindancers-network.Destination.NWFIREWALL">NWFIREWALL</a></code> | *No description.* |

---

##### `CLOUDWAN` <a name="CLOUDWAN" id="raindancers-network.Destination.CLOUDWAN"></a>

route to the cloudwan that the vpc is attached to.

---


##### `TRANSITGATEWAY` <a name="TRANSITGATEWAY" id="raindancers-network.Destination.TRANSITGATEWAY"></a>

route to the transitGateway that the vpc is attached to.

---


##### `NWFIREWALL` <a name="NWFIREWALL" id="raindancers-network.Destination.NWFIREWALL"></a>

---


### Direction <a name="Direction" id="raindancers-network.Direction"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Direction.OUTBOUND">OUTBOUND</a></code> | Traffic allowed from Src to destination only. |
| <code><a href="#raindancers-network.Direction.BOTH">BOTH</a></code> | Traffic allowed in both directions. |

---

##### `OUTBOUND` <a name="OUTBOUND" id="raindancers-network.Direction.OUTBOUND"></a>

Traffic allowed from Src to destination only.

---


##### `BOTH` <a name="BOTH" id="raindancers-network.Direction.BOTH"></a>

Traffic allowed in both directions.

---


### DNSFirewallActions <a name="DNSFirewallActions" id="raindancers-network.DNSFirewallActions"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.DNSFirewallActions.ALLOW">ALLOW</a></code> | *No description.* |
| <code><a href="#raindancers-network.DNSFirewallActions.BLOCK">BLOCK</a></code> | *No description.* |
| <code><a href="#raindancers-network.DNSFirewallActions.ALERT">ALERT</a></code> | *No description.* |

---

##### `ALLOW` <a name="ALLOW" id="raindancers-network.DNSFirewallActions.ALLOW"></a>

---


##### `BLOCK` <a name="BLOCK" id="raindancers-network.DNSFirewallActions.BLOCK"></a>

---


##### `ALERT` <a name="ALERT" id="raindancers-network.DNSFirewallActions.ALERT"></a>

---


### DNSFirewallBlockResponse <a name="DNSFirewallBlockResponse" id="raindancers-network.DNSFirewallBlockResponse"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.DNSFirewallBlockResponse.NODATA">NODATA</a></code> | *No description.* |
| <code><a href="#raindancers-network.DNSFirewallBlockResponse.NXDOMAIN">NXDOMAIN</a></code> | *No description.* |
| <code><a href="#raindancers-network.DNSFirewallBlockResponse.OVERRIDE">OVERRIDE</a></code> | *No description.* |

---

##### `NODATA` <a name="NODATA" id="raindancers-network.DNSFirewallBlockResponse.NODATA"></a>

---


##### `NXDOMAIN` <a name="NXDOMAIN" id="raindancers-network.DNSFirewallBlockResponse.NXDOMAIN"></a>

---


##### `OVERRIDE` <a name="OVERRIDE" id="raindancers-network.DNSFirewallBlockResponse.OVERRIDE"></a>

---


### DPDTimeoutAction <a name="DPDTimeoutAction" id="raindancers-network.DPDTimeoutAction"></a>

Dead Peer Detection Timeout Actions.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.DPDTimeoutAction.CLEAR">CLEAR</a></code> | Clear the Session. |
| <code><a href="#raindancers-network.DPDTimeoutAction.NONE">NONE</a></code> | Do nothing. |
| <code><a href="#raindancers-network.DPDTimeoutAction.RESTART">RESTART</a></code> | Restart The Session. |

---

##### `CLEAR` <a name="CLEAR" id="raindancers-network.DPDTimeoutAction.CLEAR"></a>

Clear the Session.

---


##### `NONE` <a name="NONE" id="raindancers-network.DPDTimeoutAction.NONE"></a>

Do nothing.

---


##### `RESTART` <a name="RESTART" id="raindancers-network.DPDTimeoutAction.RESTART"></a>

Restart The Session.

---


### FWProtocol <a name="FWProtocol" id="raindancers-network.FWProtocol"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.FWProtocol.TCP">TCP</a></code> | *No description.* |
| <code><a href="#raindancers-network.FWProtocol.UPD">UPD</a></code> | *No description.* |
| <code><a href="#raindancers-network.FWProtocol.ICMP">ICMP</a></code> | *No description.* |
| <code><a href="#raindancers-network.FWProtocol.IP">IP</a></code> | *No description.* |
| <code><a href="#raindancers-network.FWProtocol.HTTP">HTTP</a></code> | *No description.* |
| <code><a href="#raindancers-network.FWProtocol.TLS">TLS</a></code> | *No description.* |

---

##### `TCP` <a name="TCP" id="raindancers-network.FWProtocol.TCP"></a>

---


##### `UPD` <a name="UPD" id="raindancers-network.FWProtocol.UPD"></a>

---


##### `ICMP` <a name="ICMP" id="raindancers-network.FWProtocol.ICMP"></a>

---


##### `IP` <a name="IP" id="raindancers-network.FWProtocol.IP"></a>

---


##### `HTTP` <a name="HTTP" id="raindancers-network.FWProtocol.HTTP"></a>

---


##### `TLS` <a name="TLS" id="raindancers-network.FWProtocol.TLS"></a>

---


### IkeVersion <a name="IkeVersion" id="raindancers-network.IkeVersion"></a>

Ike Version for S2S VPN.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.IkeVersion.IKEV1">IKEV1</a></code> | Use IKEv1. |
| <code><a href="#raindancers-network.IkeVersion.IKEV2">IKEV2</a></code> | Use IKEv2. |

---

##### `IKEV1` <a name="IKEV1" id="raindancers-network.IkeVersion.IKEV1"></a>

Use IKEv1.

---


##### `IKEV2` <a name="IKEV2" id="raindancers-network.IkeVersion.IKEV2"></a>

Use IKEv2.

---


### IPAddressFamily <a name="IPAddressFamily" id="raindancers-network.IPAddressFamily"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.IPAddressFamily.IPV4">IPV4</a></code> | *No description.* |
| <code><a href="#raindancers-network.IPAddressFamily.IPV6">IPV6</a></code> | *No description.* |

---

##### `IPV4` <a name="IPV4" id="raindancers-network.IPAddressFamily.IPV4"></a>

---


##### `IPV6` <a name="IPV6" id="raindancers-network.IPAddressFamily.IPV6"></a>

---


### ManagedAwsFirewallRules <a name="ManagedAwsFirewallRules" id="raindancers-network.ManagedAwsFirewallRules"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.ABUSED_LEGIT_MALWARE_DOMAINS_ACTION_ORDER">ABUSED_LEGIT_MALWARE_DOMAINS_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.ABUSED_LEGIT_BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER">ABUSED_LEGIT_BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.MALWARE_DOMAINS_ACTION_ORDER">MALWARE_DOMAINS_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER">BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_BOTNET_ACTION_ORDER">THREAT_SIGNATURES_BOTNET_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_BOTNET_WEB_ACTION_ORDER">THREAT_SIGNATURES_BOTNET_WEB_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_BOTNET_WINDOWS_ACTION_ODER">THREAT_SIGNATURES_BOTNET_WINDOWS_ACTION_ODER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_DOS_ACTION_ORDER">THREAT_SIGNATURES_DOS_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_EMERGING_EVENTS_ACTION_ORDER">THREAT_SIGNATURES_EMERGING_EVENTS_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_EXPLOITS_ACTION_ORDER">THREAT_SIGNATURES_EXPLOITS_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_FUP_ACTION_ORDER">THREAT_SIGNATURES_FUP_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_IOC_ACTION_ORDER">THREAT_SIGNATURES_IOC_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_MALWARE_ACTION_ORDER">THREAT_SIGNATURES_MALWARE_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_MALWARE_COIN_MINING_ACTION_ORDER">THREAT_SIGNATURES_MALWARE_COIN_MINING_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_MAWLARE_WEB_ACTION_ORDER">THREAT_SIGNATURES_MAWLARE_WEB_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_MALWARE_MOBILE_ACTION_ORDER">THREAT_SIGNATURES_MALWARE_MOBILE_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_PHISHING_ACTION_ORDER">THREAT_SIGNATURES_PHISHING_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_SCANNERS_ACTION_ORDER">THREAT_SIGNATURES_SCANNERS_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_SUSPECT_ACTION_ORDER">THREAT_SIGNATURES_SUSPECT_ACTION_ORDER</a></code> | *No description.* |
| <code><a href="#raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_WEB_ATTACKS_ACTION_ORDER">THREAT_SIGNATURES_WEB_ATTACKS_ACTION_ORDER</a></code> | *No description.* |

---

##### `ABUSED_LEGIT_MALWARE_DOMAINS_ACTION_ORDER` <a name="ABUSED_LEGIT_MALWARE_DOMAINS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.ABUSED_LEGIT_MALWARE_DOMAINS_ACTION_ORDER"></a>

---


##### `ABUSED_LEGIT_BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER` <a name="ABUSED_LEGIT_BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.ABUSED_LEGIT_BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER"></a>

---


##### `MALWARE_DOMAINS_ACTION_ORDER` <a name="MALWARE_DOMAINS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.MALWARE_DOMAINS_ACTION_ORDER"></a>

---


##### `BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER` <a name="BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.BOTNET_COMMAND_AND_CONTROL_DOMAINS_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_BOTNET_ACTION_ORDER` <a name="THREAT_SIGNATURES_BOTNET_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_BOTNET_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_BOTNET_WEB_ACTION_ORDER` <a name="THREAT_SIGNATURES_BOTNET_WEB_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_BOTNET_WEB_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_BOTNET_WINDOWS_ACTION_ODER` <a name="THREAT_SIGNATURES_BOTNET_WINDOWS_ACTION_ODER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_BOTNET_WINDOWS_ACTION_ODER"></a>

---


##### `THREAT_SIGNATURES_DOS_ACTION_ORDER` <a name="THREAT_SIGNATURES_DOS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_DOS_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_EMERGING_EVENTS_ACTION_ORDER` <a name="THREAT_SIGNATURES_EMERGING_EVENTS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_EMERGING_EVENTS_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_EXPLOITS_ACTION_ORDER` <a name="THREAT_SIGNATURES_EXPLOITS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_EXPLOITS_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_FUP_ACTION_ORDER` <a name="THREAT_SIGNATURES_FUP_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_FUP_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_IOC_ACTION_ORDER` <a name="THREAT_SIGNATURES_IOC_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_IOC_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_MALWARE_ACTION_ORDER` <a name="THREAT_SIGNATURES_MALWARE_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_MALWARE_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_MALWARE_COIN_MINING_ACTION_ORDER` <a name="THREAT_SIGNATURES_MALWARE_COIN_MINING_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_MALWARE_COIN_MINING_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_MAWLARE_WEB_ACTION_ORDER` <a name="THREAT_SIGNATURES_MAWLARE_WEB_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_MAWLARE_WEB_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_MALWARE_MOBILE_ACTION_ORDER` <a name="THREAT_SIGNATURES_MALWARE_MOBILE_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_MALWARE_MOBILE_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_PHISHING_ACTION_ORDER` <a name="THREAT_SIGNATURES_PHISHING_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_PHISHING_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_SCANNERS_ACTION_ORDER` <a name="THREAT_SIGNATURES_SCANNERS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_SCANNERS_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_SUSPECT_ACTION_ORDER` <a name="THREAT_SIGNATURES_SUSPECT_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_SUSPECT_ACTION_ORDER"></a>

---


##### `THREAT_SIGNATURES_WEB_ATTACKS_ACTION_ORDER` <a name="THREAT_SIGNATURES_WEB_ATTACKS_ACTION_ORDER" id="raindancers-network.ManagedAwsFirewallRules.THREAT_SIGNATURES_WEB_ATTACKS_ACTION_ORDER"></a>

---


### Operators <a name="Operators" id="raindancers-network.Operators"></a>

Operatior COnditons for Attachments.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Operators.EQUALS">EQUALS</a></code> | *No description.* |
| <code><a href="#raindancers-network.Operators.NOTEQUALS">NOTEQUALS</a></code> | *No description.* |
| <code><a href="#raindancers-network.Operators.CONTAINS">CONTAINS</a></code> | *No description.* |
| <code><a href="#raindancers-network.Operators.BEGINS_WITH">BEGINS_WITH</a></code> | *No description.* |

---

##### `EQUALS` <a name="EQUALS" id="raindancers-network.Operators.EQUALS"></a>

---


##### `NOTEQUALS` <a name="NOTEQUALS" id="raindancers-network.Operators.NOTEQUALS"></a>

---


##### `CONTAINS` <a name="CONTAINS" id="raindancers-network.Operators.CONTAINS"></a>

---


##### `BEGINS_WITH` <a name="BEGINS_WITH" id="raindancers-network.Operators.BEGINS_WITH"></a>

---


### OutsideIpAddressType <a name="OutsideIpAddressType" id="raindancers-network.OutsideIpAddressType"></a>

Specify the use of public or private IP address's for Site to Site VPN.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.OutsideIpAddressType.PRIVATE">PRIVATE</a></code> | Use Private IPv4 Address from the Transit Gateways IP address Pool. |
| <code><a href="#raindancers-network.OutsideIpAddressType.PUBLIC">PUBLIC</a></code> | Use Public IPv4 Address Assigned by AWS. |

---

##### `PRIVATE` <a name="PRIVATE" id="raindancers-network.OutsideIpAddressType.PRIVATE"></a>

Use Private IPv4 Address from the Transit Gateways IP address Pool.

---


##### `PUBLIC` <a name="PUBLIC" id="raindancers-network.OutsideIpAddressType.PUBLIC"></a>

Use Public IPv4 Address Assigned by AWS.

---


### Phase1DHGroupNumbers <a name="Phase1DHGroupNumbers" id="raindancers-network.Phase1DHGroupNumbers"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH2">DH2</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH14">DH14</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH15">DH15</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH16">DH16</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH17">DH17</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH18">DH18</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH19">DH19</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH20">DH20</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH21">DH21</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH22">DH22</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH23">DH23</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1DHGroupNumbers.DH24">DH24</a></code> | *No description.* |

---

##### `DH2` <a name="DH2" id="raindancers-network.Phase1DHGroupNumbers.DH2"></a>

---


##### `DH14` <a name="DH14" id="raindancers-network.Phase1DHGroupNumbers.DH14"></a>

---


##### `DH15` <a name="DH15" id="raindancers-network.Phase1DHGroupNumbers.DH15"></a>

---


##### `DH16` <a name="DH16" id="raindancers-network.Phase1DHGroupNumbers.DH16"></a>

---


##### `DH17` <a name="DH17" id="raindancers-network.Phase1DHGroupNumbers.DH17"></a>

---


##### `DH18` <a name="DH18" id="raindancers-network.Phase1DHGroupNumbers.DH18"></a>

---


##### `DH19` <a name="DH19" id="raindancers-network.Phase1DHGroupNumbers.DH19"></a>

---


##### `DH20` <a name="DH20" id="raindancers-network.Phase1DHGroupNumbers.DH20"></a>

---


##### `DH21` <a name="DH21" id="raindancers-network.Phase1DHGroupNumbers.DH21"></a>

---


##### `DH22` <a name="DH22" id="raindancers-network.Phase1DHGroupNumbers.DH22"></a>

---


##### `DH23` <a name="DH23" id="raindancers-network.Phase1DHGroupNumbers.DH23"></a>

---


##### `DH24` <a name="DH24" id="raindancers-network.Phase1DHGroupNumbers.DH24"></a>

---


### Phase1EncryptionAlgorithms <a name="Phase1EncryptionAlgorithms" id="raindancers-network.Phase1EncryptionAlgorithms"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Phase1EncryptionAlgorithms.AES128">AES128</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1EncryptionAlgorithms.AES256">AES256</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1EncryptionAlgorithms.AES128_GCM_16">AES128_GCM_16</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1EncryptionAlgorithms.AES256_GCM_16">AES256_GCM_16</a></code> | *No description.* |

---

##### `AES128` <a name="AES128" id="raindancers-network.Phase1EncryptionAlgorithms.AES128"></a>

---


##### `AES256` <a name="AES256" id="raindancers-network.Phase1EncryptionAlgorithms.AES256"></a>

---


##### `AES128_GCM_16` <a name="AES128_GCM_16" id="raindancers-network.Phase1EncryptionAlgorithms.AES128_GCM_16"></a>

---


##### `AES256_GCM_16` <a name="AES256_GCM_16" id="raindancers-network.Phase1EncryptionAlgorithms.AES256_GCM_16"></a>

---


### Phase1IntegrityAlgorithms <a name="Phase1IntegrityAlgorithms" id="raindancers-network.Phase1IntegrityAlgorithms"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Phase1IntegrityAlgorithms.SHA1">SHA1</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1IntegrityAlgorithms.SHA2_256">SHA2_256</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1IntegrityAlgorithms.SHA2_384">SHA2_384</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase1IntegrityAlgorithms.SHA2_512">SHA2_512</a></code> | *No description.* |

---

##### `SHA1` <a name="SHA1" id="raindancers-network.Phase1IntegrityAlgorithms.SHA1"></a>

---


##### `SHA2_256` <a name="SHA2_256" id="raindancers-network.Phase1IntegrityAlgorithms.SHA2_256"></a>

---


##### `SHA2_384` <a name="SHA2_384" id="raindancers-network.Phase1IntegrityAlgorithms.SHA2_384"></a>

---


##### `SHA2_512` <a name="SHA2_512" id="raindancers-network.Phase1IntegrityAlgorithms.SHA2_512"></a>

---


### Phase2DHGroupNumbers <a name="Phase2DHGroupNumbers" id="raindancers-network.Phase2DHGroupNumbers"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH2">DH2</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH5">DH5</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH14">DH14</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH15">DH15</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH16">DH16</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH17">DH17</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH18">DH18</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH19">DH19</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH20">DH20</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH21">DH21</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH22">DH22</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH23">DH23</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2DHGroupNumbers.DH24">DH24</a></code> | *No description.* |

---

##### `DH2` <a name="DH2" id="raindancers-network.Phase2DHGroupNumbers.DH2"></a>

---


##### `DH5` <a name="DH5" id="raindancers-network.Phase2DHGroupNumbers.DH5"></a>

---


##### `DH14` <a name="DH14" id="raindancers-network.Phase2DHGroupNumbers.DH14"></a>

---


##### `DH15` <a name="DH15" id="raindancers-network.Phase2DHGroupNumbers.DH15"></a>

---


##### `DH16` <a name="DH16" id="raindancers-network.Phase2DHGroupNumbers.DH16"></a>

---


##### `DH17` <a name="DH17" id="raindancers-network.Phase2DHGroupNumbers.DH17"></a>

---


##### `DH18` <a name="DH18" id="raindancers-network.Phase2DHGroupNumbers.DH18"></a>

---


##### `DH19` <a name="DH19" id="raindancers-network.Phase2DHGroupNumbers.DH19"></a>

---


##### `DH20` <a name="DH20" id="raindancers-network.Phase2DHGroupNumbers.DH20"></a>

---


##### `DH21` <a name="DH21" id="raindancers-network.Phase2DHGroupNumbers.DH21"></a>

---


##### `DH22` <a name="DH22" id="raindancers-network.Phase2DHGroupNumbers.DH22"></a>

---


##### `DH23` <a name="DH23" id="raindancers-network.Phase2DHGroupNumbers.DH23"></a>

---


##### `DH24` <a name="DH24" id="raindancers-network.Phase2DHGroupNumbers.DH24"></a>

---


### Phase2EncryptionAlgorithms <a name="Phase2EncryptionAlgorithms" id="raindancers-network.Phase2EncryptionAlgorithms"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Phase2EncryptionAlgorithms.AES128">AES128</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2EncryptionAlgorithms.AES256">AES256</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2EncryptionAlgorithms.AES128_GCM_16">AES128_GCM_16</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2EncryptionAlgorithms.AES256_GCM_16">AES256_GCM_16</a></code> | *No description.* |

---

##### `AES128` <a name="AES128" id="raindancers-network.Phase2EncryptionAlgorithms.AES128"></a>

---


##### `AES256` <a name="AES256" id="raindancers-network.Phase2EncryptionAlgorithms.AES256"></a>

---


##### `AES128_GCM_16` <a name="AES128_GCM_16" id="raindancers-network.Phase2EncryptionAlgorithms.AES128_GCM_16"></a>

---


##### `AES256_GCM_16` <a name="AES256_GCM_16" id="raindancers-network.Phase2EncryptionAlgorithms.AES256_GCM_16"></a>

---


### Phase2IntegrityAlgorithms <a name="Phase2IntegrityAlgorithms" id="raindancers-network.Phase2IntegrityAlgorithms"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Phase2IntegrityAlgorithms.SHA1">SHA1</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2IntegrityAlgorithms.SHA2_256">SHA2_256</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2IntegrityAlgorithms.SHA2_384">SHA2_384</a></code> | *No description.* |
| <code><a href="#raindancers-network.Phase2IntegrityAlgorithms.SHA2_512">SHA2_512</a></code> | *No description.* |

---

##### `SHA1` <a name="SHA1" id="raindancers-network.Phase2IntegrityAlgorithms.SHA1"></a>

---


##### `SHA2_256` <a name="SHA2_256" id="raindancers-network.Phase2IntegrityAlgorithms.SHA2_256"></a>

---


##### `SHA2_384` <a name="SHA2_384" id="raindancers-network.Phase2IntegrityAlgorithms.SHA2_384"></a>

---


##### `SHA2_512` <a name="SHA2_512" id="raindancers-network.Phase2IntegrityAlgorithms.SHA2_512"></a>

---


### PrincipalTypes <a name="PrincipalTypes" id="raindancers-network.PrincipalTypes"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.PrincipalTypes.USER">USER</a></code> | *No description.* |
| <code><a href="#raindancers-network.PrincipalTypes.GROUP">GROUP</a></code> | *No description.* |

---

##### `USER` <a name="USER" id="raindancers-network.PrincipalTypes.USER"></a>

---


##### `GROUP` <a name="GROUP" id="raindancers-network.PrincipalTypes.GROUP"></a>

---


### Protocol <a name="Protocol" id="raindancers-network.Protocol"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.Protocol.ICMP">ICMP</a></code> | *No description.* |
| <code><a href="#raindancers-network.Protocol.TCP">TCP</a></code> | *No description.* |
| <code><a href="#raindancers-network.Protocol.UDP">UDP</a></code> | *No description.* |

---

##### `ICMP` <a name="ICMP" id="raindancers-network.Protocol.ICMP"></a>

---


##### `TCP` <a name="TCP" id="raindancers-network.Protocol.TCP"></a>

---


##### `UDP` <a name="UDP" id="raindancers-network.Protocol.UDP"></a>

---


### ResolverDirection <a name="ResolverDirection" id="raindancers-network.ResolverDirection"></a>

Direction of Resolver.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ResolverDirection.INBOUND">INBOUND</a></code> | Resolver is Inbound. |
| <code><a href="#raindancers-network.ResolverDirection.OUTBOUND">OUTBOUND</a></code> | Resolver is outbound. |

---

##### `INBOUND` <a name="INBOUND" id="raindancers-network.ResolverDirection.INBOUND"></a>

Resolver is Inbound.

---


##### `OUTBOUND` <a name="OUTBOUND" id="raindancers-network.ResolverDirection.OUTBOUND"></a>

Resolver is outbound.

---


### ResourceGroupQueryTypes <a name="ResourceGroupQueryTypes" id="raindancers-network.ResourceGroupQueryTypes"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.ResourceGroupQueryTypes.TAG_FILTERS_1_0">TAG_FILTERS_1_0</a></code> | *No description.* |
| <code><a href="#raindancers-network.ResourceGroupQueryTypes.CLOUDFORMATION_STACK_1_0">CLOUDFORMATION_STACK_1_0</a></code> | *No description.* |

---

##### `TAG_FILTERS_1_0` <a name="TAG_FILTERS_1_0" id="raindancers-network.ResourceGroupQueryTypes.TAG_FILTERS_1_0"></a>

---


##### `CLOUDFORMATION_STACK_1_0` <a name="CLOUDFORMATION_STACK_1_0" id="raindancers-network.ResourceGroupQueryTypes.CLOUDFORMATION_STACK_1_0"></a>

---


### RuleGroupType <a name="RuleGroupType" id="raindancers-network.RuleGroupType"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.RuleGroupType.STATEFUL">STATEFUL</a></code> | *No description.* |
| <code><a href="#raindancers-network.RuleGroupType.STATELESS">STATELESS</a></code> | *No description.* |

---

##### `STATEFUL` <a name="STATEFUL" id="raindancers-network.RuleGroupType.STATEFUL"></a>

---


##### `STATELESS` <a name="STATELESS" id="raindancers-network.RuleGroupType.STATELESS"></a>

---


### SegmentActionMode <a name="SegmentActionMode" id="raindancers-network.SegmentActionMode"></a>

Segment Action Mode.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.SegmentActionMode.ATTACHMENT_ROUTE">ATTACHMENT_ROUTE</a></code> | *No description.* |

---

##### `ATTACHMENT_ROUTE` <a name="ATTACHMENT_ROUTE" id="raindancers-network.SegmentActionMode.ATTACHMENT_ROUTE"></a>

---


### SegmentActionType <a name="SegmentActionType" id="raindancers-network.SegmentActionType"></a>

Segment Action Type.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.SegmentActionType.SHARE">SHARE</a></code> | *No description.* |
| <code><a href="#raindancers-network.SegmentActionType.CREATE_ROUTE">CREATE_ROUTE</a></code> | *No description.* |

---

##### `SHARE` <a name="SHARE" id="raindancers-network.SegmentActionType.SHARE"></a>

---


##### `CREATE_ROUTE` <a name="CREATE_ROUTE" id="raindancers-network.SegmentActionType.CREATE_ROUTE"></a>

---


### StartupAction <a name="StartupAction" id="raindancers-network.StartupAction"></a>

Startup Action for S2S VPN.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.StartupAction.START">START</a></code> | AWS end to Intiate Startup. |
| <code><a href="#raindancers-network.StartupAction.ADD">ADD</a></code> | Do not attempt to startup. |

---

##### `START` <a name="START" id="raindancers-network.StartupAction.START"></a>

AWS end to Intiate Startup.

---


##### `ADD` <a name="ADD" id="raindancers-network.StartupAction.ADD"></a>

Do not attempt to startup.

---


### StatefulAction <a name="StatefulAction" id="raindancers-network.StatefulAction"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.StatefulAction.PASS">PASS</a></code> | Traffic will pass. |
| <code><a href="#raindancers-network.StatefulAction.DROP">DROP</a></code> | Traffic will be droped silently. |
| <code><a href="#raindancers-network.StatefulAction.REJECT">REJECT</a></code> | Traffic will be dropped, and a TCP reset sent to the source. |
| <code><a href="#raindancers-network.StatefulAction.ALERT">ALERT</a></code> | Raises an alert according to the firewalls logging/alert. |

---

##### `PASS` <a name="PASS" id="raindancers-network.StatefulAction.PASS"></a>

Traffic will pass.

---


##### `DROP` <a name="DROP" id="raindancers-network.StatefulAction.DROP"></a>

Traffic will be droped silently.

Note, When will cause a timeout for TCP, Consider using REJECT

---


##### `REJECT` <a name="REJECT" id="raindancers-network.StatefulAction.REJECT"></a>

Traffic will be dropped, and a TCP reset sent to the source.

---


##### `ALERT` <a name="ALERT" id="raindancers-network.StatefulAction.ALERT"></a>

Raises an alert according to the firewalls logging/alert.

---


### StatefulDefaultActions <a name="StatefulDefaultActions" id="raindancers-network.StatefulDefaultActions"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.StatefulDefaultActions.DROP_STRICT">DROP_STRICT</a></code> | *No description.* |
| <code><a href="#raindancers-network.StatefulDefaultActions.DROP_ESTABLISHED">DROP_ESTABLISHED</a></code> | *No description.* |
| <code><a href="#raindancers-network.StatefulDefaultActions.ALERT_STRICT">ALERT_STRICT</a></code> | *No description.* |
| <code><a href="#raindancers-network.StatefulDefaultActions.ALERT_ESTABLISHED">ALERT_ESTABLISHED</a></code> | *No description.* |

---

##### `DROP_STRICT` <a name="DROP_STRICT" id="raindancers-network.StatefulDefaultActions.DROP_STRICT"></a>

---


##### `DROP_ESTABLISHED` <a name="DROP_ESTABLISHED" id="raindancers-network.StatefulDefaultActions.DROP_ESTABLISHED"></a>

---


##### `ALERT_STRICT` <a name="ALERT_STRICT" id="raindancers-network.StatefulDefaultActions.ALERT_STRICT"></a>

---


##### `ALERT_ESTABLISHED` <a name="ALERT_ESTABLISHED" id="raindancers-network.StatefulDefaultActions.ALERT_ESTABLISHED"></a>

---


### StatelessActions <a name="StatelessActions" id="raindancers-network.StatelessActions"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.StatelessActions.PASS">PASS</a></code> | *No description.* |
| <code><a href="#raindancers-network.StatelessActions.DROP">DROP</a></code> | *No description.* |
| <code><a href="#raindancers-network.StatelessActions.STATEFUL">STATEFUL</a></code> | *No description.* |

---

##### `PASS` <a name="PASS" id="raindancers-network.StatelessActions.PASS"></a>

---


##### `DROP` <a name="DROP" id="raindancers-network.StatelessActions.DROP"></a>

---


##### `STATEFUL` <a name="STATEFUL" id="raindancers-network.StatelessActions.STATEFUL"></a>

---


### SubnetWildCards <a name="SubnetWildCards" id="raindancers-network.SubnetWildCards"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.SubnetWildCards.ALLSUBNETS">ALLSUBNETS</a></code> | *No description.* |

---

##### `ALLSUBNETS` <a name="ALLSUBNETS" id="raindancers-network.SubnetWildCards.ALLSUBNETS"></a>

---


### TargetTypes <a name="TargetTypes" id="raindancers-network.TargetTypes"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.TargetTypes.AWS_ACCOUNT">AWS_ACCOUNT</a></code> | *No description.* |

---

##### `AWS_ACCOUNT` <a name="AWS_ACCOUNT" id="raindancers-network.TargetTypes.AWS_ACCOUNT"></a>

---


### TunnelInsideIpVersion <a name="TunnelInsideIpVersion" id="raindancers-network.TunnelInsideIpVersion"></a>

Determine if this is an IPv4 or IPv6 Tunnel.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.TunnelInsideIpVersion.IPV4">IPV4</a></code> | Use IPv4. |
| <code><a href="#raindancers-network.TunnelInsideIpVersion.IPV6">IPV6</a></code> | Use IPv6. |

---

##### `IPV4` <a name="IPV4" id="raindancers-network.TunnelInsideIpVersion.IPV4"></a>

Use IPv4.

---


##### `IPV6` <a name="IPV6" id="raindancers-network.TunnelInsideIpVersion.IPV6"></a>

Use IPv6.

---


### VpnDeviceType <a name="VpnDeviceType" id="raindancers-network.VpnDeviceType"></a>

Remote end Device Types.

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.VpnDeviceType.CHECKPOINT_R77_10">CHECKPOINT_R77_10</a></code> | Checkpoint R77_10. |
| <code><a href="#raindancers-network.VpnDeviceType.CHECKPOINT_R80_10">CHECKPOINT_R80_10</a></code> | *No description.* |
| <code><a href="#raindancers-network.VpnDeviceType.CISCO_ISR_12_4">CISCO_ISR_12_4</a></code> | *No description.* |
| <code><a href="#raindancers-network.VpnDeviceType.CISCO_ASR_12_4">CISCO_ASR_12_4</a></code> | *No description.* |

---

##### `CHECKPOINT_R77_10` <a name="CHECKPOINT_R77_10" id="raindancers-network.VpnDeviceType.CHECKPOINT_R77_10"></a>

Checkpoint R77_10.

---


##### `CHECKPOINT_R80_10` <a name="CHECKPOINT_R80_10" id="raindancers-network.VpnDeviceType.CHECKPOINT_R80_10"></a>

---


##### `CISCO_ISR_12_4` <a name="CISCO_ISR_12_4" id="raindancers-network.VpnDeviceType.CISCO_ISR_12_4"></a>

---


##### `CISCO_ASR_12_4` <a name="CISCO_ASR_12_4" id="raindancers-network.VpnDeviceType.CISCO_ASR_12_4"></a>

---


### WellKnownPorts <a name="WellKnownPorts" id="raindancers-network.WellKnownPorts"></a>

#### Members <a name="Members" id="Members"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#raindancers-network.WellKnownPorts.SSH">SSH</a></code> | *No description.* |
| <code><a href="#raindancers-network.WellKnownPorts.HTTP">HTTP</a></code> | *No description.* |
| <code><a href="#raindancers-network.WellKnownPorts.HTTPS">HTTPS</a></code> | *No description.* |
| <code><a href="#raindancers-network.WellKnownPorts.RDP">RDP</a></code> | *No description.* |

---

##### `SSH` <a name="SSH" id="raindancers-network.WellKnownPorts.SSH"></a>

---


##### `HTTP` <a name="HTTP" id="raindancers-network.WellKnownPorts.HTTP"></a>

---


##### `HTTPS` <a name="HTTPS" id="raindancers-network.WellKnownPorts.HTTPS"></a>

---


##### `RDP` <a name="RDP" id="raindancers-network.WellKnownPorts.RDP"></a>

---

